/*	Compiler: ECL 12.2.1                                          */
/*	Source: EXT:CL-SIMD;SSE-ARRAY-DEFS.LISP                       */
#include <ecl/ecl-cmp.h>
#include "ext/sse-array-defs.eclh"
/*	local function AREF-PREFETCH-T0                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1aref_prefetch_t0(cl_object V1, cl_object V2)
{ VT2 VLEX2 CLSR2 STCK2
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  ARRAY           */
	V3= ecl_cdr(V1);
	if(!(V3==Cnil)){
	goto L5;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V5;
	V5= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V5;
	}
	{cl_object V5;                            /*  VARR            */
	V5= cl_gensym(1,VV[2])                    /*  GENSYM          */;
	T0= cl_list(2,V5,V4)                      /*  LIST            */;
	T1= ecl_list1(T0);
	T2= cl_list(2,VV[3],V5)                   /*  LIST            */;
	T3= cl_list(2,ECL_SYM("DECLARE",272),T2)  /*  LIST            */;
	T4= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V5,V3) /*  LIST* */;
	T5= cl_list(3,VV[1],V5,T4)                /*  LIST            */;
	value0=cl_list(4,ECL_SYM("LET",475),T1,T3,T5) /*  LIST        */;
	return value0;
	}
	}
}}
/*	function definition for ROW-MAJOR-AREF-PREFETCH-T0            */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L2row_major_aref_prefetch_t0(cl_object V1, cl_object V2)
{ VT3 VLEX3 CLSR3 STCK3
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=(_mm_prefetch((void*)ecl_row_major_ptr(V1,ecl_to_int(V2),0),_MM_HINT_T0),Cnil); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-PREFETCH-T1                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC3aref_prefetch_t1(cl_object V1, cl_object V2)
{ VT4 VLEX4 CLSR4 STCK4
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  ARRAY           */
	V3= ecl_cdr(V1);
	if(!(V3==Cnil)){
	goto L5;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V5;
	V5= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V5;
	}
	{cl_object V5;                            /*  VARR            */
	V5= cl_gensym(1,VV[2])                    /*  GENSYM          */;
	T0= cl_list(2,V5,V4)                      /*  LIST            */;
	T1= ecl_list1(T0);
	T2= cl_list(2,VV[3],V5)                   /*  LIST            */;
	T3= cl_list(2,ECL_SYM("DECLARE",272),T2)  /*  LIST            */;
	T4= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V5,V3) /*  LIST* */;
	T5= cl_list(3,VV[10],V5,T4)               /*  LIST            */;
	value0=cl_list(4,ECL_SYM("LET",475),T1,T3,T5) /*  LIST        */;
	return value0;
	}
	}
}}
/*	function definition for ROW-MAJOR-AREF-PREFETCH-T1            */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L4row_major_aref_prefetch_t1(cl_object V1, cl_object V2)
{ VT5 VLEX5 CLSR5 STCK5
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=(_mm_prefetch((void*)ecl_row_major_ptr(V1,ecl_to_int(V2),0),_MM_HINT_T1),Cnil); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-PREFETCH-T2                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC5aref_prefetch_t2(cl_object V1, cl_object V2)
{ VT6 VLEX6 CLSR6 STCK6
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  ARRAY           */
	V3= ecl_cdr(V1);
	if(!(V3==Cnil)){
	goto L5;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V5;
	V5= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V5;
	}
	{cl_object V5;                            /*  VARR            */
	V5= cl_gensym(1,VV[2])                    /*  GENSYM          */;
	T0= cl_list(2,V5,V4)                      /*  LIST            */;
	T1= ecl_list1(T0);
	T2= cl_list(2,VV[3],V5)                   /*  LIST            */;
	T3= cl_list(2,ECL_SYM("DECLARE",272),T2)  /*  LIST            */;
	T4= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V5,V3) /*  LIST* */;
	T5= cl_list(3,VV[14],V5,T4)               /*  LIST            */;
	value0=cl_list(4,ECL_SYM("LET",475),T1,T3,T5) /*  LIST        */;
	return value0;
	}
	}
}}
/*	function definition for ROW-MAJOR-AREF-PREFETCH-T2            */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L6row_major_aref_prefetch_t2(cl_object V1, cl_object V2)
{ VT7 VLEX7 CLSR7 STCK7
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=(_mm_prefetch((void*)ecl_row_major_ptr(V1,ecl_to_int(V2),0),_MM_HINT_T2),Cnil); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-PREFETCH-NTA                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC7aref_prefetch_nta(cl_object V1, cl_object V2)
{ VT8 VLEX8 CLSR8 STCK8
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  ARRAY           */
	V3= ecl_cdr(V1);
	if(!(V3==Cnil)){
	goto L5;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V5;
	V5= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V5;
	}
	{cl_object V5;                            /*  VARR            */
	V5= cl_gensym(1,VV[2])                    /*  GENSYM          */;
	T0= cl_list(2,V5,V4)                      /*  LIST            */;
	T1= ecl_list1(T0);
	T2= cl_list(2,VV[3],V5)                   /*  LIST            */;
	T3= cl_list(2,ECL_SYM("DECLARE",272),T2)  /*  LIST            */;
	T4= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V5,V3) /*  LIST* */;
	T5= cl_list(3,VV[18],V5,T4)               /*  LIST            */;
	value0=cl_list(4,ECL_SYM("LET",475),T1,T3,T5) /*  LIST        */;
	return value0;
	}
	}
}}
/*	function definition for ROW-MAJOR-AREF-PREFETCH-NTA           */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L8row_major_aref_prefetch_nta(cl_object V1, cl_object V2)
{ VT9 VLEX9 CLSR9 STCK9
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=(_mm_prefetch((void*)ecl_row_major_ptr(V1,ecl_to_int(V2),0),_MM_HINT_NTA),Cnil); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-CLFLUSH                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC9aref_clflush(cl_object V1, cl_object V2)
{ VT10 VLEX10 CLSR10 STCK10
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  ARRAY           */
	V3= ecl_cdr(V1);
	if(!(V3==Cnil)){
	goto L5;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V5;
	V5= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V5;
	}
	{cl_object V5;                            /*  VARR            */
	V5= cl_gensym(1,VV[2])                    /*  GENSYM          */;
	T0= cl_list(2,V5,V4)                      /*  LIST            */;
	T1= ecl_list1(T0);
	T2= cl_list(2,VV[3],V5)                   /*  LIST            */;
	T3= cl_list(2,ECL_SYM("DECLARE",272),T2)  /*  LIST            */;
	T4= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V5,V3) /*  LIST* */;
	T5= cl_list(3,VV[22],V5,T4)               /*  LIST            */;
	value0=cl_list(4,ECL_SYM("LET",475),T1,T3,T5) /*  LIST        */;
	return value0;
	}
	}
}}
/*	function definition for ROW-MAJOR-AREF-CLFLUSH                */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L10row_major_aref_clflush(cl_object V1, cl_object V2)
{ VT11 VLEX11 CLSR11 STCK11
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=(_mm_clflush((void*)ecl_row_major_ptr(V1,ecl_to_int(V2),1)),Cnil); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-SS                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC11aref_ss(cl_object V1, cl_object V2)
{ VT12 VLEX12 CLSR12 STCK12
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  ARRAY           */
	V3= ecl_cdr(V1);
	if(!(V3==Cnil)){
	goto L5;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V5;
	V5= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V5;
	}
	{cl_object V5;                            /*  VARR            */
	V5= cl_gensym(1,VV[2])                    /*  GENSYM          */;
	T0= cl_list(2,V5,V4)                      /*  LIST            */;
	T1= ecl_list1(T0);
	T2= cl_list(2,VV[3],V5)                   /*  LIST            */;
	T3= cl_list(2,ECL_SYM("DECLARE",272),T2)  /*  LIST            */;
	T4= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V5,V3) /*  LIST* */;
	T5= cl_list(3,VV[26],V5,T4)               /*  LIST            */;
	value0=cl_list(4,ECL_SYM("LET",475),T1,T3,T5) /*  LIST        */;
	return value0;
	}
	}
}}
/*	function definition for ROW-MAJOR-AREF-SS                     */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L12row_major_aref_ss(cl_object V1, cl_object V2)
{ VT13 VLEX13 CLSR13 STCK13
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_load_ss((float*)ecl_row_major_ptr(V1,ecl_to_int(V2),4))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-SS                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC13aref_ss(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT14 VLEX14 CLSR14 STCK14
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	V3=cl_grab_rest_args(args);
	cl_va_end(args);
	{cl_object V4;                            /*  LET2237         */
	cl_object V5;                             /*  LET2238         */
	cl_object V6;                             /*  LET2239         */
	V4= cl_gensym(0)                          /*  GENSYM          */;
	V5= cl_gensym(0)                          /*  GENSYM          */;
	V6= cl_gensym(0)                          /*  GENSYM          */;
	T0= cl_list(2,V4,V5)                      /*  LIST            */;
	T1= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V4,V3) /*  LIST* */;
	T2= cl_list(2,V2,T1)                      /*  LIST            */;
	T3= ecl_list1(V6);
	T4= cl_list(4,VV[30],V4,V5,V6)            /*  LIST            */;
	T5= cl_list(3,VV[26],V4,V5)               /*  LIST            */;
	cl_env_copy->nvalues=5;
	cl_env_copy->values[4]=T5;
	cl_env_copy->values[3]=T4;
	cl_env_copy->values[2]=T3;
	cl_env_copy->values[1]=T2;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];
	}
}}
/*	function definition for ROW-MAJOR-ASET-SS                     */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L14row_major_aset_ss(cl_object V1, cl_object V2, cl_object V3)
{ VT15 VLEX15 CLSR15 STCK15
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	(_mm_store_ss((float*)ecl_row_major_ptr(V1,ecl_to_int(V2),4),ecl_unbox_float_sse_pack(V3)),ecl_unbox_float_sse_pack(V3));
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-PS                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC15aref_ps(cl_object V1, cl_object V2)
{ VT16 VLEX16 CLSR16 STCK16
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  ARRAY           */
	V3= ecl_cdr(V1);
	if(!(V3==Cnil)){
	goto L5;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V5;
	V5= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V5;
	}
	{cl_object V5;                            /*  VARR            */
	V5= cl_gensym(1,VV[2])                    /*  GENSYM          */;
	T0= cl_list(2,V5,V4)                      /*  LIST            */;
	T1= ecl_list1(T0);
	T2= cl_list(2,VV[3],V5)                   /*  LIST            */;
	T3= cl_list(2,ECL_SYM("DECLARE",272),T2)  /*  LIST            */;
	T4= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V5,V3) /*  LIST* */;
	T5= cl_list(3,VV[33],V5,T4)               /*  LIST            */;
	value0=cl_list(4,ECL_SYM("LET",475),T1,T3,T5) /*  LIST        */;
	return value0;
	}
	}
}}
/*	function definition for ROW-MAJOR-AREF-PS                     */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L16row_major_aref_ps(cl_object V1, cl_object V2)
{ VT17 VLEX17 CLSR17 STCK17
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_loadu_ps((float*)ecl_row_major_ptr(V1,ecl_to_int(V2),16))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-PS                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC17aref_ps(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT18 VLEX18 CLSR18 STCK18
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	V3=cl_grab_rest_args(args);
	cl_va_end(args);
	{cl_object V4;                            /*  LET2240         */
	cl_object V5;                             /*  LET2241         */
	cl_object V6;                             /*  LET2242         */
	V4= cl_gensym(0)                          /*  GENSYM          */;
	V5= cl_gensym(0)                          /*  GENSYM          */;
	V6= cl_gensym(0)                          /*  GENSYM          */;
	T0= cl_list(2,V4,V5)                      /*  LIST            */;
	T1= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V4,V3) /*  LIST* */;
	T2= cl_list(2,V2,T1)                      /*  LIST            */;
	T3= ecl_list1(V6);
	T4= cl_list(4,VV[36],V4,V5,V6)            /*  LIST            */;
	T5= cl_list(3,VV[33],V4,V5)               /*  LIST            */;
	cl_env_copy->nvalues=5;
	cl_env_copy->values[4]=T5;
	cl_env_copy->values[3]=T4;
	cl_env_copy->values[2]=T3;
	cl_env_copy->values[1]=T2;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];
	}
}}
/*	function definition for ROW-MAJOR-ASET-PS                     */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L18row_major_aset_ps(cl_object V1, cl_object V2, cl_object V3)
{ VT19 VLEX19 CLSR19 STCK19
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	(_mm_storeu_ps((float*)ecl_row_major_ptr(V1,ecl_to_int(V2),16),ecl_unbox_float_sse_pack(V3)),ecl_unbox_float_sse_pack(V3));
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-APS                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC19aref_aps(cl_object V1, cl_object V2)
{ VT20 VLEX20 CLSR20 STCK20
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  ARRAY           */
	V3= ecl_cdr(V1);
	if(!(V3==Cnil)){
	goto L5;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V5;
	V5= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V5;
	}
	{cl_object V5;                            /*  VARR            */
	V5= cl_gensym(1,VV[2])                    /*  GENSYM          */;
	T0= cl_list(2,V5,V4)                      /*  LIST            */;
	T1= ecl_list1(T0);
	T2= cl_list(2,VV[3],V5)                   /*  LIST            */;
	T3= cl_list(2,ECL_SYM("DECLARE",272),T2)  /*  LIST            */;
	T4= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V5,V3) /*  LIST* */;
	T5= cl_list(3,VV[39],V5,T4)               /*  LIST            */;
	value0=cl_list(4,ECL_SYM("LET",475),T1,T3,T5) /*  LIST        */;
	return value0;
	}
	}
}}
/*	function definition for ROW-MAJOR-AREF-APS                    */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L20row_major_aref_aps(cl_object V1, cl_object V2)
{ VT21 VLEX21 CLSR21 STCK21
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_load_ps((float*)ecl_row_major_ptr(V1,ecl_to_int(V2),16))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-APS                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC21aref_aps(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT22 VLEX22 CLSR22 STCK22
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	V3=cl_grab_rest_args(args);
	cl_va_end(args);
	{cl_object V4;                            /*  LET2243         */
	cl_object V5;                             /*  LET2244         */
	cl_object V6;                             /*  LET2245         */
	V4= cl_gensym(0)                          /*  GENSYM          */;
	V5= cl_gensym(0)                          /*  GENSYM          */;
	V6= cl_gensym(0)                          /*  GENSYM          */;
	T0= cl_list(2,V4,V5)                      /*  LIST            */;
	T1= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V4,V3) /*  LIST* */;
	T2= cl_list(2,V2,T1)                      /*  LIST            */;
	T3= ecl_list1(V6);
	T4= cl_list(4,VV[42],V4,V5,V6)            /*  LIST            */;
	T5= cl_list(3,VV[39],V4,V5)               /*  LIST            */;
	cl_env_copy->nvalues=5;
	cl_env_copy->values[4]=T5;
	cl_env_copy->values[3]=T4;
	cl_env_copy->values[2]=T3;
	cl_env_copy->values[1]=T2;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];
	}
}}
/*	function definition for ROW-MAJOR-ASET-APS                    */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L22row_major_aset_aps(cl_object V1, cl_object V2, cl_object V3)
{ VT23 VLEX23 CLSR23 STCK23
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	(_mm_store_ps((float*)ecl_row_major_ptr(V1,ecl_to_int(V2),16),ecl_unbox_float_sse_pack(V3)),ecl_unbox_float_sse_pack(V3));
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-SPS                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC23aref_sps(cl_object V1, cl_object V2)
{ VT24 VLEX24 CLSR24 STCK24
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  ARRAY           */
	V3= ecl_cdr(V1);
	if(!(V3==Cnil)){
	goto L5;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V5;
	V5= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V5;
	}
	{cl_object V5;                            /*  VARR            */
	V5= cl_gensym(1,VV[2])                    /*  GENSYM          */;
	T0= cl_list(2,V5,V4)                      /*  LIST            */;
	T1= ecl_list1(T0);
	T2= cl_list(2,VV[3],V5)                   /*  LIST            */;
	T3= cl_list(2,ECL_SYM("DECLARE",272),T2)  /*  LIST            */;
	T4= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V5,V3) /*  LIST* */;
	T5= cl_list(3,VV[45],V5,T4)               /*  LIST            */;
	value0=cl_list(4,ECL_SYM("LET",475),T1,T3,T5) /*  LIST        */;
	return value0;
	}
	}
}}
/*	function definition for ROW-MAJOR-AREF-SPS                    */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L24row_major_aref_sps(cl_object V1, cl_object V2)
{ VT25 VLEX25 CLSR25 STCK25
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_load_ps((float*)ecl_row_major_ptr(V1,ecl_to_int(V2),16))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-SPS                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC25aref_sps(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT26 VLEX26 CLSR26 STCK26
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	V3=cl_grab_rest_args(args);
	cl_va_end(args);
	{cl_object V4;                            /*  LET2246         */
	cl_object V5;                             /*  LET2247         */
	cl_object V6;                             /*  LET2248         */
	V4= cl_gensym(0)                          /*  GENSYM          */;
	V5= cl_gensym(0)                          /*  GENSYM          */;
	V6= cl_gensym(0)                          /*  GENSYM          */;
	T0= cl_list(2,V4,V5)                      /*  LIST            */;
	T1= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V4,V3) /*  LIST* */;
	T2= cl_list(2,V2,T1)                      /*  LIST            */;
	T3= ecl_list1(V6);
	T4= cl_list(4,VV[48],V4,V5,V6)            /*  LIST            */;
	T5= cl_list(3,VV[45],V4,V5)               /*  LIST            */;
	cl_env_copy->nvalues=5;
	cl_env_copy->values[4]=T5;
	cl_env_copy->values[3]=T4;
	cl_env_copy->values[2]=T3;
	cl_env_copy->values[1]=T2;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];
	}
}}
/*	function definition for ROW-MAJOR-ASET-SPS                    */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L26row_major_aset_sps(cl_object V1, cl_object V2, cl_object V3)
{ VT27 VLEX27 CLSR27 STCK27
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	(_mm_stream_ps((float*)ecl_row_major_ptr(V1,ecl_to_int(V2),16),ecl_unbox_float_sse_pack(V3)),ecl_unbox_float_sse_pack(V3));
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-SD                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC27aref_sd(cl_object V1, cl_object V2)
{ VT28 VLEX28 CLSR28 STCK28
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  ARRAY           */
	V3= ecl_cdr(V1);
	if(!(V3==Cnil)){
	goto L5;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V5;
	V5= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V5;
	}
	{cl_object V5;                            /*  VARR            */
	V5= cl_gensym(1,VV[2])                    /*  GENSYM          */;
	T0= cl_list(2,V5,V4)                      /*  LIST            */;
	T1= ecl_list1(T0);
	T2= cl_list(2,VV[3],V5)                   /*  LIST            */;
	T3= cl_list(2,ECL_SYM("DECLARE",272),T2)  /*  LIST            */;
	T4= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V5,V3) /*  LIST* */;
	T5= cl_list(3,VV[51],V5,T4)               /*  LIST            */;
	value0=cl_list(4,ECL_SYM("LET",475),T1,T3,T5) /*  LIST        */;
	return value0;
	}
	}
}}
/*	function definition for ROW-MAJOR-AREF-SD                     */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L28row_major_aref_sd(cl_object V1, cl_object V2)
{ VT29 VLEX29 CLSR29 STCK29
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_load_sd((double*)ecl_row_major_ptr(V1,ecl_to_int(V2),8))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-SD                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC29aref_sd(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT30 VLEX30 CLSR30 STCK30
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	V3=cl_grab_rest_args(args);
	cl_va_end(args);
	{cl_object V4;                            /*  LET2249         */
	cl_object V5;                             /*  LET2250         */
	cl_object V6;                             /*  LET2251         */
	V4= cl_gensym(0)                          /*  GENSYM          */;
	V5= cl_gensym(0)                          /*  GENSYM          */;
	V6= cl_gensym(0)                          /*  GENSYM          */;
	T0= cl_list(2,V4,V5)                      /*  LIST            */;
	T1= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V4,V3) /*  LIST* */;
	T2= cl_list(2,V2,T1)                      /*  LIST            */;
	T3= ecl_list1(V6);
	T4= cl_list(4,VV[55],V4,V5,V6)            /*  LIST            */;
	T5= cl_list(3,VV[51],V4,V5)               /*  LIST            */;
	cl_env_copy->nvalues=5;
	cl_env_copy->values[4]=T5;
	cl_env_copy->values[3]=T4;
	cl_env_copy->values[2]=T3;
	cl_env_copy->values[1]=T2;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];
	}
}}
/*	function definition for ROW-MAJOR-ASET-SD                     */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L30row_major_aset_sd(cl_object V1, cl_object V2, cl_object V3)
{ VT31 VLEX31 CLSR31 STCK31
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	(_mm_store_sd((double*)ecl_row_major_ptr(V1,ecl_to_int(V2),8),ecl_unbox_double_sse_pack(V3)),ecl_unbox_double_sse_pack(V3));
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-PD                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC31aref_pd(cl_object V1, cl_object V2)
{ VT32 VLEX32 CLSR32 STCK32
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  ARRAY           */
	V3= ecl_cdr(V1);
	if(!(V3==Cnil)){
	goto L5;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V5;
	V5= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V5;
	}
	{cl_object V5;                            /*  VARR            */
	V5= cl_gensym(1,VV[2])                    /*  GENSYM          */;
	T0= cl_list(2,V5,V4)                      /*  LIST            */;
	T1= ecl_list1(T0);
	T2= cl_list(2,VV[3],V5)                   /*  LIST            */;
	T3= cl_list(2,ECL_SYM("DECLARE",272),T2)  /*  LIST            */;
	T4= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V5,V3) /*  LIST* */;
	T5= cl_list(3,VV[58],V5,T4)               /*  LIST            */;
	value0=cl_list(4,ECL_SYM("LET",475),T1,T3,T5) /*  LIST        */;
	return value0;
	}
	}
}}
/*	function definition for ROW-MAJOR-AREF-PD                     */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L32row_major_aref_pd(cl_object V1, cl_object V2)
{ VT33 VLEX33 CLSR33 STCK33
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_loadu_pd((double*)ecl_row_major_ptr(V1,ecl_to_int(V2),16))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-PD                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC33aref_pd(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT34 VLEX34 CLSR34 STCK34
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	V3=cl_grab_rest_args(args);
	cl_va_end(args);
	{cl_object V4;                            /*  LET2252         */
	cl_object V5;                             /*  LET2253         */
	cl_object V6;                             /*  LET2254         */
	V4= cl_gensym(0)                          /*  GENSYM          */;
	V5= cl_gensym(0)                          /*  GENSYM          */;
	V6= cl_gensym(0)                          /*  GENSYM          */;
	T0= cl_list(2,V4,V5)                      /*  LIST            */;
	T1= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V4,V3) /*  LIST* */;
	T2= cl_list(2,V2,T1)                      /*  LIST            */;
	T3= ecl_list1(V6);
	T4= cl_list(4,VV[61],V4,V5,V6)            /*  LIST            */;
	T5= cl_list(3,VV[58],V4,V5)               /*  LIST            */;
	cl_env_copy->nvalues=5;
	cl_env_copy->values[4]=T5;
	cl_env_copy->values[3]=T4;
	cl_env_copy->values[2]=T3;
	cl_env_copy->values[1]=T2;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];
	}
}}
/*	function definition for ROW-MAJOR-ASET-PD                     */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L34row_major_aset_pd(cl_object V1, cl_object V2, cl_object V3)
{ VT35 VLEX35 CLSR35 STCK35
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	(_mm_storeu_pd((double*)ecl_row_major_ptr(V1,ecl_to_int(V2),16),ecl_unbox_double_sse_pack(V3)),ecl_unbox_double_sse_pack(V3));
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-APD                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC35aref_apd(cl_object V1, cl_object V2)
{ VT36 VLEX36 CLSR36 STCK36
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  ARRAY           */
	V3= ecl_cdr(V1);
	if(!(V3==Cnil)){
	goto L5;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V5;
	V5= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V5;
	}
	{cl_object V5;                            /*  VARR            */
	V5= cl_gensym(1,VV[2])                    /*  GENSYM          */;
	T0= cl_list(2,V5,V4)                      /*  LIST            */;
	T1= ecl_list1(T0);
	T2= cl_list(2,VV[3],V5)                   /*  LIST            */;
	T3= cl_list(2,ECL_SYM("DECLARE",272),T2)  /*  LIST            */;
	T4= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V5,V3) /*  LIST* */;
	T5= cl_list(3,VV[64],V5,T4)               /*  LIST            */;
	value0=cl_list(4,ECL_SYM("LET",475),T1,T3,T5) /*  LIST        */;
	return value0;
	}
	}
}}
/*	function definition for ROW-MAJOR-AREF-APD                    */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L36row_major_aref_apd(cl_object V1, cl_object V2)
{ VT37 VLEX37 CLSR37 STCK37
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_load_pd((double*)ecl_row_major_ptr(V1,ecl_to_int(V2),16))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-APD                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC37aref_apd(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT38 VLEX38 CLSR38 STCK38
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	V3=cl_grab_rest_args(args);
	cl_va_end(args);
	{cl_object V4;                            /*  LET2255         */
	cl_object V5;                             /*  LET2256         */
	cl_object V6;                             /*  LET2257         */
	V4= cl_gensym(0)                          /*  GENSYM          */;
	V5= cl_gensym(0)                          /*  GENSYM          */;
	V6= cl_gensym(0)                          /*  GENSYM          */;
	T0= cl_list(2,V4,V5)                      /*  LIST            */;
	T1= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V4,V3) /*  LIST* */;
	T2= cl_list(2,V2,T1)                      /*  LIST            */;
	T3= ecl_list1(V6);
	T4= cl_list(4,VV[67],V4,V5,V6)            /*  LIST            */;
	T5= cl_list(3,VV[64],V4,V5)               /*  LIST            */;
	cl_env_copy->nvalues=5;
	cl_env_copy->values[4]=T5;
	cl_env_copy->values[3]=T4;
	cl_env_copy->values[2]=T3;
	cl_env_copy->values[1]=T2;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];
	}
}}
/*	function definition for ROW-MAJOR-ASET-APD                    */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L38row_major_aset_apd(cl_object V1, cl_object V2, cl_object V3)
{ VT39 VLEX39 CLSR39 STCK39
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	(_mm_store_pd((double*)ecl_row_major_ptr(V1,ecl_to_int(V2),16),ecl_unbox_double_sse_pack(V3)),ecl_unbox_double_sse_pack(V3));
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-SPD                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC39aref_spd(cl_object V1, cl_object V2)
{ VT40 VLEX40 CLSR40 STCK40
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  ARRAY           */
	V3= ecl_cdr(V1);
	if(!(V3==Cnil)){
	goto L5;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V5;
	V5= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V5;
	}
	{cl_object V5;                            /*  VARR            */
	V5= cl_gensym(1,VV[2])                    /*  GENSYM          */;
	T0= cl_list(2,V5,V4)                      /*  LIST            */;
	T1= ecl_list1(T0);
	T2= cl_list(2,VV[3],V5)                   /*  LIST            */;
	T3= cl_list(2,ECL_SYM("DECLARE",272),T2)  /*  LIST            */;
	T4= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V5,V3) /*  LIST* */;
	T5= cl_list(3,VV[70],V5,T4)               /*  LIST            */;
	value0=cl_list(4,ECL_SYM("LET",475),T1,T3,T5) /*  LIST        */;
	return value0;
	}
	}
}}
/*	function definition for ROW-MAJOR-AREF-SPD                    */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L40row_major_aref_spd(cl_object V1, cl_object V2)
{ VT41 VLEX41 CLSR41 STCK41
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_load_pd((double*)ecl_row_major_ptr(V1,ecl_to_int(V2),16))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-SPD                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC41aref_spd(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT42 VLEX42 CLSR42 STCK42
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	V3=cl_grab_rest_args(args);
	cl_va_end(args);
	{cl_object V4;                            /*  LET2258         */
	cl_object V5;                             /*  LET2259         */
	cl_object V6;                             /*  LET2260         */
	V4= cl_gensym(0)                          /*  GENSYM          */;
	V5= cl_gensym(0)                          /*  GENSYM          */;
	V6= cl_gensym(0)                          /*  GENSYM          */;
	T0= cl_list(2,V4,V5)                      /*  LIST            */;
	T1= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V4,V3) /*  LIST* */;
	T2= cl_list(2,V2,T1)                      /*  LIST            */;
	T3= ecl_list1(V6);
	T4= cl_list(4,VV[73],V4,V5,V6)            /*  LIST            */;
	T5= cl_list(3,VV[70],V4,V5)               /*  LIST            */;
	cl_env_copy->nvalues=5;
	cl_env_copy->values[4]=T5;
	cl_env_copy->values[3]=T4;
	cl_env_copy->values[2]=T3;
	cl_env_copy->values[1]=T2;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];
	}
}}
/*	function definition for ROW-MAJOR-ASET-SPD                    */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L42row_major_aset_spd(cl_object V1, cl_object V2, cl_object V3)
{ VT43 VLEX43 CLSR43 STCK43
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	(_mm_stream_pd((double*)ecl_row_major_ptr(V1,ecl_to_int(V2),16),ecl_unbox_double_sse_pack(V3)),ecl_unbox_double_sse_pack(V3));
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-SI64                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC43aref_si64(cl_object V1, cl_object V2)
{ VT44 VLEX44 CLSR44 STCK44
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  ARRAY           */
	V3= ecl_cdr(V1);
	if(!(V3==Cnil)){
	goto L5;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V5;
	V5= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V5;
	}
	{cl_object V5;                            /*  VARR            */
	V5= cl_gensym(1,VV[2])                    /*  GENSYM          */;
	T0= cl_list(2,V5,V4)                      /*  LIST            */;
	T1= ecl_list1(T0);
	T2= cl_list(2,VV[3],V5)                   /*  LIST            */;
	T3= cl_list(2,ECL_SYM("DECLARE",272),T2)  /*  LIST            */;
	T4= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V5,V3) /*  LIST* */;
	T5= cl_list(3,VV[76],V5,T4)               /*  LIST            */;
	value0=cl_list(4,ECL_SYM("LET",475),T1,T3,T5) /*  LIST        */;
	return value0;
	}
	}
}}
/*	function definition for ROW-MAJOR-AREF-SI64                   */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L44row_major_aref_si64(cl_object V1, cl_object V2)
{ VT45 VLEX45 CLSR45 STCK45
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_loadl_epi64((__m128i*)ecl_row_major_ptr(V1,ecl_to_int(V2),8))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-SI64                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC45aref_si64(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT46 VLEX46 CLSR46 STCK46
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	V3=cl_grab_rest_args(args);
	cl_va_end(args);
	{cl_object V4;                            /*  LET2261         */
	cl_object V5;                             /*  LET2262         */
	cl_object V6;                             /*  LET2263         */
	V4= cl_gensym(0)                          /*  GENSYM          */;
	V5= cl_gensym(0)                          /*  GENSYM          */;
	V6= cl_gensym(0)                          /*  GENSYM          */;
	T0= cl_list(2,V4,V5)                      /*  LIST            */;
	T1= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V4,V3) /*  LIST* */;
	T2= cl_list(2,V2,T1)                      /*  LIST            */;
	T3= ecl_list1(V6);
	T4= cl_list(4,VV[80],V4,V5,V6)            /*  LIST            */;
	T5= cl_list(3,VV[76],V4,V5)               /*  LIST            */;
	cl_env_copy->nvalues=5;
	cl_env_copy->values[4]=T5;
	cl_env_copy->values[3]=T4;
	cl_env_copy->values[2]=T3;
	cl_env_copy->values[1]=T2;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];
	}
}}
/*	function definition for ROW-MAJOR-ASET-SI64                   */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L46row_major_aset_si64(cl_object V1, cl_object V2, cl_object V3)
{ VT47 VLEX47 CLSR47 STCK47
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	(_mm_storel_epi64((__m128i*)ecl_row_major_ptr(V1,ecl_to_int(V2),8),ecl_unbox_int_sse_pack(V3)),ecl_unbox_int_sse_pack(V3));
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-PI                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC47aref_pi(cl_object V1, cl_object V2)
{ VT48 VLEX48 CLSR48 STCK48
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  ARRAY           */
	V3= ecl_cdr(V1);
	if(!(V3==Cnil)){
	goto L5;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V5;
	V5= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V5;
	}
	{cl_object V5;                            /*  VARR            */
	V5= cl_gensym(1,VV[2])                    /*  GENSYM          */;
	T0= cl_list(2,V5,V4)                      /*  LIST            */;
	T1= ecl_list1(T0);
	T2= cl_list(2,VV[3],V5)                   /*  LIST            */;
	T3= cl_list(2,ECL_SYM("DECLARE",272),T2)  /*  LIST            */;
	T4= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V5,V3) /*  LIST* */;
	T5= cl_list(3,VV[83],V5,T4)               /*  LIST            */;
	value0=cl_list(4,ECL_SYM("LET",475),T1,T3,T5) /*  LIST        */;
	return value0;
	}
	}
}}
/*	function definition for ROW-MAJOR-AREF-PI                     */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L48row_major_aref_pi(cl_object V1, cl_object V2)
{ VT49 VLEX49 CLSR49 STCK49
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_loadu_si128((__m128i*)ecl_row_major_ptr(V1,ecl_to_int(V2),16))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-PI                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC49aref_pi(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT50 VLEX50 CLSR50 STCK50
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	V3=cl_grab_rest_args(args);
	cl_va_end(args);
	{cl_object V4;                            /*  LET2264         */
	cl_object V5;                             /*  LET2265         */
	cl_object V6;                             /*  LET2266         */
	V4= cl_gensym(0)                          /*  GENSYM          */;
	V5= cl_gensym(0)                          /*  GENSYM          */;
	V6= cl_gensym(0)                          /*  GENSYM          */;
	T0= cl_list(2,V4,V5)                      /*  LIST            */;
	T1= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V4,V3) /*  LIST* */;
	T2= cl_list(2,V2,T1)                      /*  LIST            */;
	T3= ecl_list1(V6);
	T4= cl_list(4,VV[86],V4,V5,V6)            /*  LIST            */;
	T5= cl_list(3,VV[83],V4,V5)               /*  LIST            */;
	cl_env_copy->nvalues=5;
	cl_env_copy->values[4]=T5;
	cl_env_copy->values[3]=T4;
	cl_env_copy->values[2]=T3;
	cl_env_copy->values[1]=T2;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];
	}
}}
/*	function definition for ROW-MAJOR-ASET-PI                     */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L50row_major_aset_pi(cl_object V1, cl_object V2, cl_object V3)
{ VT51 VLEX51 CLSR51 STCK51
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	(_mm_storeu_si128((__m128i*)ecl_row_major_ptr(V1,ecl_to_int(V2),16),ecl_unbox_int_sse_pack(V3)),ecl_unbox_int_sse_pack(V3));
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-API                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC51aref_api(cl_object V1, cl_object V2)
{ VT52 VLEX52 CLSR52 STCK52
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  ARRAY           */
	V3= ecl_cdr(V1);
	if(!(V3==Cnil)){
	goto L5;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V5;
	V5= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V5;
	}
	{cl_object V5;                            /*  VARR            */
	V5= cl_gensym(1,VV[2])                    /*  GENSYM          */;
	T0= cl_list(2,V5,V4)                      /*  LIST            */;
	T1= ecl_list1(T0);
	T2= cl_list(2,VV[3],V5)                   /*  LIST            */;
	T3= cl_list(2,ECL_SYM("DECLARE",272),T2)  /*  LIST            */;
	T4= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V5,V3) /*  LIST* */;
	T5= cl_list(3,VV[89],V5,T4)               /*  LIST            */;
	value0=cl_list(4,ECL_SYM("LET",475),T1,T3,T5) /*  LIST        */;
	return value0;
	}
	}
}}
/*	function definition for ROW-MAJOR-AREF-API                    */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L52row_major_aref_api(cl_object V1, cl_object V2)
{ VT53 VLEX53 CLSR53 STCK53
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_load_si128((__m128i*)ecl_row_major_ptr(V1,ecl_to_int(V2),16))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-API                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC53aref_api(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT54 VLEX54 CLSR54 STCK54
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	V3=cl_grab_rest_args(args);
	cl_va_end(args);
	{cl_object V4;                            /*  LET2267         */
	cl_object V5;                             /*  LET2268         */
	cl_object V6;                             /*  LET2269         */
	V4= cl_gensym(0)                          /*  GENSYM          */;
	V5= cl_gensym(0)                          /*  GENSYM          */;
	V6= cl_gensym(0)                          /*  GENSYM          */;
	T0= cl_list(2,V4,V5)                      /*  LIST            */;
	T1= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V4,V3) /*  LIST* */;
	T2= cl_list(2,V2,T1)                      /*  LIST            */;
	T3= ecl_list1(V6);
	T4= cl_list(4,VV[92],V4,V5,V6)            /*  LIST            */;
	T5= cl_list(3,VV[89],V4,V5)               /*  LIST            */;
	cl_env_copy->nvalues=5;
	cl_env_copy->values[4]=T5;
	cl_env_copy->values[3]=T4;
	cl_env_copy->values[2]=T3;
	cl_env_copy->values[1]=T2;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];
	}
}}
/*	function definition for ROW-MAJOR-ASET-API                    */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L54row_major_aset_api(cl_object V1, cl_object V2, cl_object V3)
{ VT55 VLEX55 CLSR55 STCK55
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	(_mm_store_si128((__m128i*)ecl_row_major_ptr(V1,ecl_to_int(V2),16),ecl_unbox_int_sse_pack(V3)),ecl_unbox_int_sse_pack(V3));
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-SPI                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC55aref_spi(cl_object V1, cl_object V2)
{ VT56 VLEX56 CLSR56 STCK56
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  ARRAY           */
	V3= ecl_cdr(V1);
	if(!(V3==Cnil)){
	goto L5;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V5;
	V5= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V5;
	}
	{cl_object V5;                            /*  VARR            */
	V5= cl_gensym(1,VV[2])                    /*  GENSYM          */;
	T0= cl_list(2,V5,V4)                      /*  LIST            */;
	T1= ecl_list1(T0);
	T2= cl_list(2,VV[3],V5)                   /*  LIST            */;
	T3= cl_list(2,ECL_SYM("DECLARE",272),T2)  /*  LIST            */;
	T4= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V5,V3) /*  LIST* */;
	T5= cl_list(3,VV[95],V5,T4)               /*  LIST            */;
	value0=cl_list(4,ECL_SYM("LET",475),T1,T3,T5) /*  LIST        */;
	return value0;
	}
	}
}}
/*	function definition for ROW-MAJOR-AREF-SPI                    */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L56row_major_aref_spi(cl_object V1, cl_object V2)
{ VT57 VLEX57 CLSR57 STCK57
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_load_si128((__m128i*)ecl_row_major_ptr(V1,ecl_to_int(V2),16))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-SPI                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC57aref_spi(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT58 VLEX58 CLSR58 STCK58
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	V3=cl_grab_rest_args(args);
	cl_va_end(args);
	{cl_object V4;                            /*  LET2270         */
	cl_object V5;                             /*  LET2271         */
	cl_object V6;                             /*  LET2272         */
	V4= cl_gensym(0)                          /*  GENSYM          */;
	V5= cl_gensym(0)                          /*  GENSYM          */;
	V6= cl_gensym(0)                          /*  GENSYM          */;
	T0= cl_list(2,V4,V5)                      /*  LIST            */;
	T1= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V4,V3) /*  LIST* */;
	T2= cl_list(2,V2,T1)                      /*  LIST            */;
	T3= ecl_list1(V6);
	T4= cl_list(4,VV[98],V4,V5,V6)            /*  LIST            */;
	T5= cl_list(3,VV[95],V4,V5)               /*  LIST            */;
	cl_env_copy->nvalues=5;
	cl_env_copy->values[4]=T5;
	cl_env_copy->values[3]=T4;
	cl_env_copy->values[2]=T3;
	cl_env_copy->values[1]=T2;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];
	}
}}
/*	function definition for ROW-MAJOR-ASET-SPI                    */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L58row_major_aset_spi(cl_object V1, cl_object V2, cl_object V3)
{ VT59 VLEX59 CLSR59 STCK59
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	(_mm_stream_si128((__m128i*)ecl_row_major_ptr(V1,ecl_to_int(V2),16),ecl_unbox_int_sse_pack(V3)),ecl_unbox_int_sse_pack(V3));
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
}}
	
#include "ext/sse-array-defs.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _ecl4e6uxycPj0Sn9_69gWEU01(cl_object flag)
{ VT1 VLEX1 CLSR1 STCK1
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	cl_object *VVtemp;
	if (flag != OBJNULL){
	Cblock=flag;
	#ifndef ECL_DYNAMIC_VV
	flag->cblock.data = VV;
	#endif
	flag->cblock.data_size = VM;
	flag->cblock.temp_data_size = VMtemp;
	flag->cblock.data_text = compiler_data_text;
	flag->cblock.data_text_size = compiler_data_text_size;
	flag->cblock.cfuns_size = compiler_cfuns_size;
	flag->cblock.cfuns = compiler_cfuns;
	flag->cblock.source = make_constant_base_string("EXT:CL-SIMD;SSE-ARRAY-DEFS.LISP.NEWEST");
	return;}
	#ifdef ECL_DYNAMIC_VV
	VV = Cblock->cblock.data;
	#endif
	Cblock->cblock.data_text = "@EcLtAg:_ecl4e6uxycPj0Sn9_69gWEU01@";
	VVtemp = Cblock->cblock.temp_data;
	ECL_DEFINE_SETF_FUNCTIONS
	si_select_package(VVtemp[0])              /*  SELECT-PACKAGE  */;
	cl_export(1,VV[0])                        /*  EXPORT          */;
	cl_export(1,VV[1])                        /*  EXPORT          */;
	ecl_cmp_defmacro(VV[100]);                /*  AREF-PREFETCH-T0 */
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[1]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[101]);                   /*  ROW-MAJOR-AREF-PREFETCH-T0 */
	ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[1],VV[6],VVtemp[2],ECL_SYM("OBJECT",1275),VVtemp[3],VV[7],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[1],VV[6],VVtemp[4],ECL_SYM("OBJECT",1275),VVtemp[5]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[1],VV[8],VVtemp[6],ECL_SYM("OBJECT",1275),VVtemp[7]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[1],VV[8],VVtemp[8],ECL_SYM("OBJECT",1275),VVtemp[9]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[1],VV[8],VVtemp[10],ECL_SYM("OBJECT",1275),VVtemp[11]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[1],VV[8],VVtemp[12],ECL_SYM("OBJECT",1275),VVtemp[13]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[1],VV[8],VVtemp[14],ECL_SYM("OBJECT",1275),VVtemp[15]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[1],VV[8],VVtemp[16],ECL_SYM("OBJECT",1275),VVtemp[17]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[1],VV[8],VVtemp[18],ECL_SYM("OBJECT",1275),VVtemp[19]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[1],VV[8],VVtemp[20],ECL_SYM("OBJECT",1275),VVtemp[21]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[1],VV[8],VVtemp[22],ECL_SYM("OBJECT",1275),VVtemp[23]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[1],VV[8],VVtemp[24],ECL_SYM("OBJECT",1275),VVtemp[25]) /*  DEF-INLINE */;
	cl_export(1,VV[9])                        /*  EXPORT          */;
	cl_export(1,VV[10])                       /*  EXPORT          */;
	ecl_cmp_defmacro(VV[103]);                /*  AREF-PREFETCH-T1 */
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[26]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[104]);                   /*  ROW-MAJOR-AREF-PREFETCH-T1 */
	ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[10],VV[6],VVtemp[2],ECL_SYM("OBJECT",1275),VVtemp[27],VV[7],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[10],VV[6],VVtemp[4],ECL_SYM("OBJECT",1275),VVtemp[28]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[10],VV[8],VVtemp[6],ECL_SYM("OBJECT",1275),VVtemp[29]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[10],VV[8],VVtemp[8],ECL_SYM("OBJECT",1275),VVtemp[30]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[10],VV[8],VVtemp[10],ECL_SYM("OBJECT",1275),VVtemp[31]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[10],VV[8],VVtemp[12],ECL_SYM("OBJECT",1275),VVtemp[32]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[10],VV[8],VVtemp[14],ECL_SYM("OBJECT",1275),VVtemp[33]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[10],VV[8],VVtemp[16],ECL_SYM("OBJECT",1275),VVtemp[34]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[10],VV[8],VVtemp[18],ECL_SYM("OBJECT",1275),VVtemp[35]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[10],VV[8],VVtemp[20],ECL_SYM("OBJECT",1275),VVtemp[36]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[10],VV[8],VVtemp[22],ECL_SYM("OBJECT",1275),VVtemp[37]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[10],VV[8],VVtemp[24],ECL_SYM("OBJECT",1275),VVtemp[38]) /*  DEF-INLINE */;
	cl_export(1,VV[13])                       /*  EXPORT          */;
	cl_export(1,VV[14])                       /*  EXPORT          */;
	ecl_cmp_defmacro(VV[105]);                /*  AREF-PREFETCH-T2 */
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[39]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[106]);                   /*  ROW-MAJOR-AREF-PREFETCH-T2 */
	ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[14],VV[6],VVtemp[2],ECL_SYM("OBJECT",1275),VVtemp[40],VV[7],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[14],VV[6],VVtemp[4],ECL_SYM("OBJECT",1275),VVtemp[41]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[14],VV[8],VVtemp[6],ECL_SYM("OBJECT",1275),VVtemp[42]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[14],VV[8],VVtemp[8],ECL_SYM("OBJECT",1275),VVtemp[43]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[14],VV[8],VVtemp[10],ECL_SYM("OBJECT",1275),VVtemp[44]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[14],VV[8],VVtemp[12],ECL_SYM("OBJECT",1275),VVtemp[45]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[14],VV[8],VVtemp[14],ECL_SYM("OBJECT",1275),VVtemp[46]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[14],VV[8],VVtemp[16],ECL_SYM("OBJECT",1275),VVtemp[47]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[14],VV[8],VVtemp[18],ECL_SYM("OBJECT",1275),VVtemp[48]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[14],VV[8],VVtemp[20],ECL_SYM("OBJECT",1275),VVtemp[49]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[14],VV[8],VVtemp[22],ECL_SYM("OBJECT",1275),VVtemp[50]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[14],VV[8],VVtemp[24],ECL_SYM("OBJECT",1275),VVtemp[51]) /*  DEF-INLINE */;
	cl_export(1,VV[17])                       /*  EXPORT          */;
	cl_export(1,VV[18])                       /*  EXPORT          */;
	ecl_cmp_defmacro(VV[107]);                /*  AREF-PREFETCH-NTA */
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[52]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[108]);                   /*  ROW-MAJOR-AREF-PREFETCH-NTA */
	ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[18],VV[6],VVtemp[2],ECL_SYM("OBJECT",1275),VVtemp[53],VV[7],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[18],VV[6],VVtemp[4],ECL_SYM("OBJECT",1275),VVtemp[54]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[18],VV[8],VVtemp[6],ECL_SYM("OBJECT",1275),VVtemp[55]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[18],VV[8],VVtemp[8],ECL_SYM("OBJECT",1275),VVtemp[56]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[18],VV[8],VVtemp[10],ECL_SYM("OBJECT",1275),VVtemp[57]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[18],VV[8],VVtemp[12],ECL_SYM("OBJECT",1275),VVtemp[58]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[18],VV[8],VVtemp[14],ECL_SYM("OBJECT",1275),VVtemp[59]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[18],VV[8],VVtemp[16],ECL_SYM("OBJECT",1275),VVtemp[60]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[18],VV[8],VVtemp[18],ECL_SYM("OBJECT",1275),VVtemp[61]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[18],VV[8],VVtemp[20],ECL_SYM("OBJECT",1275),VVtemp[62]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[18],VV[8],VVtemp[22],ECL_SYM("OBJECT",1275),VVtemp[63]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[18],VV[8],VVtemp[24],ECL_SYM("OBJECT",1275),VVtemp[64]) /*  DEF-INLINE */;
	cl_export(1,VV[21])                       /*  EXPORT          */;
	cl_export(1,VV[22])                       /*  EXPORT          */;
	ecl_cmp_defmacro(VV[109]);                /*  AREF-CLFLUSH    */
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[65]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[110]);                   /*  ROW-MAJOR-AREF-CLFLUSH */
	ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[22],VV[6],VVtemp[2],ECL_SYM("OBJECT",1275),VVtemp[66],VV[7],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[22],VV[6],VVtemp[4],ECL_SYM("OBJECT",1275),VVtemp[67]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[22],VV[8],VVtemp[6],ECL_SYM("OBJECT",1275),VVtemp[68]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[22],VV[8],VVtemp[8],ECL_SYM("OBJECT",1275),VVtemp[69]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[22],VV[8],VVtemp[10],ECL_SYM("OBJECT",1275),VVtemp[70]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[22],VV[8],VVtemp[12],ECL_SYM("OBJECT",1275),VVtemp[71]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[22],VV[8],VVtemp[14],ECL_SYM("OBJECT",1275),VVtemp[72]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[22],VV[8],VVtemp[16],ECL_SYM("OBJECT",1275),VVtemp[73]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[22],VV[8],VVtemp[18],ECL_SYM("OBJECT",1275),VVtemp[74]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[22],VV[8],VVtemp[20],ECL_SYM("OBJECT",1275),VVtemp[75]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[22],VV[8],VVtemp[22],ECL_SYM("OBJECT",1275),VVtemp[76]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[22],VV[8],VVtemp[24],ECL_SYM("OBJECT",1275),VVtemp[77]) /*  DEF-INLINE */;
	cl_export(1,VV[25])                       /*  EXPORT          */;
	cl_export(1,VV[26])                       /*  EXPORT          */;
	ecl_cmp_defmacro(VV[111]);                /*  AREF-SS         */
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[78]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[112]);                   /*  ROW-MAJOR-AREF-SS */
	ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[26],VV[6],VVtemp[2],VV[29],VVtemp[79],VV[7],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[26],VV[6],VVtemp[4],VV[29],VVtemp[80]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[26],VV[8],VVtemp[6],VV[29],VVtemp[81]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[26],VV[8],VVtemp[8],VV[29],VVtemp[82]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[26],VV[8],VVtemp[10],VV[29],VVtemp[83]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[26],VV[8],VVtemp[12],VV[29],VVtemp[84]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[26],VV[8],VVtemp[14],VV[29],VVtemp[85]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[26],VV[8],VVtemp[16],VV[29],VVtemp[86]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[26],VV[8],VVtemp[18],VV[29],VVtemp[87]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[26],VV[8],VVtemp[20],VV[29],VVtemp[88]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[26],VV[8],VVtemp[22],VV[29],VVtemp[89]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[26],VV[8],VVtemp[24],VV[29],VVtemp[90]) /*  DEF-INLINE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC13aref_ss,Cnil,Cblock);
	si_do_define_setf_method(VV[25],T0)       /*  DO-DEFINE-SETF-METHOD */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[91]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[113]);                   /*  ROW-MAJOR-ASET-SS */
	si_do_defsetf(VV[26],VV[30])              /*  DO-DEFSETF      */;
	ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[30],VV[6],VVtemp[92],VV[29],VVtemp[93],VV[7],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[30],VV[6],VVtemp[94],VV[29],VVtemp[95]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[30],VV[8],VVtemp[96],VV[29],VVtemp[97]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[30],VV[8],VVtemp[98],VV[29],VVtemp[99]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[30],VV[8],VVtemp[100],VV[29],VVtemp[101]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[30],VV[8],VVtemp[102],VV[29],VVtemp[103]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[30],VV[8],VVtemp[104],VV[29],VVtemp[105]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[30],VV[8],VVtemp[106],VV[29],VVtemp[107]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[30],VV[8],VVtemp[108],VV[29],VVtemp[109]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[30],VV[8],VVtemp[110],VV[29],VVtemp[111]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[30],VV[8],VVtemp[112],VV[29],VVtemp[113]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[30],VV[8],VVtemp[114],VV[29],VVtemp[115]) /*  DEF-INLINE */;
	cl_export(1,VV[32])                       /*  EXPORT          */;
	cl_export(1,VV[33])                       /*  EXPORT          */;
	ecl_cmp_defmacro(VV[114]);                /*  AREF-PS         */
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[116]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[115]);                   /*  ROW-MAJOR-AREF-PS */
	ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[33],VV[6],VVtemp[2],VV[29],VVtemp[117],VV[7],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[33],VV[6],VVtemp[4],VV[29],VVtemp[118]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[33],VV[8],VVtemp[6],VV[29],VVtemp[119]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[33],VV[8],VVtemp[8],VV[29],VVtemp[120]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[33],VV[8],VVtemp[10],VV[29],VVtemp[121]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[33],VV[8],VVtemp[12],VV[29],VVtemp[122]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[33],VV[8],VVtemp[14],VV[29],VVtemp[123]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[33],VV[8],VVtemp[16],VV[29],VVtemp[124]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[33],VV[8],VVtemp[18],VV[29],VVtemp[125]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[33],VV[8],VVtemp[20],VV[29],VVtemp[126]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[33],VV[8],VVtemp[22],VV[29],VVtemp[127]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[33],VV[8],VVtemp[24],VV[29],VVtemp[128]) /*  DEF-INLINE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC17aref_ps,Cnil,Cblock);
	si_do_define_setf_method(VV[32],T0)       /*  DO-DEFINE-SETF-METHOD */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[129]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[116]);                   /*  ROW-MAJOR-ASET-PS */
	si_do_defsetf(VV[33],VV[36])              /*  DO-DEFSETF      */;
	ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[36],VV[6],VVtemp[92],VV[29],VVtemp[130],VV[7],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[36],VV[6],VVtemp[94],VV[29],VVtemp[131]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[36],VV[8],VVtemp[96],VV[29],VVtemp[132]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[36],VV[8],VVtemp[98],VV[29],VVtemp[133]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[36],VV[8],VVtemp[100],VV[29],VVtemp[134]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[36],VV[8],VVtemp[102],VV[29],VVtemp[135]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[36],VV[8],VVtemp[104],VV[29],VVtemp[136]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[36],VV[8],VVtemp[106],VV[29],VVtemp[137]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[36],VV[8],VVtemp[108],VV[29],VVtemp[138]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[36],VV[8],VVtemp[110],VV[29],VVtemp[139]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[36],VV[8],VVtemp[112],VV[29],VVtemp[140]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[36],VV[8],VVtemp[114],VV[29],VVtemp[141]) /*  DEF-INLINE */;
	cl_export(1,VV[38])                       /*  EXPORT          */;
	cl_export(1,VV[39])                       /*  EXPORT          */;
	ecl_cmp_defmacro(VV[117]);                /*  AREF-APS        */
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[142]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[118]);                   /*  ROW-MAJOR-AREF-APS */
	ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[39],VV[6],VVtemp[2],VV[29],VVtemp[143],VV[7],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[39],VV[6],VVtemp[4],VV[29],VVtemp[144]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[39],VV[8],VVtemp[6],VV[29],VVtemp[145]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[39],VV[8],VVtemp[8],VV[29],VVtemp[146]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[39],VV[8],VVtemp[10],VV[29],VVtemp[147]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[39],VV[8],VVtemp[12],VV[29],VVtemp[148]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[39],VV[8],VVtemp[14],VV[29],VVtemp[149]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[39],VV[8],VVtemp[16],VV[29],VVtemp[150]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[39],VV[8],VVtemp[18],VV[29],VVtemp[151]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[39],VV[8],VVtemp[20],VV[29],VVtemp[152]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[39],VV[8],VVtemp[22],VV[29],VVtemp[153]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[39],VV[8],VVtemp[24],VV[29],VVtemp[154]) /*  DEF-INLINE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC21aref_aps,Cnil,Cblock);
	si_do_define_setf_method(VV[38],T0)       /*  DO-DEFINE-SETF-METHOD */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[155]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[119]);                   /*  ROW-MAJOR-ASET-APS */
	si_do_defsetf(VV[39],VV[42])              /*  DO-DEFSETF      */;
	ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[42],VV[6],VVtemp[92],VV[29],VVtemp[156],VV[7],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[42],VV[6],VVtemp[94],VV[29],VVtemp[157]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[42],VV[8],VVtemp[96],VV[29],VVtemp[158]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[42],VV[8],VVtemp[98],VV[29],VVtemp[159]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[42],VV[8],VVtemp[100],VV[29],VVtemp[160]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[42],VV[8],VVtemp[102],VV[29],VVtemp[161]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[42],VV[8],VVtemp[104],VV[29],VVtemp[162]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[42],VV[8],VVtemp[106],VV[29],VVtemp[163]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[42],VV[8],VVtemp[108],VV[29],VVtemp[164]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[42],VV[8],VVtemp[110],VV[29],VVtemp[165]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[42],VV[8],VVtemp[112],VV[29],VVtemp[166]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[42],VV[8],VVtemp[114],VV[29],VVtemp[167]) /*  DEF-INLINE */;
	cl_export(1,VV[44])                       /*  EXPORT          */;
	cl_export(1,VV[45])                       /*  EXPORT          */;
	ecl_cmp_defmacro(VV[120]);                /*  AREF-SPS        */
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[168]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[121]);                   /*  ROW-MAJOR-AREF-SPS */
	ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[45],VV[6],VVtemp[2],VV[29],VVtemp[143],VV[7],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[45],VV[6],VVtemp[4],VV[29],VVtemp[144]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[45],VV[8],VVtemp[6],VV[29],VVtemp[145]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[45],VV[8],VVtemp[8],VV[29],VVtemp[146]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[45],VV[8],VVtemp[10],VV[29],VVtemp[147]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[45],VV[8],VVtemp[12],VV[29],VVtemp[148]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[45],VV[8],VVtemp[14],VV[29],VVtemp[149]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[45],VV[8],VVtemp[16],VV[29],VVtemp[150]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[45],VV[8],VVtemp[18],VV[29],VVtemp[151]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[45],VV[8],VVtemp[20],VV[29],VVtemp[152]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[45],VV[8],VVtemp[22],VV[29],VVtemp[153]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[45],VV[8],VVtemp[24],VV[29],VVtemp[154]) /*  DEF-INLINE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC25aref_sps,Cnil,Cblock);
	si_do_define_setf_method(VV[44],T0)       /*  DO-DEFINE-SETF-METHOD */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[169]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[122]);                   /*  ROW-MAJOR-ASET-SPS */
	si_do_defsetf(VV[45],VV[48])              /*  DO-DEFSETF      */;
	ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[48],VV[6],VVtemp[92],VV[29],VVtemp[170],VV[7],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[48],VV[6],VVtemp[94],VV[29],VVtemp[171]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[48],VV[8],VVtemp[96],VV[29],VVtemp[172]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[48],VV[8],VVtemp[98],VV[29],VVtemp[173]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[48],VV[8],VVtemp[100],VV[29],VVtemp[174]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[48],VV[8],VVtemp[102],VV[29],VVtemp[175]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[48],VV[8],VVtemp[104],VV[29],VVtemp[176]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[48],VV[8],VVtemp[106],VV[29],VVtemp[177]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[48],VV[8],VVtemp[108],VV[29],VVtemp[178]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[48],VV[8],VVtemp[110],VV[29],VVtemp[179]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[48],VV[8],VVtemp[112],VV[29],VVtemp[180]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[48],VV[8],VVtemp[114],VV[29],VVtemp[181]) /*  DEF-INLINE */;
	cl_export(1,VV[50])                       /*  EXPORT          */;
	cl_export(1,VV[51])                       /*  EXPORT          */;
	ecl_cmp_defmacro(VV[123]);                /*  AREF-SD         */
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[182]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[124]);                   /*  ROW-MAJOR-AREF-SD */
	ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[51],VV[6],VVtemp[2],VV[54],VVtemp[183],VV[7],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[51],VV[6],VVtemp[4],VV[54],VVtemp[184]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[51],VV[8],VVtemp[6],VV[54],VVtemp[185]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[51],VV[8],VVtemp[8],VV[54],VVtemp[186]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[51],VV[8],VVtemp[10],VV[54],VVtemp[187]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[51],VV[8],VVtemp[12],VV[54],VVtemp[188]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[51],VV[8],VVtemp[14],VV[54],VVtemp[189]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[51],VV[8],VVtemp[16],VV[54],VVtemp[190]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[51],VV[8],VVtemp[18],VV[54],VVtemp[191]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[51],VV[8],VVtemp[20],VV[54],VVtemp[192]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[51],VV[8],VVtemp[22],VV[54],VVtemp[193]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[51],VV[8],VVtemp[24],VV[54],VVtemp[194]) /*  DEF-INLINE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC29aref_sd,Cnil,Cblock);
	si_do_define_setf_method(VV[50],T0)       /*  DO-DEFINE-SETF-METHOD */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[195]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[125]);                   /*  ROW-MAJOR-ASET-SD */
	si_do_defsetf(VV[51],VV[55])              /*  DO-DEFSETF      */;
	ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[55],VV[6],VVtemp[196],VV[54],VVtemp[197],VV[7],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[55],VV[6],VVtemp[198],VV[54],VVtemp[199]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[55],VV[8],VVtemp[200],VV[54],VVtemp[201]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[55],VV[8],VVtemp[202],VV[54],VVtemp[203]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[55],VV[8],VVtemp[204],VV[54],VVtemp[205]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[55],VV[8],VVtemp[206],VV[54],VVtemp[207]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[55],VV[8],VVtemp[208],VV[54],VVtemp[209]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[55],VV[8],VVtemp[210],VV[54],VVtemp[211]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[55],VV[8],VVtemp[212],VV[54],VVtemp[213]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[55],VV[8],VVtemp[214],VV[54],VVtemp[215]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[55],VV[8],VVtemp[216],VV[54],VVtemp[217]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[55],VV[8],VVtemp[218],VV[54],VVtemp[219]) /*  DEF-INLINE */;
	cl_export(1,VV[57])                       /*  EXPORT          */;
	cl_export(1,VV[58])                       /*  EXPORT          */;
	ecl_cmp_defmacro(VV[126]);                /*  AREF-PD         */
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[220]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[127]);                   /*  ROW-MAJOR-AREF-PD */
	ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[58],VV[6],VVtemp[2],VV[54],VVtemp[221],VV[7],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[58],VV[6],VVtemp[4],VV[54],VVtemp[222]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[58],VV[8],VVtemp[6],VV[54],VVtemp[223]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[58],VV[8],VVtemp[8],VV[54],VVtemp[224]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[58],VV[8],VVtemp[10],VV[54],VVtemp[225]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[58],VV[8],VVtemp[12],VV[54],VVtemp[226]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[58],VV[8],VVtemp[14],VV[54],VVtemp[227]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[58],VV[8],VVtemp[16],VV[54],VVtemp[228]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[58],VV[8],VVtemp[18],VV[54],VVtemp[229]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[58],VV[8],VVtemp[20],VV[54],VVtemp[230]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[58],VV[8],VVtemp[22],VV[54],VVtemp[231]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[58],VV[8],VVtemp[24],VV[54],VVtemp[232]) /*  DEF-INLINE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC33aref_pd,Cnil,Cblock);
	si_do_define_setf_method(VV[57],T0)       /*  DO-DEFINE-SETF-METHOD */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[233]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[128]);                   /*  ROW-MAJOR-ASET-PD */
	si_do_defsetf(VV[58],VV[61])              /*  DO-DEFSETF      */;
	ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[61],VV[6],VVtemp[196],VV[54],VVtemp[234],VV[7],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[61],VV[6],VVtemp[198],VV[54],VVtemp[235]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[61],VV[8],VVtemp[200],VV[54],VVtemp[236]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[61],VV[8],VVtemp[202],VV[54],VVtemp[237]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[61],VV[8],VVtemp[204],VV[54],VVtemp[238]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[61],VV[8],VVtemp[206],VV[54],VVtemp[239]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[61],VV[8],VVtemp[208],VV[54],VVtemp[240]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[61],VV[8],VVtemp[210],VV[54],VVtemp[241]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[61],VV[8],VVtemp[212],VV[54],VVtemp[242]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[61],VV[8],VVtemp[214],VV[54],VVtemp[243]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[61],VV[8],VVtemp[216],VV[54],VVtemp[244]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[61],VV[8],VVtemp[218],VV[54],VVtemp[245]) /*  DEF-INLINE */;
	cl_export(1,VV[63])                       /*  EXPORT          */;
	cl_export(1,VV[64])                       /*  EXPORT          */;
	ecl_cmp_defmacro(VV[129]);                /*  AREF-APD        */
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[246]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[130]);                   /*  ROW-MAJOR-AREF-APD */
	ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[64],VV[6],VVtemp[2],VV[54],VVtemp[247],VV[7],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[64],VV[6],VVtemp[4],VV[54],VVtemp[248]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[64],VV[8],VVtemp[6],VV[54],VVtemp[249]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[64],VV[8],VVtemp[8],VV[54],VVtemp[250]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[64],VV[8],VVtemp[10],VV[54],VVtemp[251]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[64],VV[8],VVtemp[12],VV[54],VVtemp[252]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[64],VV[8],VVtemp[14],VV[54],VVtemp[253]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[64],VV[8],VVtemp[16],VV[54],VVtemp[254]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[64],VV[8],VVtemp[18],VV[54],VVtemp[255]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[64],VV[8],VVtemp[20],VV[54],VVtemp[256]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[64],VV[8],VVtemp[22],VV[54],VVtemp[257]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[64],VV[8],VVtemp[24],VV[54],VVtemp[258]) /*  DEF-INLINE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC37aref_apd,Cnil,Cblock);
	si_do_define_setf_method(VV[63],T0)       /*  DO-DEFINE-SETF-METHOD */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[259]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[131]);                   /*  ROW-MAJOR-ASET-APD */
	si_do_defsetf(VV[64],VV[67])              /*  DO-DEFSETF      */;
	ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[67],VV[6],VVtemp[196],VV[54],VVtemp[260],VV[7],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[67],VV[6],VVtemp[198],VV[54],VVtemp[261]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[67],VV[8],VVtemp[200],VV[54],VVtemp[262]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[67],VV[8],VVtemp[202],VV[54],VVtemp[263]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[67],VV[8],VVtemp[204],VV[54],VVtemp[264]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[67],VV[8],VVtemp[206],VV[54],VVtemp[265]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[67],VV[8],VVtemp[208],VV[54],VVtemp[266]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[67],VV[8],VVtemp[210],VV[54],VVtemp[267]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[67],VV[8],VVtemp[212],VV[54],VVtemp[268]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[67],VV[8],VVtemp[214],VV[54],VVtemp[269]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[67],VV[8],VVtemp[216],VV[54],VVtemp[270]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[67],VV[8],VVtemp[218],VV[54],VVtemp[271]) /*  DEF-INLINE */;
	cl_export(1,VV[69])                       /*  EXPORT          */;
	cl_export(1,VV[70])                       /*  EXPORT          */;
	ecl_cmp_defmacro(VV[132]);                /*  AREF-SPD        */
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[272]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[133]);                   /*  ROW-MAJOR-AREF-SPD */
	ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[70],VV[6],VVtemp[2],VV[54],VVtemp[247],VV[7],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[70],VV[6],VVtemp[4],VV[54],VVtemp[248]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[70],VV[8],VVtemp[6],VV[54],VVtemp[249]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[70],VV[8],VVtemp[8],VV[54],VVtemp[250]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[70],VV[8],VVtemp[10],VV[54],VVtemp[251]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[70],VV[8],VVtemp[12],VV[54],VVtemp[252]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[70],VV[8],VVtemp[14],VV[54],VVtemp[253]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[70],VV[8],VVtemp[16],VV[54],VVtemp[254]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[70],VV[8],VVtemp[18],VV[54],VVtemp[255]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[70],VV[8],VVtemp[20],VV[54],VVtemp[256]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[70],VV[8],VVtemp[22],VV[54],VVtemp[257]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[70],VV[8],VVtemp[24],VV[54],VVtemp[258]) /*  DEF-INLINE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC41aref_spd,Cnil,Cblock);
	si_do_define_setf_method(VV[69],T0)       /*  DO-DEFINE-SETF-METHOD */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[273]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[134]);                   /*  ROW-MAJOR-ASET-SPD */
	si_do_defsetf(VV[70],VV[73])              /*  DO-DEFSETF      */;
	ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[73],VV[6],VVtemp[196],VV[54],VVtemp[274],VV[7],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[73],VV[6],VVtemp[198],VV[54],VVtemp[275]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[73],VV[8],VVtemp[200],VV[54],VVtemp[276]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[73],VV[8],VVtemp[202],VV[54],VVtemp[277]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[73],VV[8],VVtemp[204],VV[54],VVtemp[278]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[73],VV[8],VVtemp[206],VV[54],VVtemp[279]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[73],VV[8],VVtemp[208],VV[54],VVtemp[280]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[73],VV[8],VVtemp[210],VV[54],VVtemp[281]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[73],VV[8],VVtemp[212],VV[54],VVtemp[282]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[73],VV[8],VVtemp[214],VV[54],VVtemp[283]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[73],VV[8],VVtemp[216],VV[54],VVtemp[284]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[73],VV[8],VVtemp[218],VV[54],VVtemp[285]) /*  DEF-INLINE */;
	cl_export(1,VV[75])                       /*  EXPORT          */;
	cl_export(1,VV[76])                       /*  EXPORT          */;
	ecl_cmp_defmacro(VV[135]);                /*  AREF-SI64       */
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[286]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[136]);                   /*  ROW-MAJOR-AREF-SI64 */
	ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[76],VV[6],VVtemp[2],VV[79],VVtemp[287],VV[7],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[76],VV[6],VVtemp[4],VV[79],VVtemp[288]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[76],VV[8],VVtemp[6],VV[79],VVtemp[289]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[76],VV[8],VVtemp[8],VV[79],VVtemp[290]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[76],VV[8],VVtemp[10],VV[79],VVtemp[291]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[76],VV[8],VVtemp[12],VV[79],VVtemp[292]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[76],VV[8],VVtemp[14],VV[79],VVtemp[293]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[76],VV[8],VVtemp[16],VV[79],VVtemp[294]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[76],VV[8],VVtemp[18],VV[79],VVtemp[295]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[76],VV[8],VVtemp[20],VV[79],VVtemp[296]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[76],VV[8],VVtemp[22],VV[79],VVtemp[297]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[76],VV[8],VVtemp[24],VV[79],VVtemp[298]) /*  DEF-INLINE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC45aref_si64,Cnil,Cblock);
	si_do_define_setf_method(VV[75],T0)       /*  DO-DEFINE-SETF-METHOD */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[299]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[137]);                   /*  ROW-MAJOR-ASET-SI64 */
	si_do_defsetf(VV[76],VV[80])              /*  DO-DEFSETF      */;
	ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[80],VV[6],VVtemp[300],VV[79],VVtemp[301],VV[7],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[80],VV[6],VVtemp[302],VV[79],VVtemp[303]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[80],VV[8],VVtemp[304],VV[79],VVtemp[305]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[80],VV[8],VVtemp[306],VV[79],VVtemp[307]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[80],VV[8],VVtemp[308],VV[79],VVtemp[309]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[80],VV[8],VVtemp[310],VV[79],VVtemp[311]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[80],VV[8],VVtemp[312],VV[79],VVtemp[313]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[80],VV[8],VVtemp[314],VV[79],VVtemp[315]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[80],VV[8],VVtemp[316],VV[79],VVtemp[317]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[80],VV[8],VVtemp[318],VV[79],VVtemp[319]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[80],VV[8],VVtemp[320],VV[79],VVtemp[321]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[80],VV[8],VVtemp[322],VV[79],VVtemp[323]) /*  DEF-INLINE */;
	cl_export(1,VV[82])                       /*  EXPORT          */;
	cl_export(1,VV[83])                       /*  EXPORT          */;
	ecl_cmp_defmacro(VV[138]);                /*  AREF-PI         */
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[324]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[139]);                   /*  ROW-MAJOR-AREF-PI */
	ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[83],VV[6],VVtemp[2],VV[79],VVtemp[325],VV[7],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[83],VV[6],VVtemp[4],VV[79],VVtemp[326]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[83],VV[8],VVtemp[6],VV[79],VVtemp[327]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[83],VV[8],VVtemp[8],VV[79],VVtemp[328]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[83],VV[8],VVtemp[10],VV[79],VVtemp[329]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[83],VV[8],VVtemp[12],VV[79],VVtemp[330]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[83],VV[8],VVtemp[14],VV[79],VVtemp[331]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[83],VV[8],VVtemp[16],VV[79],VVtemp[332]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[83],VV[8],VVtemp[18],VV[79],VVtemp[333]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[83],VV[8],VVtemp[20],VV[79],VVtemp[334]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[83],VV[8],VVtemp[22],VV[79],VVtemp[335]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[83],VV[8],VVtemp[24],VV[79],VVtemp[336]) /*  DEF-INLINE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC49aref_pi,Cnil,Cblock);
	si_do_define_setf_method(VV[82],T0)       /*  DO-DEFINE-SETF-METHOD */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[337]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[140]);                   /*  ROW-MAJOR-ASET-PI */
	si_do_defsetf(VV[83],VV[86])              /*  DO-DEFSETF      */;
	ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[86],VV[6],VVtemp[300],VV[79],VVtemp[338],VV[7],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[86],VV[6],VVtemp[302],VV[79],VVtemp[339]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[86],VV[8],VVtemp[304],VV[79],VVtemp[340]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[86],VV[8],VVtemp[306],VV[79],VVtemp[341]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[86],VV[8],VVtemp[308],VV[79],VVtemp[342]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[86],VV[8],VVtemp[310],VV[79],VVtemp[343]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[86],VV[8],VVtemp[312],VV[79],VVtemp[344]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[86],VV[8],VVtemp[314],VV[79],VVtemp[345]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[86],VV[8],VVtemp[316],VV[79],VVtemp[346]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[86],VV[8],VVtemp[318],VV[79],VVtemp[347]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[86],VV[8],VVtemp[320],VV[79],VVtemp[348]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[86],VV[8],VVtemp[322],VV[79],VVtemp[349]) /*  DEF-INLINE */;
	cl_export(1,VV[88])                       /*  EXPORT          */;
	cl_export(1,VV[89])                       /*  EXPORT          */;
	ecl_cmp_defmacro(VV[141]);                /*  AREF-API        */
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[350]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[142]);                   /*  ROW-MAJOR-AREF-API */
	ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[89],VV[6],VVtemp[2],VV[79],VVtemp[351],VV[7],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[89],VV[6],VVtemp[4],VV[79],VVtemp[352]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[89],VV[8],VVtemp[6],VV[79],VVtemp[353]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[89],VV[8],VVtemp[8],VV[79],VVtemp[354]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[89],VV[8],VVtemp[10],VV[79],VVtemp[355]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[89],VV[8],VVtemp[12],VV[79],VVtemp[356]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[89],VV[8],VVtemp[14],VV[79],VVtemp[357]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[89],VV[8],VVtemp[16],VV[79],VVtemp[358]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[89],VV[8],VVtemp[18],VV[79],VVtemp[359]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[89],VV[8],VVtemp[20],VV[79],VVtemp[360]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[89],VV[8],VVtemp[22],VV[79],VVtemp[361]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[89],VV[8],VVtemp[24],VV[79],VVtemp[362]) /*  DEF-INLINE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC53aref_api,Cnil,Cblock);
	si_do_define_setf_method(VV[88],T0)       /*  DO-DEFINE-SETF-METHOD */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[363]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[143]);                   /*  ROW-MAJOR-ASET-API */
	si_do_defsetf(VV[89],VV[92])              /*  DO-DEFSETF      */;
	ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[92],VV[6],VVtemp[300],VV[79],VVtemp[364],VV[7],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[92],VV[6],VVtemp[302],VV[79],VVtemp[365]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[92],VV[8],VVtemp[304],VV[79],VVtemp[366]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[92],VV[8],VVtemp[306],VV[79],VVtemp[367]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[92],VV[8],VVtemp[308],VV[79],VVtemp[368]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[92],VV[8],VVtemp[310],VV[79],VVtemp[369]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[92],VV[8],VVtemp[312],VV[79],VVtemp[370]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[92],VV[8],VVtemp[314],VV[79],VVtemp[371]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[92],VV[8],VVtemp[316],VV[79],VVtemp[372]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[92],VV[8],VVtemp[318],VV[79],VVtemp[373]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[92],VV[8],VVtemp[320],VV[79],VVtemp[374]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[92],VV[8],VVtemp[322],VV[79],VVtemp[375]) /*  DEF-INLINE */;
	cl_export(1,VV[94])                       /*  EXPORT          */;
	cl_export(1,VV[95])                       /*  EXPORT          */;
	ecl_cmp_defmacro(VV[144]);                /*  AREF-SPI        */
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[376]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[145]);                   /*  ROW-MAJOR-AREF-SPI */
	ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[95],VV[6],VVtemp[2],VV[79],VVtemp[351],VV[7],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[95],VV[6],VVtemp[4],VV[79],VVtemp[352]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[95],VV[8],VVtemp[6],VV[79],VVtemp[353]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[95],VV[8],VVtemp[8],VV[79],VVtemp[354]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[95],VV[8],VVtemp[10],VV[79],VVtemp[355]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[95],VV[8],VVtemp[12],VV[79],VVtemp[356]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[95],VV[8],VVtemp[14],VV[79],VVtemp[357]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[95],VV[8],VVtemp[16],VV[79],VVtemp[358]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[95],VV[8],VVtemp[18],VV[79],VVtemp[359]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[95],VV[8],VVtemp[20],VV[79],VVtemp[360]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[95],VV[8],VVtemp[22],VV[79],VVtemp[361]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[95],VV[8],VVtemp[24],VV[79],VVtemp[362]) /*  DEF-INLINE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC57aref_spi,Cnil,Cblock);
	si_do_define_setf_method(VV[94],T0)       /*  DO-DEFINE-SETF-METHOD */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[377]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[146]);                   /*  ROW-MAJOR-ASET-SPI */
	si_do_defsetf(VV[95],VV[98])              /*  DO-DEFSETF      */;
	ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[98],VV[6],VVtemp[300],VV[79],VVtemp[378],VV[7],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[98],VV[6],VVtemp[302],VV[79],VVtemp[379]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[98],VV[8],VVtemp[304],VV[79],VVtemp[380]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[98],VV[8],VVtemp[306],VV[79],VVtemp[381]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[98],VV[8],VVtemp[308],VV[79],VVtemp[382]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[98],VV[8],VVtemp[310],VV[79],VVtemp[383]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[98],VV[8],VVtemp[312],VV[79],VVtemp[384]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[98],VV[8],VVtemp[314],VV[79],VVtemp[385]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[98],VV[8],VVtemp[316],VV[79],VVtemp[386]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[98],VV[8],VVtemp[318],VV[79],VVtemp[387]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[98],VV[8],VVtemp[320],VV[79],VVtemp[388]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[98],VV[8],VVtemp[322],VV[79],VVtemp[389]) /*  DEF-INLINE */;
}
