/*	Compiler: ECL 12.2.1                                          */
/*	Source: EXT:CL-SIMD;SSE-INTRINSICS.LISP                       */
#include <ecl/ecl-cmp.h>
#include "ext/sse-intrinsics.eclh"
/*	function definition for CPU-PREFETCH-T0                       */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L1cpu_prefetch_t0(cl_narg narg, cl_object V1, ...)
{ VT2 VLEX2 CLSR2 STCK2
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= MAKE_FIXNUM(0);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=(_mm_prefetch((void*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V2)),_MM_HINT_T0),Cnil); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CPU-PREFETCH-T1                       */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L2cpu_prefetch_t1(cl_narg narg, cl_object V1, ...)
{ VT3 VLEX3 CLSR3 STCK3
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= MAKE_FIXNUM(0);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=(_mm_prefetch((void*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V2)),_MM_HINT_T1),Cnil); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CPU-PREFETCH-T2                       */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L3cpu_prefetch_t2(cl_narg narg, cl_object V1, ...)
{ VT4 VLEX4 CLSR4 STCK4
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= MAKE_FIXNUM(0);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=(_mm_prefetch((void*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V2)),_MM_HINT_T2),Cnil); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CPU-PREFETCH-NTA                      */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L4cpu_prefetch_nta(cl_narg narg, cl_object V1, ...)
{ VT5 VLEX5 CLSR5 STCK5
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= MAKE_FIXNUM(0);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=(_mm_prefetch((void*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V2)),_MM_HINT_NTA),Cnil); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CPU-CLFLUSH                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L5cpu_clflush(cl_narg narg, cl_object V1, ...)
{ VT6 VLEX6 CLSR6 STCK6
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= MAKE_FIXNUM(0);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=(_mm_clflush((void*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V2))),Cnil); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CPU-MXCSR                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L6cpu_mxcsr()
{ VT7 VLEX7 CLSR7 STCK7
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=MAKE_FIXNUM(_mm_getcsr()); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for %SET-CPU-MXCSR                        */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L7_set_cpu_mxcsr(cl_object V1)
{ VT8 VLEX8 CLSR8 STCK8
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=MAKE_FIXNUM((_mm_setcsr(ecl_to_fixnum(V1)),ecl_to_fixnum(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CPU-LOAD-FENCE                        */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L8cpu_load_fence()
{ VT9 VLEX9 CLSR9 STCK9
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=(_mm_lfence(),Cnil); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CPU-STORE-FENCE                       */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L9cpu_store_fence()
{ VT10 VLEX10 CLSR10 STCK10
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=(_mm_sfence(),Cnil); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CPU-MEMORY-FENCE                      */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L10cpu_memory_fence()
{ VT11 VLEX11 CLSR11 STCK11
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=(_mm_mfence(),Cnil); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CPU-PAUSE                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L11cpu_pause()
{ VT12 VLEX12 CLSR12 STCK12
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=(_mm_pause(),Cnil); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET-SS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L12set_ss(cl_object V1)
{ VT13 VLEX13 CLSR13 STCK13
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_set_ss(ecl_to_float(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET1-PS                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L13set1_ps(cl_object V1)
{ VT14 VLEX14 CLSR14 STCK14
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_set1_ps(ecl_to_float(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET-PS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L14set_ps(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{ VT15 VLEX15 CLSR15 STCK15
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_set_ps(ecl_to_float(V1),ecl_to_float(V2),ecl_to_float(V3),ecl_to_float(V4))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SETR-PS                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L15setr_ps(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{ VT16 VLEX16 CLSR16 STCK16
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_setr_ps(ecl_to_float(V1),ecl_to_float(V2),ecl_to_float(V3),ecl_to_float(V4))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SETZERO-PS                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L16setzero_ps()
{ VT17 VLEX17 CLSR17 STCK17
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_setzero_ps()); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MEM-REF-SS                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L17mem_ref_ss(cl_narg narg, cl_object V1, ...)
{ VT18 VLEX18 CLSR18 STCK18
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= MAKE_FIXNUM(0);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_float_sse_pack(_mm_load_ss((float*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V2)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MEM-REF-PS                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L18mem_ref_ps(cl_narg narg, cl_object V1, ...)
{ VT19 VLEX19 CLSR19 STCK19
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= MAKE_FIXNUM(0);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_float_sse_pack(_mm_loadu_ps((float*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V2)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MEM-REF-APS                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L19mem_ref_aps(cl_narg narg, cl_object V1, ...)
{ VT20 VLEX20 CLSR20 STCK20
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= MAKE_FIXNUM(0);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_float_sse_pack(_mm_load_ps((float*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V2)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MEM-SET-SS                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L20mem_set_ss(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT21 VLEX21 CLSR21 STCK21
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_float_sse_pack((_mm_store_ss((float*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V3)),ecl_unbox_float_sse_pack(V2)),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function MEM-REF-SS                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC21mem_ref_ss(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT22 VLEX22 CLSR22 STCK22
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=cl_list(4,VV[43],V2,V1,V3)         /*  LIST            */;
	return value0;
}}
/*	function definition for MEM-SET-PS                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L22mem_set_ps(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT23 VLEX23 CLSR23 STCK23
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_float_sse_pack((_mm_storeu_ps((float*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V3)),ecl_unbox_float_sse_pack(V2)),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function MEM-REF-PS                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC23mem_ref_ps(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT24 VLEX24 CLSR24 STCK24
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=cl_list(4,VV[45],V2,V1,V3)         /*  LIST            */;
	return value0;
}}
/*	function definition for MEM-SET-APS                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L24mem_set_aps(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT25 VLEX25 CLSR25 STCK25
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_float_sse_pack((_mm_store_ps((float*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V3)),ecl_unbox_float_sse_pack(V2)),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function MEM-REF-APS                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC25mem_ref_aps(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT26 VLEX26 CLSR26 STCK26
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=cl_list(4,VV[47],V2,V1,V3)         /*  LIST            */;
	return value0;
}}
/*	function definition for STREAM-PS                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L26stream_ps(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT27 VLEX27 CLSR27 STCK27
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_float_sse_pack((_mm_stream_ps((float*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V3)),ecl_unbox_float_sse_pack(V2)),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for ADD-SS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L27add_ss(cl_object V1, cl_object V2)
{ VT28 VLEX28 CLSR28 STCK28
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_add_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for ADD-PS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L28add_ps(cl_object V1, cl_object V2)
{ VT29 VLEX29 CLSR29 STCK29
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_add_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SUB-SS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L29sub_ss(cl_object V1, cl_object V2)
{ VT30 VLEX30 CLSR30 STCK30
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_sub_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SUB-PS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L30sub_ps(cl_object V1, cl_object V2)
{ VT31 VLEX31 CLSR31 STCK31
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_sub_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MUL-SS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L31mul_ss(cl_object V1, cl_object V2)
{ VT32 VLEX32 CLSR32 STCK32
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_mul_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MUL-PS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L32mul_ps(cl_object V1, cl_object V2)
{ VT33 VLEX33 CLSR33 STCK33
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_mul_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for DIV-SS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L33div_ss(cl_object V1, cl_object V2)
{ VT34 VLEX34 CLSR34 STCK34
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_div_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for DIV-PS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L34div_ps(cl_object V1, cl_object V2)
{ VT35 VLEX35 CLSR35 STCK35
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_div_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MIN-SS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L35min_ss(cl_object V1, cl_object V2)
{ VT36 VLEX36 CLSR36 STCK36
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_min_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MIN-PS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L36min_ps(cl_object V1, cl_object V2)
{ VT37 VLEX37 CLSR37 STCK37
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_min_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MAX-SS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L37max_ss(cl_object V1, cl_object V2)
{ VT38 VLEX38 CLSR38 STCK38
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_max_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MAX-PS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L38max_ps(cl_object V1, cl_object V2)
{ VT39 VLEX39 CLSR39 STCK39
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_max_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SQRT-SS                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L39sqrt_ss(cl_object V1)
{ VT40 VLEX40 CLSR40 STCK40
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_sqrt_ss(ecl_unbox_float_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SQRT-PS                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L40sqrt_ps(cl_object V1)
{ VT41 VLEX41 CLSR41 STCK41
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_sqrt_ps(ecl_unbox_float_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for RSQRT-SS                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L41rsqrt_ss(cl_object V1)
{ VT42 VLEX42 CLSR42 STCK42
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_rsqrt_ss(ecl_unbox_float_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for RSQRT-PS                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L42rsqrt_ps(cl_object V1)
{ VT43 VLEX43 CLSR43 STCK43
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_rsqrt_ps(ecl_unbox_float_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for RCP-SS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L43rcp_ss(cl_object V1)
{ VT44 VLEX44 CLSR44 STCK44
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_rcp_ss(ecl_unbox_float_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for RCP-PS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L44rcp_ps(cl_object V1)
{ VT45 VLEX45 CLSR45 STCK45
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_rcp_ps(ecl_unbox_float_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for AND-PS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L45and_ps(cl_object V1, cl_object V2)
{ VT46 VLEX46 CLSR46 STCK46
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_and_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for ANDNOT-PS                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L46andnot_ps(cl_object V1, cl_object V2)
{ VT47 VLEX47 CLSR47 STCK47
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_andnot_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for OR-PS                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L47or_ps(cl_object V1, cl_object V2)
{ VT48 VLEX48 CLSR48 STCK48
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_or_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for XOR-PS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L48xor_ps(cl_object V1, cl_object V2)
{ VT49 VLEX49 CLSR49 STCK49
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_xor_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for =-SS                                  */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L49__ss(cl_object V1, cl_object V2)
{ VT50 VLEX50 CLSR50 STCK50
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpeq_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for =-PS                                  */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L50__ps(cl_object V1, cl_object V2)
{ VT51 VLEX51 CLSR51 STCK51
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpeq_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <-SS                                  */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L51__ss(cl_object V1, cl_object V2)
{ VT52 VLEX52 CLSR52 STCK52
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmplt_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <-PS                                  */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L52__ps(cl_object V1, cl_object V2)
{ VT53 VLEX53 CLSR53 STCK53
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmplt_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <=-SS                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L53___ss(cl_object V1, cl_object V2)
{ VT54 VLEX54 CLSR54 STCK54
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmple_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <=-PS                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L54___ps(cl_object V1, cl_object V2)
{ VT55 VLEX55 CLSR55 STCK55
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmple_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >-SS                                  */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L55__ss(cl_object V1, cl_object V2)
{ VT56 VLEX56 CLSR56 STCK56
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpgt_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >-PS                                  */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L56__ps(cl_object V1, cl_object V2)
{ VT57 VLEX57 CLSR57 STCK57
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpgt_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >=-SS                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L57___ss(cl_object V1, cl_object V2)
{ VT58 VLEX58 CLSR58 STCK58
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpge_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >=-PS                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L58___ps(cl_object V1, cl_object V2)
{ VT59 VLEX59 CLSR59 STCK59
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpge_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for /=-SS                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L59___ss(cl_object V1, cl_object V2)
{ VT60 VLEX60 CLSR60 STCK60
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpneq_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for /=-PS                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L60___ps(cl_object V1, cl_object V2)
{ VT61 VLEX61 CLSR61 STCK61
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpneq_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for /<-SS                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L61___ss(cl_object V1, cl_object V2)
{ VT62 VLEX62 CLSR62 STCK62
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpnlt_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for /<-PS                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L62___ps(cl_object V1, cl_object V2)
{ VT63 VLEX63 CLSR63 STCK63
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpnlt_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for /<=-SS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L63____ss(cl_object V1, cl_object V2)
{ VT64 VLEX64 CLSR64 STCK64
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpnle_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for /<=-PS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L64____ps(cl_object V1, cl_object V2)
{ VT65 VLEX65 CLSR65 STCK65
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpnle_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for />-SS                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L65___ss(cl_object V1, cl_object V2)
{ VT66 VLEX66 CLSR66 STCK66
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpngt_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for />-PS                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L66___ps(cl_object V1, cl_object V2)
{ VT67 VLEX67 CLSR67 STCK67
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpngt_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for />=-SS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L67____ss(cl_object V1, cl_object V2)
{ VT68 VLEX68 CLSR68 STCK68
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpnge_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for />=-PS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L68____ps(cl_object V1, cl_object V2)
{ VT69 VLEX69 CLSR69 STCK69
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpnge_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CMPORD-SS                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L69cmpord_ss(cl_object V1, cl_object V2)
{ VT70 VLEX70 CLSR70 STCK70
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpord_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CMPORD-PS                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L70cmpord_ps(cl_object V1, cl_object V2)
{ VT71 VLEX71 CLSR71 STCK71
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpord_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CMPUNORD-SS                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L71cmpunord_ss(cl_object V1, cl_object V2)
{ VT72 VLEX72 CLSR72 STCK72
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpunord_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CMPUNORD-PS                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L72cmpunord_ps(cl_object V1, cl_object V2)
{ VT73 VLEX73 CLSR73 STCK73
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpunord_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for =-SS?                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L73__ss_(cl_object V1, cl_object V2)
{ VT74 VLEX74 CLSR74 STCK74
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_comieq_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for =-SSU?                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L74__ssu_(cl_object V1, cl_object V2)
{ VT75 VLEX75 CLSR75 STCK75
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_ucomieq_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <-SS?                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L75__ss_(cl_object V1, cl_object V2)
{ VT76 VLEX76 CLSR76 STCK76
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_comilt_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <-SSU?                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L76__ssu_(cl_object V1, cl_object V2)
{ VT77 VLEX77 CLSR77 STCK77
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_ucomilt_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <=-SS?                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L77___ss_(cl_object V1, cl_object V2)
{ VT78 VLEX78 CLSR78 STCK78
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_comile_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <=-SSU?                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L78___ssu_(cl_object V1, cl_object V2)
{ VT79 VLEX79 CLSR79 STCK79
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_ucomile_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >-SS?                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L79__ss_(cl_object V1, cl_object V2)
{ VT80 VLEX80 CLSR80 STCK80
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_comigt_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >-SSU?                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L80__ssu_(cl_object V1, cl_object V2)
{ VT81 VLEX81 CLSR81 STCK81
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_ucomigt_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >=-SS?                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L81___ss_(cl_object V1, cl_object V2)
{ VT82 VLEX82 CLSR82 STCK82
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_comige_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >=-SSU?                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L82___ssu_(cl_object V1, cl_object V2)
{ VT83 VLEX83 CLSR83 STCK83
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_ucomige_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for /=-SS?                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L83___ss_(cl_object V1, cl_object V2)
{ VT84 VLEX84 CLSR84 STCK84
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_comineq_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for /=-SSU?                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L84___ssu_(cl_object V1, cl_object V2)
{ VT85 VLEX85 CLSR85 STCK85
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_ucomineq_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for UNPACKHI-PS                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L85unpackhi_ps(cl_object V1, cl_object V2)
{ VT86 VLEX86 CLSR86 STCK86
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_unpackhi_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for UNPACKLO-PS                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L86unpacklo_ps(cl_object V1, cl_object V2)
{ VT87 VLEX87 CLSR87 STCK87
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_unpacklo_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MOVE-SS                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L87move_ss(cl_object V1, cl_object V2)
{ VT88 VLEX88 CLSR88 STCK88
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_move_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MOVEHL-PS                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L88movehl_ps(cl_object V1, cl_object V2)
{ VT89 VLEX89 CLSR89 STCK89
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_movehl_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MOVELH-PS                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L89movelh_ps(cl_object V1, cl_object V2)
{ VT90 VLEX90 CLSR90 STCK90
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_movelh_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MOVEMASK-PS                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L90movemask_ps(cl_object V1)
{ VT91 VLEX91 CLSR91 STCK91
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=MAKE_FIXNUM(_mm_movemask_ps(ecl_unbox_float_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function SHUFFLE-PS                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC91shuffle_ps(cl_object V1, cl_object V2)
{ VT92 VLEX92 CLSR92 STCK92
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  ARG0            */
	cl_object V5;                             /*  ARG1            */
	cl_object V6;                             /*  ARG2            */
	cl_object V7;                             /*  CHGP            */
	V3= ecl_cdr(V1);
	if(!(V3==Cnil)){
	goto L5;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V8;
	V8= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V8;
	}
	if(!(V3==Cnil)){
	goto L13;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L11;
L13:;
	goto L11;
L11:;
	{cl_object V8;
	V8= ecl_car(V3);
	V3= ecl_cdr(V3);
	V5= V8;
	}
	if(!(V3==Cnil)){
	goto L21;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L19;
L21:;
	goto L19;
L19:;
	{cl_object V8;
	V8= ecl_car(V3);
	V3= ecl_cdr(V3);
	V6= V8;
	}
	V7= Cnil;
	if((V3)==Cnil){
	goto L29;}
	si_dm_too_many_arguments(1,V3)            /*  DM-TOO-MANY-ARGUMENTS */;
	goto L27;
L29:;
	goto L27;
L27:;
	{cl_object V8;                            /*  OLDV            */
	V8= V6;
	cl_env_copy->values[0]=ecl_function_dispatch(cl_env_copy,VV[684])(3,V8,V2,V7) /*  EXPAND-CONSTANT */;
	{int V9=cl_env_copy->nvalues-0;
	if (V9--<=0) goto L35;
	V6= cl_env_copy->values[0];
	if (V9--<=0) goto L36;
	V7= cl_env_copy->values[1];
	goto L37;}
L35:;
	V6= Cnil;
L36:;
	V7= Cnil;
L37:;
	{cl_fixnum V9;
	V9= 0;
	if(!(FIXNUMP(V6))){
	goto L43;}
	V9= ecl_fix(V6);
	if(!((V9)<=(255))){
	goto L48;}
	if((V9)>=(0)){
	goto L39;}
	goto L40;
L48:;
	goto L40;
L43:;
	goto L40;
	}
L40:;
	if(ecl_eql(V8,V6)){
	goto L52;}
	T0= V6;
	goto L50;
L52:;
	T0= Cnil;
	goto L50;
L50:;
	ecl_function_dispatch(cl_env_copy,VV[685])(5,VV[181],VV[180],V8,T0,VV[182]) /*  CMPERR */;
	goto L31;
L39:;
	goto L31;
	}
L31:;
	if((V7)==Cnil){
	goto L55;}
	value0=cl_list(4,VV[180],V4,V5,V6)        /*  LIST            */;
	return value0;
L55:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for CONVERT-PI32-TO-PS                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L92convert_pi32_to_ps(cl_object V1)
{ VT93 VLEX93 CLSR93 STCK93
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cvtepi32_ps(ecl_unbox_int_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-PS-TO-PI32                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L93convert_ps_to_pi32(cl_object V1)
{ VT94 VLEX94 CLSR94 STCK94
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_cvtps_epi32(ecl_unbox_float_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for TRUNCATE-PS-TO-PI32                   */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L94truncate_ps_to_pi32(cl_object V1)
{ VT95 VLEX95 CLSR95 STCK95
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_cvttps_epi32(ecl_unbox_float_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-SI32-TO-SS                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L95convert_si32_to_ss(cl_object V1, cl_object V2)
{ VT96 VLEX96 CLSR96 STCK96
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cvtsi32_ss(ecl_unbox_float_sse_pack(V1),ecl_to_fixnum(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-SS-TO-SI32                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L96convert_ss_to_si32(cl_object V1)
{ VT97 VLEX97 CLSR97 STCK97
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=MAKE_FIXNUM(_mm_cvtss_si32(ecl_unbox_float_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for TRUNCATE-SS-TO-SI32                   */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L97truncate_ss_to_si32(cl_object V1)
{ VT98 VLEX98 CLSR98 STCK98
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=MAKE_FIXNUM(_mm_cvttss_si32(ecl_unbox_float_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-SI64-TO-SS                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L98convert_si64_to_ss(cl_object V1, cl_object V2)
{ VT99 VLEX99 CLSR99 STCK99
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cvtsi64_ss(ecl_unbox_float_sse_pack(V1),ecl_to_int64_t(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-SS-TO-SI64                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L99convert_ss_to_si64(cl_object V1)
{ VT100 VLEX100 CLSR100 STCK100
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int64_t(_mm_cvtss_si64(ecl_unbox_float_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for TRUNCATE-SS-TO-SI64                   */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L100truncate_ss_to_si64(cl_object V1)
{ VT101 VLEX101 CLSR101 STCK101
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int64_t(_mm_cvttss_si64(ecl_unbox_float_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET-SD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L101set_sd(cl_object V1)
{ VT102 VLEX102 CLSR102 STCK102
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_set_sd(ecl_to_double(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET1-PD                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L102set1_pd(cl_object V1)
{ VT103 VLEX103 CLSR103 STCK103
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_set1_pd(ecl_to_double(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET-PD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L103set_pd(cl_object V1, cl_object V2)
{ VT104 VLEX104 CLSR104 STCK104
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_set_pd(ecl_to_double(V1),ecl_to_double(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SETR-PD                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L104setr_pd(cl_object V1, cl_object V2)
{ VT105 VLEX105 CLSR105 STCK105
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_setr_pd(ecl_to_double(V1),ecl_to_double(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SETZERO-PD                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L105setzero_pd()
{ VT106 VLEX106 CLSR106 STCK106
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_setzero_pd()); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MEM-REF-SD                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L106mem_ref_sd(cl_narg narg, cl_object V1, ...)
{ VT107 VLEX107 CLSR107 STCK107
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= MAKE_FIXNUM(0);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_double_sse_pack(_mm_load_sd((double*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V2)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MEM-REF-PD                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L107mem_ref_pd(cl_narg narg, cl_object V1, ...)
{ VT108 VLEX108 CLSR108 STCK108
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= MAKE_FIXNUM(0);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_double_sse_pack(_mm_loadu_pd((double*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V2)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MEM-REF-APD                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L108mem_ref_apd(cl_narg narg, cl_object V1, ...)
{ VT109 VLEX109 CLSR109 STCK109
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= MAKE_FIXNUM(0);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_double_sse_pack(_mm_load_pd((double*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V2)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LOADH-PD                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L109loadh_pd(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT110 VLEX110 CLSR110 STCK110
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_double_sse_pack(_mm_loadh_pd(ecl_unbox_double_sse_pack(V1),(double*)(((char*)ecl_to_pointer(V2)) + ecl_to_int(V3)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LOADL-PD                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L110loadl_pd(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT111 VLEX111 CLSR111 STCK111
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_double_sse_pack(_mm_loadl_pd(ecl_unbox_double_sse_pack(V1),(double*)(((char*)ecl_to_pointer(V2)) + ecl_to_int(V3)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MEM-SET-SD                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L111mem_set_sd(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT112 VLEX112 CLSR112 STCK112
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_double_sse_pack((_mm_store_sd((double*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V3)),ecl_unbox_double_sse_pack(V2)),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function MEM-REF-SD                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC112mem_ref_sd(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT113 VLEX113 CLSR113 STCK113
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=cl_list(4,VV[223],V2,V1,V3)        /*  LIST            */;
	return value0;
}}
/*	function definition for MEM-SET-PD                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L113mem_set_pd(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT114 VLEX114 CLSR114 STCK114
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_double_sse_pack((_mm_storeu_pd((double*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V3)),ecl_unbox_double_sse_pack(V2)),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function MEM-REF-PD                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC114mem_ref_pd(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT115 VLEX115 CLSR115 STCK115
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=cl_list(4,VV[225],V2,V1,V3)        /*  LIST            */;
	return value0;
}}
/*	function definition for MEM-SET-APD                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L115mem_set_apd(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT116 VLEX116 CLSR116 STCK116
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_double_sse_pack((_mm_store_pd((double*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V3)),ecl_unbox_double_sse_pack(V2)),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function MEM-REF-APD                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC116mem_ref_apd(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT117 VLEX117 CLSR117 STCK117
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=cl_list(4,VV[227],V2,V1,V3)        /*  LIST            */;
	return value0;
}}
/*	function definition for STOREH-PD                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L117storeh_pd(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT118 VLEX118 CLSR118 STCK118
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_double_sse_pack((_mm_storeh_pd((double*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V3)),ecl_unbox_double_sse_pack(V2)),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for STOREL-PD                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L118storel_pd(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT119 VLEX119 CLSR119 STCK119
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_double_sse_pack((_mm_storel_pd((double*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V3)),ecl_unbox_double_sse_pack(V2)),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for STREAM-PD                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L119stream_pd(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT120 VLEX120 CLSR120 STCK120
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_double_sse_pack((_mm_stream_pd((double*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V3)),ecl_unbox_double_sse_pack(V2)),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for ADD-SD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L120add_sd(cl_object V1, cl_object V2)
{ VT121 VLEX121 CLSR121 STCK121
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_add_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for ADD-PD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L121add_pd(cl_object V1, cl_object V2)
{ VT122 VLEX122 CLSR122 STCK122
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_add_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SUB-SD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L122sub_sd(cl_object V1, cl_object V2)
{ VT123 VLEX123 CLSR123 STCK123
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_sub_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SUB-PD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L123sub_pd(cl_object V1, cl_object V2)
{ VT124 VLEX124 CLSR124 STCK124
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_sub_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MUL-SD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L124mul_sd(cl_object V1, cl_object V2)
{ VT125 VLEX125 CLSR125 STCK125
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_mul_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MUL-PD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L125mul_pd(cl_object V1, cl_object V2)
{ VT126 VLEX126 CLSR126 STCK126
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_mul_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for DIV-SD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L126div_sd(cl_object V1, cl_object V2)
{ VT127 VLEX127 CLSR127 STCK127
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_div_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for DIV-PD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L127div_pd(cl_object V1, cl_object V2)
{ VT128 VLEX128 CLSR128 STCK128
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_div_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MIN-SD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L128min_sd(cl_object V1, cl_object V2)
{ VT129 VLEX129 CLSR129 STCK129
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_min_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MIN-PD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L129min_pd(cl_object V1, cl_object V2)
{ VT130 VLEX130 CLSR130 STCK130
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_min_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MAX-SD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L130max_sd(cl_object V1, cl_object V2)
{ VT131 VLEX131 CLSR131 STCK131
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_max_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MAX-PD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L131max_pd(cl_object V1, cl_object V2)
{ VT132 VLEX132 CLSR132 STCK132
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_max_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SQRT-SD                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L132sqrt_sd(cl_object V1, cl_object V2)
{ VT133 VLEX133 CLSR133 STCK133
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_sqrt_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SQRT-PD                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L133sqrt_pd(cl_object V1)
{ VT134 VLEX134 CLSR134 STCK134
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_sqrt_pd(ecl_unbox_double_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for AND-PD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L134and_pd(cl_object V1, cl_object V2)
{ VT135 VLEX135 CLSR135 STCK135
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_and_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for ANDNOT-PD                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L135andnot_pd(cl_object V1, cl_object V2)
{ VT136 VLEX136 CLSR136 STCK136
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_andnot_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for OR-PD                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L136or_pd(cl_object V1, cl_object V2)
{ VT137 VLEX137 CLSR137 STCK137
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_or_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for XOR-PD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L137xor_pd(cl_object V1, cl_object V2)
{ VT138 VLEX138 CLSR138 STCK138
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_xor_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for =-SD                                  */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L138__sd(cl_object V1, cl_object V2)
{ VT139 VLEX139 CLSR139 STCK139
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpeq_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for =-PD                                  */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L139__pd(cl_object V1, cl_object V2)
{ VT140 VLEX140 CLSR140 STCK140
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpeq_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <-SD                                  */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L140__sd(cl_object V1, cl_object V2)
{ VT141 VLEX141 CLSR141 STCK141
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmplt_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <-PD                                  */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L141__pd(cl_object V1, cl_object V2)
{ VT142 VLEX142 CLSR142 STCK142
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmplt_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <=-SD                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L142___sd(cl_object V1, cl_object V2)
{ VT143 VLEX143 CLSR143 STCK143
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmple_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <=-PD                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L143___pd(cl_object V1, cl_object V2)
{ VT144 VLEX144 CLSR144 STCK144
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmple_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >-SD                                  */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L144__sd(cl_object V1, cl_object V2)
{ VT145 VLEX145 CLSR145 STCK145
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpgt_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >-PD                                  */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L145__pd(cl_object V1, cl_object V2)
{ VT146 VLEX146 CLSR146 STCK146
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpgt_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >=-SD                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L146___sd(cl_object V1, cl_object V2)
{ VT147 VLEX147 CLSR147 STCK147
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpge_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >=-PD                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L147___pd(cl_object V1, cl_object V2)
{ VT148 VLEX148 CLSR148 STCK148
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpge_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for /=-SD                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L148___sd(cl_object V1, cl_object V2)
{ VT149 VLEX149 CLSR149 STCK149
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpneq_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for /=-PD                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L149___pd(cl_object V1, cl_object V2)
{ VT150 VLEX150 CLSR150 STCK150
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpneq_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for /<-SD                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L150___sd(cl_object V1, cl_object V2)
{ VT151 VLEX151 CLSR151 STCK151
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpnlt_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for /<-PD                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L151___pd(cl_object V1, cl_object V2)
{ VT152 VLEX152 CLSR152 STCK152
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpnlt_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for /<=-SD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L152____sd(cl_object V1, cl_object V2)
{ VT153 VLEX153 CLSR153 STCK153
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpnle_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for /<=-PD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L153____pd(cl_object V1, cl_object V2)
{ VT154 VLEX154 CLSR154 STCK154
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpnle_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for />-SD                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L154___sd(cl_object V1, cl_object V2)
{ VT155 VLEX155 CLSR155 STCK155
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpngt_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for />-PD                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L155___pd(cl_object V1, cl_object V2)
{ VT156 VLEX156 CLSR156 STCK156
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpngt_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for />=-SD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L156____sd(cl_object V1, cl_object V2)
{ VT157 VLEX157 CLSR157 STCK157
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpnge_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for />=-PD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L157____pd(cl_object V1, cl_object V2)
{ VT158 VLEX158 CLSR158 STCK158
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpnge_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CMPORD-SD                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L158cmpord_sd(cl_object V1, cl_object V2)
{ VT159 VLEX159 CLSR159 STCK159
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpord_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CMPORD-PD                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L159cmpord_pd(cl_object V1, cl_object V2)
{ VT160 VLEX160 CLSR160 STCK160
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpord_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CMPUNORD-SD                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L160cmpunord_sd(cl_object V1, cl_object V2)
{ VT161 VLEX161 CLSR161 STCK161
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpunord_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CMPUNORD-PD                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L161cmpunord_pd(cl_object V1, cl_object V2)
{ VT162 VLEX162 CLSR162 STCK162
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpunord_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for =-SD?                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L162__sd_(cl_object V1, cl_object V2)
{ VT163 VLEX163 CLSR163 STCK163
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_comieq_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for =-SDU?                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L163__sdu_(cl_object V1, cl_object V2)
{ VT164 VLEX164 CLSR164 STCK164
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_ucomieq_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <-SD?                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L164__sd_(cl_object V1, cl_object V2)
{ VT165 VLEX165 CLSR165 STCK165
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_comilt_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <-SDU?                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L165__sdu_(cl_object V1, cl_object V2)
{ VT166 VLEX166 CLSR166 STCK166
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_ucomilt_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <=-SD?                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L166___sd_(cl_object V1, cl_object V2)
{ VT167 VLEX167 CLSR167 STCK167
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_comile_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <=-SDU?                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L167___sdu_(cl_object V1, cl_object V2)
{ VT168 VLEX168 CLSR168 STCK168
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_ucomile_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >-SD?                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L168__sd_(cl_object V1, cl_object V2)
{ VT169 VLEX169 CLSR169 STCK169
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_comigt_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >-SDU?                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L169__sdu_(cl_object V1, cl_object V2)
{ VT170 VLEX170 CLSR170 STCK170
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_ucomigt_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >=-SD?                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L170___sd_(cl_object V1, cl_object V2)
{ VT171 VLEX171 CLSR171 STCK171
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_comige_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >=-SDU?                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L171___sdu_(cl_object V1, cl_object V2)
{ VT172 VLEX172 CLSR172 STCK172
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_ucomige_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for /=-SD?                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L172___sd_(cl_object V1, cl_object V2)
{ VT173 VLEX173 CLSR173 STCK173
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_comineq_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for /=-SDU?                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L173___sdu_(cl_object V1, cl_object V2)
{ VT174 VLEX174 CLSR174 STCK174
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_ucomineq_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for UNPACKHI-PD                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L174unpackhi_pd(cl_object V1, cl_object V2)
{ VT175 VLEX175 CLSR175 STCK175
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_unpackhi_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for UNPACKLO-PD                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L175unpacklo_pd(cl_object V1, cl_object V2)
{ VT176 VLEX176 CLSR176 STCK176
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_unpacklo_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MOVE-SD                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L176move_sd(cl_object V1, cl_object V2)
{ VT177 VLEX177 CLSR177 STCK177
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_move_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MOVEMASK-PD                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L177movemask_pd(cl_object V1)
{ VT178 VLEX178 CLSR178 STCK178
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=MAKE_FIXNUM(_mm_movemask_pd(ecl_unbox_double_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function SHUFFLE-PD                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC178shuffle_pd(cl_object V1, cl_object V2)
{ VT179 VLEX179 CLSR179 STCK179
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  ARG0            */
	cl_object V5;                             /*  ARG1            */
	cl_object V6;                             /*  ARG2            */
	cl_object V7;                             /*  CHGP            */
	V3= ecl_cdr(V1);
	if(!(V3==Cnil)){
	goto L5;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V8;
	V8= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V8;
	}
	if(!(V3==Cnil)){
	goto L13;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L11;
L13:;
	goto L11;
L11:;
	{cl_object V8;
	V8= ecl_car(V3);
	V3= ecl_cdr(V3);
	V5= V8;
	}
	if(!(V3==Cnil)){
	goto L21;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L19;
L21:;
	goto L19;
L19:;
	{cl_object V8;
	V8= ecl_car(V3);
	V3= ecl_cdr(V3);
	V6= V8;
	}
	V7= Cnil;
	if((V3)==Cnil){
	goto L29;}
	si_dm_too_many_arguments(1,V3)            /*  DM-TOO-MANY-ARGUMENTS */;
	goto L27;
L29:;
	goto L27;
L27:;
	{cl_object V8;                            /*  OLDV            */
	V8= V6;
	cl_env_copy->values[0]=ecl_function_dispatch(cl_env_copy,VV[684])(3,V8,V2,V7) /*  EXPAND-CONSTANT */;
	{int V9=cl_env_copy->nvalues-0;
	if (V9--<=0) goto L35;
	V6= cl_env_copy->values[0];
	if (V9--<=0) goto L36;
	V7= cl_env_copy->values[1];
	goto L37;}
L35:;
	V6= Cnil;
L36:;
	V7= Cnil;
L37:;
	{cl_fixnum V9;
	V9= 0;
	if(!(FIXNUMP(V6))){
	goto L43;}
	V9= ecl_fix(V6);
	if(!((V9)<=(3))){
	goto L48;}
	if((V9)>=(0)){
	goto L39;}
	goto L40;
L48:;
	goto L40;
L43:;
	goto L40;
	}
L40:;
	if(ecl_eql(V8,V6)){
	goto L52;}
	T0= V6;
	goto L50;
L52:;
	T0= Cnil;
	goto L50;
L50:;
	ecl_function_dispatch(cl_env_copy,VV[685])(5,VV[181],VV[351],V8,T0,VV[352]) /*  CMPERR */;
	goto L31;
L39:;
	goto L31;
	}
L31:;
	if((V7)==Cnil){
	goto L55;}
	value0=cl_list(4,VV[351],V4,V5,V6)        /*  LIST            */;
	return value0;
L55:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for CONVERT-PS-TO-PD                      */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L179convert_ps_to_pd(cl_object V1)
{ VT180 VLEX180 CLSR180 STCK180
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cvtps_pd(ecl_unbox_float_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-PD-TO-PS                      */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L180convert_pd_to_ps(cl_object V1)
{ VT181 VLEX181 CLSR181 STCK181
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cvtpd_ps(ecl_unbox_double_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-SS-TO-SD                      */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L181convert_ss_to_sd(cl_object V1, cl_object V2)
{ VT182 VLEX182 CLSR182 STCK182
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cvtss_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-SD-TO-SS                      */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L182convert_sd_to_ss(cl_object V1, cl_object V2)
{ VT183 VLEX183 CLSR183 STCK183
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cvtsd_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-PI32-TO-PD                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L183convert_pi32_to_pd(cl_object V1)
{ VT184 VLEX184 CLSR184 STCK184
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cvtepi32_pd(ecl_unbox_int_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-PD-TO-PI32                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L184convert_pd_to_pi32(cl_object V1)
{ VT185 VLEX185 CLSR185 STCK185
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_cvtpd_epi32(ecl_unbox_double_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for TRUNCATE-PD-TO-PI32                   */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L185truncate_pd_to_pi32(cl_object V1)
{ VT186 VLEX186 CLSR186 STCK186
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_cvttpd_epi32(ecl_unbox_double_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-SI32-TO-SD                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L186convert_si32_to_sd(cl_object V1, cl_object V2)
{ VT187 VLEX187 CLSR187 STCK187
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cvtsi32_sd(ecl_unbox_double_sse_pack(V1),ecl_to_fixnum(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-SD-TO-SI32                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L187convert_sd_to_si32(cl_object V1)
{ VT188 VLEX188 CLSR188 STCK188
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=MAKE_FIXNUM(_mm_cvtsd_si32(ecl_unbox_double_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for TRUNCATE-SD-TO-SI32                   */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L188truncate_sd_to_si32(cl_object V1)
{ VT189 VLEX189 CLSR189 STCK189
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=MAKE_FIXNUM(_mm_cvttsd_si32(ecl_unbox_double_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-SI64-TO-SD                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L189convert_si64_to_sd(cl_object V1, cl_object V2)
{ VT190 VLEX190 CLSR190 STCK190
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cvtsi64_sd(ecl_unbox_double_sse_pack(V1),ecl_to_int64_t(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-SD-TO-SI64                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L190convert_sd_to_si64(cl_object V1)
{ VT191 VLEX191 CLSR191 STCK191
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int64_t(_mm_cvtsd_si64(ecl_unbox_double_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for TRUNCATE-SD-TO-SI64                   */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L191truncate_sd_to_si64(cl_object V1)
{ VT192 VLEX192 CLSR192 STCK192
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int64_t(_mm_cvttsd_si64(ecl_unbox_double_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET1-PI8                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L192set1_pi8(cl_object V1)
{ VT193 VLEX193 CLSR193 STCK193
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_set1_epi8(ecl_to_fixnum(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET1-PI16                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L193set1_pi16(cl_object V1)
{ VT194 VLEX194 CLSR194 STCK194
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_set1_epi16(ecl_to_fixnum(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET1-PI32                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L194set1_pi32(cl_object V1)
{ VT195 VLEX195 CLSR195 STCK195
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_set1_epi32(ecl_to_fixnum(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET1-PI64                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L195set1_pi64(cl_object V1)
{ VT196 VLEX196 CLSR196 STCK196
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_set1_epi64x(ecl_to_int64_t(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET1-PU32                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L196set1_pu32(cl_object V1)
{ VT197 VLEX197 CLSR197 STCK197
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_set1_epi32(ecl_to_fixnum(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET1-PU64                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L197set1_pu64(cl_object V1)
{ VT198 VLEX198 CLSR198 STCK198
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_set1_epi64x(ecl_to_uint64_t(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET-PI8                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L198set_pi8(cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5, cl_object V6, cl_object V7, cl_object V8, cl_object V9, cl_object V10, cl_object V11, cl_object V12, cl_object V13, cl_object V14, cl_object V15, cl_object V16)
{ VT199 VLEX199 CLSR199 STCK199
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_set_epi8(ecl_to_fixnum(V1),ecl_to_fixnum(V2),ecl_to_fixnum(V3),ecl_to_fixnum(V4),ecl_to_fixnum(V5),ecl_to_fixnum(V6),ecl_to_fixnum(V7),ecl_to_fixnum(V8),ecl_to_fixnum(V9),ecl_to_fixnum(V10),ecl_to_fixnum(V11),ecl_to_fixnum(V12),ecl_to_fixnum(V13),ecl_to_fixnum(V14),ecl_to_fixnum(V15),ecl_to_fixnum(V16))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET-PI16                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L199set_pi16(cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5, cl_object V6, cl_object V7, cl_object V8)
{ VT200 VLEX200 CLSR200 STCK200
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_set_epi16(ecl_to_fixnum(V1),ecl_to_fixnum(V2),ecl_to_fixnum(V3),ecl_to_fixnum(V4),ecl_to_fixnum(V5),ecl_to_fixnum(V6),ecl_to_fixnum(V7),ecl_to_fixnum(V8))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET-PI32                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L200set_pi32(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{ VT201 VLEX201 CLSR201 STCK201
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_set_epi32(ecl_to_fixnum(V1),ecl_to_fixnum(V2),ecl_to_fixnum(V3),ecl_to_fixnum(V4))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET-PI64                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L201set_pi64(cl_object V1, cl_object V2)
{ VT202 VLEX202 CLSR202 STCK202
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_set_epi64x(ecl_to_int64_t(V1),ecl_to_int64_t(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET-PU32                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L202set_pu32(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{ VT203 VLEX203 CLSR203 STCK203
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_set_epi32(ecl_to_fixnum(V1),ecl_to_fixnum(V2),ecl_to_fixnum(V3),ecl_to_fixnum(V4))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET-PU64                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L203set_pu64(cl_object V1, cl_object V2)
{ VT204 VLEX204 CLSR204 STCK204
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_set_epi64x(ecl_to_uint64_t(V1),ecl_to_uint64_t(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SETR-PI8                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L204setr_pi8(cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5, cl_object V6, cl_object V7, cl_object V8, cl_object V9, cl_object V10, cl_object V11, cl_object V12, cl_object V13, cl_object V14, cl_object V15, cl_object V16)
{ VT205 VLEX205 CLSR205 STCK205
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_setr_epi8(ecl_to_fixnum(V1),ecl_to_fixnum(V2),ecl_to_fixnum(V3),ecl_to_fixnum(V4),ecl_to_fixnum(V5),ecl_to_fixnum(V6),ecl_to_fixnum(V7),ecl_to_fixnum(V8),ecl_to_fixnum(V9),ecl_to_fixnum(V10),ecl_to_fixnum(V11),ecl_to_fixnum(V12),ecl_to_fixnum(V13),ecl_to_fixnum(V14),ecl_to_fixnum(V15),ecl_to_fixnum(V16))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SETR-PI16                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L205setr_pi16(cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5, cl_object V6, cl_object V7, cl_object V8)
{ VT206 VLEX206 CLSR206 STCK206
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_setr_epi16(ecl_to_fixnum(V1),ecl_to_fixnum(V2),ecl_to_fixnum(V3),ecl_to_fixnum(V4),ecl_to_fixnum(V5),ecl_to_fixnum(V6),ecl_to_fixnum(V7),ecl_to_fixnum(V8))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SETR-PI32                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L206setr_pi32(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{ VT207 VLEX207 CLSR207 STCK207
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_setr_epi32(ecl_to_fixnum(V1),ecl_to_fixnum(V2),ecl_to_fixnum(V3),ecl_to_fixnum(V4))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SETR-PI64                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L207setr_pi64(cl_object V1, cl_object V2)
{ VT208 VLEX208 CLSR208 STCK208
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_set_epi64x(ecl_to_int64_t(V2),ecl_to_int64_t(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SETR-PU32                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L208setr_pu32(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{ VT209 VLEX209 CLSR209 STCK209
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_setr_epi32(ecl_to_fixnum(V1),ecl_to_fixnum(V2),ecl_to_fixnum(V3),ecl_to_fixnum(V4))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SETR-PU64                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L209setr_pu64(cl_object V1, cl_object V2)
{ VT210 VLEX210 CLSR210 STCK210
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_set_epi64x(ecl_to_uint64_t(V2),ecl_to_uint64_t(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SETZERO-PI                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L210setzero_pi()
{ VT211 VLEX211 CLSR211 STCK211
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_setzero_si128()); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MEM-REF-PI                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L211mem_ref_pi(cl_narg narg, cl_object V1, ...)
{ VT212 VLEX212 CLSR212 STCK212
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= MAKE_FIXNUM(0);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_int_sse_pack(_mm_loadu_si128((__m128i*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V2)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MEM-REF-API                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L212mem_ref_api(cl_narg narg, cl_object V1, ...)
{ VT213 VLEX213 CLSR213 STCK213
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= MAKE_FIXNUM(0);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_int_sse_pack(_mm_load_si128((__m128i*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V2)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MEM-REF-SI64                          */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L213mem_ref_si64(cl_narg narg, cl_object V1, ...)
{ VT214 VLEX214 CLSR214 STCK214
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= MAKE_FIXNUM(0);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_int_sse_pack(_mm_loadl_epi64((__m128i*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V2)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MEM-SET-PI                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L214mem_set_pi(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT215 VLEX215 CLSR215 STCK215
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_int_sse_pack((_mm_storeu_si128((__m128i*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V3)),ecl_unbox_int_sse_pack(V2)),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function MEM-REF-PI                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC215mem_ref_pi(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT216 VLEX216 CLSR216 STCK216
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=cl_list(4,VV[423],V2,V1,V3)        /*  LIST            */;
	return value0;
}}
/*	function definition for MEM-SET-API                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L216mem_set_api(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT217 VLEX217 CLSR217 STCK217
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_int_sse_pack((_mm_store_si128((__m128i*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V3)),ecl_unbox_int_sse_pack(V2)),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function MEM-REF-API                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC217mem_ref_api(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT218 VLEX218 CLSR218 STCK218
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=cl_list(4,VV[425],V2,V1,V3)        /*  LIST            */;
	return value0;
}}
/*	function definition for MEM-SET-SI64                          */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L218mem_set_si64(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT219 VLEX219 CLSR219 STCK219
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_int_sse_pack((_mm_storel_epi64((__m128i*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V3)),ecl_unbox_int_sse_pack(V2)),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function MEM-REF-SI64                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC219mem_ref_si64(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT220 VLEX220 CLSR220 STCK220
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=cl_list(4,VV[427],V2,V1,V3)        /*  LIST            */;
	return value0;
}}
/*	function definition for STREAM-PI                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L220stream_pi(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT221 VLEX221 CLSR221 STCK221
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_int_sse_pack((_mm_stream_si128((__m128i*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V3)),ecl_unbox_int_sse_pack(V2)),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MASKMOVEU-PI                          */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L221maskmoveu_pi(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{ VT222 VLEX222 CLSR222 STCK222
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
	{
	cl_object V4;
	va_list args; va_start(args,V3);
	{int i=3;
	if (i >= narg) {
	V4= MAKE_FIXNUM(0);
	} else {
	i++;
	V4= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=(_mm_maskmoveu_si128(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2),(char*)(((char*)ecl_to_pointer(V3)) + ecl_to_int(V4))),Cnil); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for ADD-PI8                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L222add_pi8(cl_object V1, cl_object V2)
{ VT223 VLEX223 CLSR223 STCK223
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_add_epi8(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for ADD-PI16                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L223add_pi16(cl_object V1, cl_object V2)
{ VT224 VLEX224 CLSR224 STCK224
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_add_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for ADD-PI32                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L224add_pi32(cl_object V1, cl_object V2)
{ VT225 VLEX225 CLSR225 STCK225
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_add_epi32(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for ADD-PI64                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L225add_pi64(cl_object V1, cl_object V2)
{ VT226 VLEX226 CLSR226 STCK226
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_add_epi64(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for ADDS-PI8                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L226adds_pi8(cl_object V1, cl_object V2)
{ VT227 VLEX227 CLSR227 STCK227
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_adds_epi8(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for ADDS-PI16                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L227adds_pi16(cl_object V1, cl_object V2)
{ VT228 VLEX228 CLSR228 STCK228
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_adds_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for ADDS-PU8                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L228adds_pu8(cl_object V1, cl_object V2)
{ VT229 VLEX229 CLSR229 STCK229
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_adds_epu8(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for ADDS-PU16                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L229adds_pu16(cl_object V1, cl_object V2)
{ VT230 VLEX230 CLSR230 STCK230
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_adds_epu16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for AVG-PU8                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L230avg_pu8(cl_object V1, cl_object V2)
{ VT231 VLEX231 CLSR231 STCK231
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_avg_epu8(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for AVG-PU16                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L231avg_pu16(cl_object V1, cl_object V2)
{ VT232 VLEX232 CLSR232 STCK232
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_avg_epu16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MADD-PI16                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L232madd_pi16(cl_object V1, cl_object V2)
{ VT233 VLEX233 CLSR233 STCK233
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_madd_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MAX-PU8                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L233max_pu8(cl_object V1, cl_object V2)
{ VT234 VLEX234 CLSR234 STCK234
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_max_epu8(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MAX-PI16                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L234max_pi16(cl_object V1, cl_object V2)
{ VT235 VLEX235 CLSR235 STCK235
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_max_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MIN-PU8                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L235min_pu8(cl_object V1, cl_object V2)
{ VT236 VLEX236 CLSR236 STCK236
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_min_epu8(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MIN-PI16                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L236min_pi16(cl_object V1, cl_object V2)
{ VT237 VLEX237 CLSR237 STCK237
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_min_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MULHI-PI16                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L237mulhi_pi16(cl_object V1, cl_object V2)
{ VT238 VLEX238 CLSR238 STCK238
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_mulhi_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MULHI-PU16                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L238mulhi_pu16(cl_object V1, cl_object V2)
{ VT239 VLEX239 CLSR239 STCK239
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_mulhi_epu16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MULLO-PI16                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L239mullo_pi16(cl_object V1, cl_object V2)
{ VT240 VLEX240 CLSR240 STCK240
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_mullo_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MUL-PU32                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L240mul_pu32(cl_object V1, cl_object V2)
{ VT241 VLEX241 CLSR241 STCK241
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_mul_epu32(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SAD-PU8                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L241sad_pu8(cl_object V1, cl_object V2)
{ VT242 VLEX242 CLSR242 STCK242
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_sad_epu8(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SUB-PI8                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L242sub_pi8(cl_object V1, cl_object V2)
{ VT243 VLEX243 CLSR243 STCK243
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_sub_epi8(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SUB-PI16                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L243sub_pi16(cl_object V1, cl_object V2)
{ VT244 VLEX244 CLSR244 STCK244
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_sub_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SUB-PI32                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L244sub_pi32(cl_object V1, cl_object V2)
{ VT245 VLEX245 CLSR245 STCK245
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_sub_epi32(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SUB-PI64                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L245sub_pi64(cl_object V1, cl_object V2)
{ VT246 VLEX246 CLSR246 STCK246
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_sub_epi64(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SUBS-PI8                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L246subs_pi8(cl_object V1, cl_object V2)
{ VT247 VLEX247 CLSR247 STCK247
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_subs_epi8(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SUBS-PI16                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L247subs_pi16(cl_object V1, cl_object V2)
{ VT248 VLEX248 CLSR248 STCK248
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_subs_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SUBS-PU8                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L248subs_pu8(cl_object V1, cl_object V2)
{ VT249 VLEX249 CLSR249 STCK249
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_subs_epu8(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SUBS-PU16                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L249subs_pu16(cl_object V1, cl_object V2)
{ VT250 VLEX250 CLSR250 STCK250
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_subs_epu16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for AND-PI                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L250and_pi(cl_object V1, cl_object V2)
{ VT251 VLEX251 CLSR251 STCK251
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_and_si128(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for ANDNOT-PI                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L251andnot_pi(cl_object V1, cl_object V2)
{ VT252 VLEX252 CLSR252 STCK252
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_andnot_si128(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for OR-PI                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L252or_pi(cl_object V1, cl_object V2)
{ VT253 VLEX253 CLSR253 STCK253
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_or_si128(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for XOR-PI                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L253xor_pi(cl_object V1, cl_object V2)
{ VT254 VLEX254 CLSR254 STCK254
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_xor_si128(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function SLLI-PI                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC254slli_pi(cl_object V1, cl_object V2)
{ VT255 VLEX255 CLSR255 STCK255
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  ARG0            */
	cl_object V5;                             /*  ARG1            */
	cl_object V6;                             /*  CHGP            */
	V3= ecl_cdr(V1);
	if(!(V3==Cnil)){
	goto L5;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V7;
	V7= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V7;
	}
	if(!(V3==Cnil)){
	goto L13;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L11;
L13:;
	goto L11;
L11:;
	{cl_object V7;
	V7= ecl_car(V3);
	V3= ecl_cdr(V3);
	V5= V7;
	}
	V6= Cnil;
	if((V3)==Cnil){
	goto L21;}
	si_dm_too_many_arguments(1,V3)            /*  DM-TOO-MANY-ARGUMENTS */;
	goto L19;
L21:;
	goto L19;
L19:;
	{cl_object V7;                            /*  OLDV            */
	V7= V5;
	cl_env_copy->values[0]=ecl_function_dispatch(cl_env_copy,VV[684])(3,V7,V2,V6) /*  EXPAND-CONSTANT */;
	{int V8=cl_env_copy->nvalues-0;
	if (V8--<=0) goto L27;
	V5= cl_env_copy->values[0];
	if (V8--<=0) goto L28;
	V6= cl_env_copy->values[1];
	goto L29;}
L27:;
	V5= Cnil;
L28:;
	V6= Cnil;
L29:;
	{cl_fixnum V8;
	V8= 0;
	if(!(FIXNUMP(V5))){
	goto L35;}
	V8= ecl_fix(V5);
	if(!((V8)<=(255))){
	goto L40;}
	if((V8)>=(0)){
	goto L31;}
	goto L32;
L40:;
	goto L32;
L35:;
	goto L32;
	}
L32:;
	if(ecl_eql(V7,V5)){
	goto L44;}
	T0= V5;
	goto L42;
L44:;
	T0= Cnil;
	goto L42;
L42:;
	ecl_function_dispatch(cl_env_copy,VV[685])(5,VV[181],VV[497],V7,T0,VV[182]) /*  CMPERR */;
	goto L23;
L31:;
	goto L23;
	}
L23:;
	if((V6)==Cnil){
	goto L47;}
	value0=cl_list(3,VV[497],V4,V5)           /*  LIST            */;
	return value0;
L47:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for SLLI-PI16                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L255slli_pi16(cl_object V1, cl_object V2)
{ VT256 VLEX256 CLSR256 STCK256
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_sll_epi16(ecl_unbox_int_sse_pack(V1),_mm_cvtsi32_si128(ecl_to_fixnum(V2)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SLLI-PI32                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L256slli_pi32(cl_object V1, cl_object V2)
{ VT257 VLEX257 CLSR257 STCK257
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_sll_epi32(ecl_unbox_int_sse_pack(V1),_mm_cvtsi32_si128(ecl_to_fixnum(V2)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SLLI-PI64                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L257slli_pi64(cl_object V1, cl_object V2)
{ VT258 VLEX258 CLSR258 STCK258
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_sll_epi64(ecl_unbox_int_sse_pack(V1),_mm_cvtsi32_si128(ecl_to_fixnum(V2)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SLL-PI16                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L258sll_pi16(cl_object V1, cl_object V2)
{ VT259 VLEX259 CLSR259 STCK259
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_sll_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SLL-PI32                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L259sll_pi32(cl_object V1, cl_object V2)
{ VT260 VLEX260 CLSR260 STCK260
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_sll_epi32(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SLL-PI64                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L260sll_pi64(cl_object V1, cl_object V2)
{ VT261 VLEX261 CLSR261 STCK261
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_sll_epi64(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SRAI-PI16                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L261srai_pi16(cl_object V1, cl_object V2)
{ VT262 VLEX262 CLSR262 STCK262
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_sra_epi16(ecl_unbox_int_sse_pack(V1),_mm_cvtsi32_si128(ecl_to_fixnum(V2)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SRAI-PI32                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L262srai_pi32(cl_object V1, cl_object V2)
{ VT263 VLEX263 CLSR263 STCK263
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_sra_epi32(ecl_unbox_int_sse_pack(V1),_mm_cvtsi32_si128(ecl_to_fixnum(V2)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SRA-PI16                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L263sra_pi16(cl_object V1, cl_object V2)
{ VT264 VLEX264 CLSR264 STCK264
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_sra_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SRA-PI32                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L264sra_pi32(cl_object V1, cl_object V2)
{ VT265 VLEX265 CLSR265 STCK265
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_sra_epi32(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function SRLI-PI                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC265srli_pi(cl_object V1, cl_object V2)
{ VT266 VLEX266 CLSR266 STCK266
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  ARG0            */
	cl_object V5;                             /*  ARG1            */
	cl_object V6;                             /*  CHGP            */
	V3= ecl_cdr(V1);
	if(!(V3==Cnil)){
	goto L5;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V7;
	V7= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V7;
	}
	if(!(V3==Cnil)){
	goto L13;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L11;
L13:;
	goto L11;
L11:;
	{cl_object V7;
	V7= ecl_car(V3);
	V3= ecl_cdr(V3);
	V5= V7;
	}
	V6= Cnil;
	if((V3)==Cnil){
	goto L21;}
	si_dm_too_many_arguments(1,V3)            /*  DM-TOO-MANY-ARGUMENTS */;
	goto L19;
L21:;
	goto L19;
L19:;
	{cl_object V7;                            /*  OLDV            */
	V7= V5;
	cl_env_copy->values[0]=ecl_function_dispatch(cl_env_copy,VV[684])(3,V7,V2,V6) /*  EXPAND-CONSTANT */;
	{int V8=cl_env_copy->nvalues-0;
	if (V8--<=0) goto L27;
	V5= cl_env_copy->values[0];
	if (V8--<=0) goto L28;
	V6= cl_env_copy->values[1];
	goto L29;}
L27:;
	V5= Cnil;
L28:;
	V6= Cnil;
L29:;
	{cl_fixnum V8;
	V8= 0;
	if(!(FIXNUMP(V5))){
	goto L35;}
	V8= ecl_fix(V5);
	if(!((V8)<=(255))){
	goto L40;}
	if((V8)>=(0)){
	goto L31;}
	goto L32;
L40:;
	goto L32;
L35:;
	goto L32;
	}
L32:;
	if(ecl_eql(V7,V5)){
	goto L44;}
	T0= V5;
	goto L42;
L44:;
	T0= Cnil;
	goto L42;
L42:;
	ecl_function_dispatch(cl_env_copy,VV[685])(5,VV[181],VV[518],V7,T0,VV[182]) /*  CMPERR */;
	goto L23;
L31:;
	goto L23;
	}
L23:;
	if((V6)==Cnil){
	goto L47;}
	value0=cl_list(3,VV[518],V4,V5)           /*  LIST            */;
	return value0;
L47:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for SRLI-PI16                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L266srli_pi16(cl_object V1, cl_object V2)
{ VT267 VLEX267 CLSR267 STCK267
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_srl_epi16(ecl_unbox_int_sse_pack(V1),_mm_cvtsi32_si128(ecl_to_fixnum(V2)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SRLI-PI32                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L267srli_pi32(cl_object V1, cl_object V2)
{ VT268 VLEX268 CLSR268 STCK268
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_srl_epi32(ecl_unbox_int_sse_pack(V1),_mm_cvtsi32_si128(ecl_to_fixnum(V2)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SRLI-PI64                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L268srli_pi64(cl_object V1, cl_object V2)
{ VT269 VLEX269 CLSR269 STCK269
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_srl_epi64(ecl_unbox_int_sse_pack(V1),_mm_cvtsi32_si128(ecl_to_fixnum(V2)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SRL-PI16                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L269srl_pi16(cl_object V1, cl_object V2)
{ VT270 VLEX270 CLSR270 STCK270
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_srl_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SRL-PI32                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L270srl_pi32(cl_object V1, cl_object V2)
{ VT271 VLEX271 CLSR271 STCK271
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_srl_epi32(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SRL-PI64                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L271srl_pi64(cl_object V1, cl_object V2)
{ VT272 VLEX272 CLSR272 STCK272
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_srl_epi64(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for =-PI8                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L272__pi8(cl_object V1, cl_object V2)
{ VT273 VLEX273 CLSR273 STCK273
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_cmpeq_epi8(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for =-PI16                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L273__pi16(cl_object V1, cl_object V2)
{ VT274 VLEX274 CLSR274 STCK274
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_cmpeq_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for =-PI32                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L274__pi32(cl_object V1, cl_object V2)
{ VT275 VLEX275 CLSR275 STCK275
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_cmpeq_epi32(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <-PI8                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L275__pi8(cl_object V1, cl_object V2)
{ VT276 VLEX276 CLSR276 STCK276
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_cmplt_epi8(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <-PI16                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L276__pi16(cl_object V1, cl_object V2)
{ VT277 VLEX277 CLSR277 STCK277
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_cmplt_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <-PI32                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L277__pi32(cl_object V1, cl_object V2)
{ VT278 VLEX278 CLSR278 STCK278
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_cmplt_epi32(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >-PI8                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L278__pi8(cl_object V1, cl_object V2)
{ VT279 VLEX279 CLSR279 STCK279
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_cmpgt_epi8(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >-PI16                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L279__pi16(cl_object V1, cl_object V2)
{ VT280 VLEX280 CLSR280 STCK280
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_cmpgt_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >-PI32                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L280__pi32(cl_object V1, cl_object V2)
{ VT281 VLEX281 CLSR281 STCK281
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_cmpgt_epi32(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for PACKS-PI16                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L281packs_pi16(cl_object V1, cl_object V2)
{ VT282 VLEX282 CLSR282 STCK282
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_packs_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for PACKS-PI32                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L282packs_pi32(cl_object V1, cl_object V2)
{ VT283 VLEX283 CLSR283 STCK283
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_packs_epi32(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for PACKUS-PI16                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L283packus_pi16(cl_object V1, cl_object V2)
{ VT284 VLEX284 CLSR284 STCK284
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_packus_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function EXTRACT-PI16                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC284extract_pi16(cl_object V1, cl_object V2)
{ VT285 VLEX285 CLSR285 STCK285
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  ARG0            */
	cl_object V5;                             /*  ARG1            */
	cl_object V6;                             /*  CHGP            */
	V3= ecl_cdr(V1);
	if(!(V3==Cnil)){
	goto L5;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V7;
	V7= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V7;
	}
	if(!(V3==Cnil)){
	goto L13;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L11;
L13:;
	goto L11;
L11:;
	{cl_object V7;
	V7= ecl_car(V3);
	V3= ecl_cdr(V3);
	V5= V7;
	}
	V6= Cnil;
	if((V3)==Cnil){
	goto L21;}
	si_dm_too_many_arguments(1,V3)            /*  DM-TOO-MANY-ARGUMENTS */;
	goto L19;
L21:;
	goto L19;
L19:;
	{cl_object V7;                            /*  OLDV            */
	V7= V5;
	cl_env_copy->values[0]=ecl_function_dispatch(cl_env_copy,VV[684])(3,V7,V2,V6) /*  EXPAND-CONSTANT */;
	{int V8=cl_env_copy->nvalues-0;
	if (V8--<=0) goto L27;
	V5= cl_env_copy->values[0];
	if (V8--<=0) goto L28;
	V6= cl_env_copy->values[1];
	goto L29;}
L27:;
	V5= Cnil;
L28:;
	V6= Cnil;
L29:;
	{cl_fixnum V8;
	V8= 0;
	if(!(FIXNUMP(V5))){
	goto L35;}
	V8= ecl_fix(V5);
	if(!((V8)<=(255))){
	goto L40;}
	if((V8)>=(0)){
	goto L31;}
	goto L32;
L40:;
	goto L32;
L35:;
	goto L32;
	}
L32:;
	if(ecl_eql(V7,V5)){
	goto L44;}
	T0= V5;
	goto L42;
L44:;
	T0= Cnil;
	goto L42;
L42:;
	ecl_function_dispatch(cl_env_copy,VV[685])(5,VV[181],VV[555],V7,T0,VV[182]) /*  CMPERR */;
	goto L23;
L31:;
	goto L23;
	}
L23:;
	if((V6)==Cnil){
	goto L47;}
	value0=cl_list(3,VV[555],V4,V5)           /*  LIST            */;
	return value0;
L47:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function INSERT-PI16                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC285insert_pi16(cl_object V1, cl_object V2)
{ VT286 VLEX286 CLSR286 STCK286
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  ARG0            */
	cl_object V5;                             /*  ARG1            */
	cl_object V6;                             /*  ARG2            */
	cl_object V7;                             /*  CHGP            */
	V3= ecl_cdr(V1);
	if(!(V3==Cnil)){
	goto L5;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V8;
	V8= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V8;
	}
	if(!(V3==Cnil)){
	goto L13;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L11;
L13:;
	goto L11;
L11:;
	{cl_object V8;
	V8= ecl_car(V3);
	V3= ecl_cdr(V3);
	V5= V8;
	}
	if(!(V3==Cnil)){
	goto L21;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L19;
L21:;
	goto L19;
L19:;
	{cl_object V8;
	V8= ecl_car(V3);
	V3= ecl_cdr(V3);
	V6= V8;
	}
	V7= Cnil;
	if((V3)==Cnil){
	goto L29;}
	si_dm_too_many_arguments(1,V3)            /*  DM-TOO-MANY-ARGUMENTS */;
	goto L27;
L29:;
	goto L27;
L27:;
	{cl_object V8;                            /*  OLDV            */
	V8= V6;
	cl_env_copy->values[0]=ecl_function_dispatch(cl_env_copy,VV[684])(3,V8,V2,V7) /*  EXPAND-CONSTANT */;
	{int V9=cl_env_copy->nvalues-0;
	if (V9--<=0) goto L35;
	V6= cl_env_copy->values[0];
	if (V9--<=0) goto L36;
	V7= cl_env_copy->values[1];
	goto L37;}
L35:;
	V6= Cnil;
L36:;
	V7= Cnil;
L37:;
	{cl_fixnum V9;
	V9= 0;
	if(!(FIXNUMP(V6))){
	goto L43;}
	V9= ecl_fix(V6);
	if(!((V9)<=(255))){
	goto L48;}
	if((V9)>=(0)){
	goto L39;}
	goto L40;
L48:;
	goto L40;
L43:;
	goto L40;
	}
L40:;
	if(ecl_eql(V8,V6)){
	goto L52;}
	T0= V6;
	goto L50;
L52:;
	T0= Cnil;
	goto L50;
L50:;
	ecl_function_dispatch(cl_env_copy,VV[685])(5,VV[181],VV[556],V8,T0,VV[182]) /*  CMPERR */;
	goto L31;
L39:;
	goto L31;
	}
L31:;
	if((V7)==Cnil){
	goto L55;}
	value0=cl_list(4,VV[556],V4,V5,V6)        /*  LIST            */;
	return value0;
L55:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for MOVEMASK-PI8                          */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L286movemask_pi8(cl_object V1)
{ VT287 VLEX287 CLSR287 STCK287
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=MAKE_FIXNUM(_mm_movemask_epi8(ecl_unbox_int_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for UNPACKHI-PI8                          */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L287unpackhi_pi8(cl_object V1, cl_object V2)
{ VT288 VLEX288 CLSR288 STCK288
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_unpackhi_epi8(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for UNPACKHI-PI16                         */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L288unpackhi_pi16(cl_object V1, cl_object V2)
{ VT289 VLEX289 CLSR289 STCK289
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_unpackhi_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for UNPACKHI-PI32                         */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L289unpackhi_pi32(cl_object V1, cl_object V2)
{ VT290 VLEX290 CLSR290 STCK290
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_unpackhi_epi32(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for UNPACKHI-PI64                         */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L290unpackhi_pi64(cl_object V1, cl_object V2)
{ VT291 VLEX291 CLSR291 STCK291
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_unpackhi_epi64(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for UNPACKLO-PI8                          */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L291unpacklo_pi8(cl_object V1, cl_object V2)
{ VT292 VLEX292 CLSR292 STCK292
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_unpacklo_epi8(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for UNPACKLO-PI16                         */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L292unpacklo_pi16(cl_object V1, cl_object V2)
{ VT293 VLEX293 CLSR293 STCK293
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_unpacklo_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for UNPACKLO-PI32                         */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L293unpacklo_pi32(cl_object V1, cl_object V2)
{ VT294 VLEX294 CLSR294 STCK294
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_unpacklo_epi32(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for UNPACKLO-PI64                         */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L294unpacklo_pi64(cl_object V1, cl_object V2)
{ VT295 VLEX295 CLSR295 STCK295
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_unpacklo_epi64(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MOVE-PI64                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L295move_pi64(cl_object V1)
{ VT296 VLEX296 CLSR296 STCK296
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_move_epi64(ecl_unbox_int_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function SHUFFLE-PI32                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC296shuffle_pi32(cl_object V1, cl_object V2)
{ VT297 VLEX297 CLSR297 STCK297
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  ARG0            */
	cl_object V5;                             /*  ARG1            */
	cl_object V6;                             /*  CHGP            */
	V3= ecl_cdr(V1);
	if(!(V3==Cnil)){
	goto L5;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V7;
	V7= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V7;
	}
	if(!(V3==Cnil)){
	goto L13;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L11;
L13:;
	goto L11;
L11:;
	{cl_object V7;
	V7= ecl_car(V3);
	V3= ecl_cdr(V3);
	V5= V7;
	}
	V6= Cnil;
	if((V3)==Cnil){
	goto L21;}
	si_dm_too_many_arguments(1,V3)            /*  DM-TOO-MANY-ARGUMENTS */;
	goto L19;
L21:;
	goto L19;
L19:;
	{cl_object V7;                            /*  OLDV            */
	V7= V5;
	cl_env_copy->values[0]=ecl_function_dispatch(cl_env_copy,VV[684])(3,V7,V2,V6) /*  EXPAND-CONSTANT */;
	{int V8=cl_env_copy->nvalues-0;
	if (V8--<=0) goto L27;
	V5= cl_env_copy->values[0];
	if (V8--<=0) goto L28;
	V6= cl_env_copy->values[1];
	goto L29;}
L27:;
	V5= Cnil;
L28:;
	V6= Cnil;
L29:;
	{cl_fixnum V8;
	V8= 0;
	if(!(FIXNUMP(V5))){
	goto L35;}
	V8= ecl_fix(V5);
	if(!((V8)<=(255))){
	goto L40;}
	if((V8)>=(0)){
	goto L31;}
	goto L32;
L40:;
	goto L32;
L35:;
	goto L32;
	}
L32:;
	if(ecl_eql(V7,V5)){
	goto L44;}
	T0= V5;
	goto L42;
L44:;
	T0= Cnil;
	goto L42;
L42:;
	ecl_function_dispatch(cl_env_copy,VV[685])(5,VV[181],VV[577],V7,T0,VV[182]) /*  CMPERR */;
	goto L23;
L31:;
	goto L23;
	}
L23:;
	if((V6)==Cnil){
	goto L47;}
	value0=cl_list(3,VV[577],V4,V5)           /*  LIST            */;
	return value0;
L47:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function SHUFFLELO-PI16                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC297shufflelo_pi16(cl_object V1, cl_object V2)
{ VT298 VLEX298 CLSR298 STCK298
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  ARG0            */
	cl_object V5;                             /*  ARG1            */
	cl_object V6;                             /*  CHGP            */
	V3= ecl_cdr(V1);
	if(!(V3==Cnil)){
	goto L5;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V7;
	V7= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V7;
	}
	if(!(V3==Cnil)){
	goto L13;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L11;
L13:;
	goto L11;
L11:;
	{cl_object V7;
	V7= ecl_car(V3);
	V3= ecl_cdr(V3);
	V5= V7;
	}
	V6= Cnil;
	if((V3)==Cnil){
	goto L21;}
	si_dm_too_many_arguments(1,V3)            /*  DM-TOO-MANY-ARGUMENTS */;
	goto L19;
L21:;
	goto L19;
L19:;
	{cl_object V7;                            /*  OLDV            */
	V7= V5;
	cl_env_copy->values[0]=ecl_function_dispatch(cl_env_copy,VV[684])(3,V7,V2,V6) /*  EXPAND-CONSTANT */;
	{int V8=cl_env_copy->nvalues-0;
	if (V8--<=0) goto L27;
	V5= cl_env_copy->values[0];
	if (V8--<=0) goto L28;
	V6= cl_env_copy->values[1];
	goto L29;}
L27:;
	V5= Cnil;
L28:;
	V6= Cnil;
L29:;
	{cl_fixnum V8;
	V8= 0;
	if(!(FIXNUMP(V5))){
	goto L35;}
	V8= ecl_fix(V5);
	if(!((V8)<=(255))){
	goto L40;}
	if((V8)>=(0)){
	goto L31;}
	goto L32;
L40:;
	goto L32;
L35:;
	goto L32;
	}
L32:;
	if(ecl_eql(V7,V5)){
	goto L44;}
	T0= V5;
	goto L42;
L44:;
	T0= Cnil;
	goto L42;
L42:;
	ecl_function_dispatch(cl_env_copy,VV[685])(5,VV[181],VV[578],V7,T0,VV[182]) /*  CMPERR */;
	goto L23;
L31:;
	goto L23;
	}
L23:;
	if((V6)==Cnil){
	goto L47;}
	value0=cl_list(3,VV[578],V4,V5)           /*  LIST            */;
	return value0;
L47:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function SHUFFLEHI-PI16                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC298shufflehi_pi16(cl_object V1, cl_object V2)
{ VT299 VLEX299 CLSR299 STCK299
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  ARG0            */
	cl_object V5;                             /*  ARG1            */
	cl_object V6;                             /*  CHGP            */
	V3= ecl_cdr(V1);
	if(!(V3==Cnil)){
	goto L5;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V7;
	V7= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V7;
	}
	if(!(V3==Cnil)){
	goto L13;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L11;
L13:;
	goto L11;
L11:;
	{cl_object V7;
	V7= ecl_car(V3);
	V3= ecl_cdr(V3);
	V5= V7;
	}
	V6= Cnil;
	if((V3)==Cnil){
	goto L21;}
	si_dm_too_many_arguments(1,V3)            /*  DM-TOO-MANY-ARGUMENTS */;
	goto L19;
L21:;
	goto L19;
L19:;
	{cl_object V7;                            /*  OLDV            */
	V7= V5;
	cl_env_copy->values[0]=ecl_function_dispatch(cl_env_copy,VV[684])(3,V7,V2,V6) /*  EXPAND-CONSTANT */;
	{int V8=cl_env_copy->nvalues-0;
	if (V8--<=0) goto L27;
	V5= cl_env_copy->values[0];
	if (V8--<=0) goto L28;
	V6= cl_env_copy->values[1];
	goto L29;}
L27:;
	V5= Cnil;
L28:;
	V6= Cnil;
L29:;
	{cl_fixnum V8;
	V8= 0;
	if(!(FIXNUMP(V5))){
	goto L35;}
	V8= ecl_fix(V5);
	if(!((V8)<=(255))){
	goto L40;}
	if((V8)>=(0)){
	goto L31;}
	goto L32;
L40:;
	goto L32;
L35:;
	goto L32;
	}
L32:;
	if(ecl_eql(V7,V5)){
	goto L44;}
	T0= V5;
	goto L42;
L44:;
	T0= Cnil;
	goto L42;
L42:;
	ecl_function_dispatch(cl_env_copy,VV[685])(5,VV[181],VV[579],V7,T0,VV[182]) /*  CMPERR */;
	goto L23;
L31:;
	goto L23;
	}
L23:;
	if((V6)==Cnil){
	goto L47;}
	value0=cl_list(3,VV[579],V4,V5)           /*  LIST            */;
	return value0;
L47:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for CONVERT-SI32-TO-PI                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L299convert_si32_to_pi(cl_object V1)
{ VT300 VLEX300 CLSR300 STCK300
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_cvtsi32_si128(ecl_to_fixnum(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-SU32-TO-PI                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L300convert_su32_to_pi(cl_object V1)
{ VT301 VLEX301 CLSR301 STCK301
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_cvtsi32_si128(ecl_to_fixnum(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-SI64-TO-PI                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L301convert_si64_to_pi(cl_object V1)
{ VT302 VLEX302 CLSR302 STCK302
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_cvtsi64_si128(ecl_to_int64_t(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-SU64-TO-PI                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L302convert_su64_to_pi(cl_object V1)
{ VT303 VLEX303 CLSR303 STCK303
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_cvtsi64_si128(ecl_to_uint64_t(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-PI-TO-SI32                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L303convert_pi_to_si32(cl_object V1)
{ VT304 VLEX304 CLSR304 STCK304
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=MAKE_FIXNUM(_mm_cvtsi128_si32(ecl_unbox_int_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-PI-TO-SU32                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L304convert_pi_to_su32(cl_object V1)
{ VT305 VLEX305 CLSR305 STCK305
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=MAKE_FIXNUM(_mm_cvtsi128_si32(ecl_unbox_int_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-PI-TO-SI64                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L305convert_pi_to_si64(cl_object V1)
{ VT306 VLEX306 CLSR306 STCK306
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int64_t(_mm_cvtsi128_si64(ecl_unbox_int_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-PI-TO-SU64                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L306convert_pi_to_su64(cl_object V1)
{ VT307 VLEX307 CLSR307 STCK307
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_uint64_t(_mm_cvtsi128_si64(ecl_unbox_int_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
	
#include "ext/sse-intrinsics.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _ecltMB6TNSZ7DJr9_GLeWEU01(cl_object flag)
{ VT1 VLEX1 CLSR1 STCK1
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	cl_object *VVtemp;
	if (flag != OBJNULL){
	Cblock=flag;
	#ifndef ECL_DYNAMIC_VV
	flag->cblock.data = VV;
	#endif
	flag->cblock.data_size = VM;
	flag->cblock.temp_data_size = VMtemp;
	flag->cblock.data_text = compiler_data_text;
	flag->cblock.data_text_size = compiler_data_text_size;
	flag->cblock.cfuns_size = compiler_cfuns_size;
	flag->cblock.cfuns = compiler_cfuns;
	flag->cblock.source = make_constant_base_string("EXT:CL-SIMD;SSE-INTRINSICS.LISP.NEWEST");
	return;}
	#ifdef ECL_DYNAMIC_VV
	VV = Cblock->cblock.data;
	#endif
	Cblock->cblock.data_text = "@EcLtAg:_ecltMB6TNSZ7DJr9_GLeWEU01@";
	VVtemp = Cblock->cblock.temp_data;
	ECL_DEFINE_SETF_FUNCTIONS
	si_select_package(VVtemp[0])              /*  SELECT-PACKAGE  */;
	cl_export(1,VV[0])                        /*  EXPORT          */;
	si_putprop(VV[0],VVtemp[1],VV[1])         /*  PUTPROP         */;
	si_putprop(VV[0],VVtemp[2],VV[2])         /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[3]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[596]);                   /*  CPU-PREFETCH-T0 */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[0],VV[4],VVtemp[4],ECL_SYM("OBJECT",1275),VVtemp[5],VV[5],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[0],VV[4],VVtemp[6],ECL_SYM("OBJECT",1275),VVtemp[7]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[0],VV[4],VVtemp[8],ECL_SYM("OBJECT",1275),VVtemp[9]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[0],VV[6],VVtemp[10],ECL_SYM("OBJECT",1275),VVtemp[11]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[0],VV[6],VVtemp[12],ECL_SYM("OBJECT",1275),VVtemp[13]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[0],VV[6],VVtemp[14],ECL_SYM("OBJECT",1275),VVtemp[15]) /*  DEF-INLINE */;
	cl_export(1,VV[7])                        /*  EXPORT          */;
	si_putprop(VV[7],VVtemp[1],VV[1])         /*  PUTPROP         */;
	si_putprop(VV[7],VVtemp[16],VV[2])        /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[17]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[598]);                   /*  CPU-PREFETCH-T1 */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[7],VV[4],VVtemp[4],ECL_SYM("OBJECT",1275),VVtemp[18],VV[5],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[7],VV[4],VVtemp[6],ECL_SYM("OBJECT",1275),VVtemp[19]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[7],VV[4],VVtemp[8],ECL_SYM("OBJECT",1275),VVtemp[20]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[7],VV[6],VVtemp[10],ECL_SYM("OBJECT",1275),VVtemp[21]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[7],VV[6],VVtemp[12],ECL_SYM("OBJECT",1275),VVtemp[22]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[7],VV[6],VVtemp[14],ECL_SYM("OBJECT",1275),VVtemp[23]) /*  DEF-INLINE */;
	cl_export(1,VV[9])                        /*  EXPORT          */;
	si_putprop(VV[9],VVtemp[1],VV[1])         /*  PUTPROP         */;
	si_putprop(VV[9],VVtemp[24],VV[2])        /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[25]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[599]);                   /*  CPU-PREFETCH-T2 */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[9],VV[4],VVtemp[4],ECL_SYM("OBJECT",1275),VVtemp[26],VV[5],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[9],VV[4],VVtemp[6],ECL_SYM("OBJECT",1275),VVtemp[27]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[9],VV[4],VVtemp[8],ECL_SYM("OBJECT",1275),VVtemp[28]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[9],VV[6],VVtemp[10],ECL_SYM("OBJECT",1275),VVtemp[29]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[9],VV[6],VVtemp[12],ECL_SYM("OBJECT",1275),VVtemp[30]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[9],VV[6],VVtemp[14],ECL_SYM("OBJECT",1275),VVtemp[31]) /*  DEF-INLINE */;
	cl_export(1,VV[11])                       /*  EXPORT          */;
	si_putprop(VV[11],VVtemp[1],VV[1])        /*  PUTPROP         */;
	si_putprop(VV[11],VVtemp[32],VV[2])       /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[33]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[600]);                   /*  CPU-PREFETCH-NTA */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[11],VV[4],VVtemp[4],ECL_SYM("OBJECT",1275),VVtemp[34],VV[5],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[11],VV[4],VVtemp[6],ECL_SYM("OBJECT",1275),VVtemp[35]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[11],VV[4],VVtemp[8],ECL_SYM("OBJECT",1275),VVtemp[36]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[11],VV[6],VVtemp[10],ECL_SYM("OBJECT",1275),VVtemp[37]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[11],VV[6],VVtemp[12],ECL_SYM("OBJECT",1275),VVtemp[38]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[11],VV[6],VVtemp[14],ECL_SYM("OBJECT",1275),VVtemp[39]) /*  DEF-INLINE */;
	cl_export(1,VV[13])                       /*  EXPORT          */;
	si_putprop(VV[13],VVtemp[40],VV[1])       /*  PUTPROP         */;
	si_putprop(VV[13],VVtemp[41],VV[2])       /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[42]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[601]);                   /*  CPU-CLFLUSH     */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[13],VV[4],VVtemp[4],ECL_SYM("OBJECT",1275),VVtemp[43],VV[5],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[13],VV[4],VVtemp[6],ECL_SYM("OBJECT",1275),VVtemp[44]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[13],VV[4],VVtemp[8],ECL_SYM("OBJECT",1275),VVtemp[45]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[13],VV[6],VVtemp[10],ECL_SYM("OBJECT",1275),VVtemp[46]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[13],VV[6],VVtemp[12],ECL_SYM("OBJECT",1275),VVtemp[47]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[13],VV[6],VVtemp[14],ECL_SYM("OBJECT",1275),VVtemp[48]) /*  DEF-INLINE */;
	cl_export(1,VV[15])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[49]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[602]);                   /*  CPU-MXCSR       */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[15],VV[4],Cnil,ECL_SYM("FIXNUM",1364),VVtemp[50],VV[5],Ct) /*  DEF-INLINE */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[51]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[603]);                   /*  %SET-CPU-MXCSR  */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[17],VV[4],VVtemp[52],ECL_SYM("FIXNUM",1364),VVtemp[53],VV[5],Ct) /*  DEF-INLINE */;
	si_do_defsetf(VV[15],VV[17])              /*  DO-DEFSETF      */;
	cl_export(1,VV[18])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[54]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[604]);                   /*  CPU-LOAD-FENCE  */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[18],VV[4],Cnil,ECL_SYM("OBJECT",1275),VVtemp[55],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[20])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[56]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[605]);                   /*  CPU-STORE-FENCE */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[20],VV[4],Cnil,ECL_SYM("OBJECT",1275),VVtemp[57],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[22])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[58]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[606]);                   /*  CPU-MEMORY-FENCE */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[22],VV[4],Cnil,ECL_SYM("OBJECT",1275),VVtemp[59],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[24])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[60]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[607]);                   /*  CPU-PAUSE       */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[24],VV[4],Cnil,ECL_SYM("OBJECT",1275),VVtemp[61],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[26])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[62]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[608]);                   /*  SET-SS          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[26],VV[4],VVtemp[63],VV[28],VVtemp[64],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[29])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[65]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[609]);                   /*  SET1-PS         */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[29],VV[4],VVtemp[63],VV[28],VVtemp[66],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[31])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[67]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[610]);                   /*  SET-PS          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[31],VV[4],VVtemp[68],VV[28],VVtemp[69],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[33])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[70]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[611]);                   /*  SETR-PS         */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[33],VV[4],VVtemp[68],VV[28],VVtemp[71],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[35])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[72]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[612]);                   /*  SETZERO-PS      */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[35],VV[4],Cnil,VV[28],VVtemp[73],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[37])                       /*  EXPORT          */;
	si_putprop(VV[37],VVtemp[74],VV[1])       /*  PUTPROP         */;
	si_putprop(VV[37],VVtemp[41],VV[2])       /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[75]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[613]);                   /*  MEM-REF-SS      */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[37],VV[4],VVtemp[4],VV[28],VVtemp[76],VV[5],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[37],VV[4],VVtemp[6],VV[28],VVtemp[77]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[37],VV[4],VVtemp[8],VV[28],VVtemp[78]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[37],VV[6],VVtemp[10],VV[28],VVtemp[79]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[37],VV[6],VVtemp[12],VV[28],VVtemp[80]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[37],VV[6],VVtemp[14],VV[28],VVtemp[81]) /*  DEF-INLINE */;
	cl_export(1,VV[39])                       /*  EXPORT          */;
	si_putprop(VV[39],VVtemp[82],VV[1])       /*  PUTPROP         */;
	si_putprop(VV[39],VVtemp[41],VV[2])       /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[83]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[614]);                   /*  MEM-REF-PS      */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[39],VV[4],VVtemp[4],VV[28],VVtemp[84],VV[5],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[39],VV[4],VVtemp[6],VV[28],VVtemp[85]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[39],VV[4],VVtemp[8],VV[28],VVtemp[86]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[39],VV[6],VVtemp[10],VV[28],VVtemp[87]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[39],VV[6],VVtemp[12],VV[28],VVtemp[88]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[39],VV[6],VVtemp[14],VV[28],VVtemp[89]) /*  DEF-INLINE */;
	cl_export(1,VV[41])                       /*  EXPORT          */;
	si_putprop(VV[41],VVtemp[90],VV[1])       /*  PUTPROP         */;
	si_putprop(VV[41],VVtemp[41],VV[2])       /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[91]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[615]);                   /*  MEM-REF-APS     */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[41],VV[4],VVtemp[4],VV[28],VVtemp[92],VV[5],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[41],VV[4],VVtemp[6],VV[28],VVtemp[93]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[41],VV[4],VVtemp[8],VV[28],VVtemp[94]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[41],VV[6],VVtemp[10],VV[28],VVtemp[95]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[41],VV[6],VVtemp[12],VV[28],VVtemp[96]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[41],VV[6],VVtemp[14],VV[28],VVtemp[97]) /*  DEF-INLINE */;
	si_putprop(VV[43],VVtemp[98],VV[1])       /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[99]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[616]);                   /*  MEM-SET-SS      */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[43],VV[4],VVtemp[100],VV[28],VVtemp[101],VV[5],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[43],VV[4],VVtemp[102],VV[28],VVtemp[103]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[43],VV[4],VVtemp[104],VV[28],VVtemp[105]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[43],VV[6],VVtemp[106],VV[28],VVtemp[107]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[43],VV[6],VVtemp[108],VV[28],VVtemp[109]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[43],VV[6],VVtemp[110],VV[28],VVtemp[111]) /*  DEF-INLINE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC21mem_ref_ss,Cnil,Cblock);
	si_do_defsetf(VV[37],T0)                  /*  DO-DEFSETF      */;
	si_putprop(VV[45],VVtemp[112],VV[1])      /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[113]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[617]);                   /*  MEM-SET-PS      */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[45],VV[4],VVtemp[100],VV[28],VVtemp[114],VV[5],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[45],VV[4],VVtemp[102],VV[28],VVtemp[115]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[45],VV[4],VVtemp[104],VV[28],VVtemp[116]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[45],VV[6],VVtemp[106],VV[28],VVtemp[117]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[45],VV[6],VVtemp[108],VV[28],VVtemp[118]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[45],VV[6],VVtemp[110],VV[28],VVtemp[119]) /*  DEF-INLINE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC23mem_ref_ps,Cnil,Cblock);
	si_do_defsetf(VV[39],T0)                  /*  DO-DEFSETF      */;
	si_putprop(VV[47],VVtemp[120],VV[1])      /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[121]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[618]);                   /*  MEM-SET-APS     */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[47],VV[4],VVtemp[100],VV[28],VVtemp[122],VV[5],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[47],VV[4],VVtemp[102],VV[28],VVtemp[123]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[47],VV[4],VVtemp[104],VV[28],VVtemp[124]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[47],VV[6],VVtemp[106],VV[28],VVtemp[125]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[47],VV[6],VVtemp[108],VV[28],VVtemp[126]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[47],VV[6],VVtemp[110],VV[28],VVtemp[127]) /*  DEF-INLINE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC25mem_ref_aps,Cnil,Cblock);
	si_do_defsetf(VV[41],T0)                  /*  DO-DEFSETF      */;
	cl_export(1,VV[49])                       /*  EXPORT          */;
	si_putprop(VV[49],VVtemp[128],VV[1])      /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[129]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[619]);                   /*  STREAM-PS       */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[49],VV[4],VVtemp[100],VV[28],VVtemp[130],VV[5],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[49],VV[4],VVtemp[102],VV[28],VVtemp[131]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[49],VV[4],VVtemp[104],VV[28],VVtemp[132]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[49],VV[6],VVtemp[106],VV[28],VVtemp[133]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[49],VV[6],VVtemp[108],VV[28],VVtemp[134]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[49],VV[6],VVtemp[110],VV[28],VVtemp[135]) /*  DEF-INLINE */;
	cl_export(1,VV[51])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[136]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[620]);                   /*  ADD-SS          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[51],VV[4],VVtemp[137],VV[28],VVtemp[138],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[53])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[139]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[621]);                   /*  ADD-PS          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[53],VV[4],VVtemp[137],VV[28],VVtemp[140],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[55])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[141]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[622]);                   /*  SUB-SS          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[55],VV[4],VVtemp[137],VV[28],VVtemp[142],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[57])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[143]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[623]);                   /*  SUB-PS          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[57],VV[4],VVtemp[137],VV[28],VVtemp[144],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[59])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[145]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[624]);                   /*  MUL-SS          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[59],VV[4],VVtemp[137],VV[28],VVtemp[146],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[61])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[147]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[625]);                   /*  MUL-PS          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[61],VV[4],VVtemp[137],VV[28],VVtemp[148],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[63])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[149]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[626]);                   /*  DIV-SS          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[63],VV[4],VVtemp[137],VV[28],VVtemp[150],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[65])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[151]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[627]);                   /*  DIV-PS          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[65],VV[4],VVtemp[137],VV[28],VVtemp[152],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[67])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[153]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[628]);                   /*  MIN-SS          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[67],VV[4],VVtemp[137],VV[28],VVtemp[154],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[69])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[155]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[629]);                   /*  MIN-PS          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[69],VV[4],VVtemp[137],VV[28],VVtemp[156],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[71])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[157]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[630]);                   /*  MAX-SS          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[71],VV[4],VVtemp[137],VV[28],VVtemp[158],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[73])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[159]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[631]);                   /*  MAX-PS          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[73],VV[4],VVtemp[137],VV[28],VVtemp[160],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[75])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[161]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[632]);                   /*  SQRT-SS         */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[75],VV[4],VVtemp[162],VV[28],VVtemp[163],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[77])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[164]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[633]);                   /*  SQRT-PS         */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[77],VV[4],VVtemp[162],VV[28],VVtemp[165],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[79])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[166]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[634]);                   /*  RSQRT-SS        */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[79],VV[4],VVtemp[162],VV[28],VVtemp[167],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[81])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[168]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[635]);                   /*  RSQRT-PS        */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[81],VV[4],VVtemp[162],VV[28],VVtemp[169],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[83])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[170]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[636]);                   /*  RCP-SS          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[83],VV[4],VVtemp[162],VV[28],VVtemp[171],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[85])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[172]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[637]);                   /*  RCP-PS          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[85],VV[4],VVtemp[162],VV[28],VVtemp[173],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[87])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[174]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[638]);                   /*  AND-PS          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[87],VV[4],VVtemp[137],VV[28],VVtemp[175],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[89])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[176]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[639]);                   /*  ANDNOT-PS       */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[89],VV[4],VVtemp[137],VV[28],VVtemp[177],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[91])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[178]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[640]);                   /*  OR-PS           */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[91],VV[4],VVtemp[137],VV[28],VVtemp[179],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[93])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[180]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[641]);                   /*  XOR-PS          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[93],VV[4],VVtemp[137],VV[28],VVtemp[181],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[95])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[182]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[642]);                   /*  =-SS            */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[95],VV[4],VVtemp[137],VV[28],VVtemp[183],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[97])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[184]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[643]);                   /*  =-PS            */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[97],VV[4],VVtemp[137],VV[28],VVtemp[185],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[99])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[186]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[644]);                   /*  <-SS            */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[99],VV[4],VVtemp[137],VV[28],VVtemp[187],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[101])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[188]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[645]);                   /*  <-PS            */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[101],VV[4],VVtemp[137],VV[28],VVtemp[189],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[103])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[190]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[646]);                   /*  <=-SS           */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[103],VV[4],VVtemp[137],VV[28],VVtemp[191],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[105])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[192]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[647]);                   /*  <=-PS           */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[105],VV[4],VVtemp[137],VV[28],VVtemp[193],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[107])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[194]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[648]);                   /*  >-SS            */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[107],VV[4],VVtemp[137],VV[28],VVtemp[195],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[109])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[196]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[649]);                   /*  >-PS            */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[109],VV[4],VVtemp[137],VV[28],VVtemp[197],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[111])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[198]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[650]);                   /*  >=-SS           */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[111],VV[4],VVtemp[137],VV[28],VVtemp[199],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[113])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[200]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[651]);                   /*  >=-PS           */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[113],VV[4],VVtemp[137],VV[28],VVtemp[201],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[115])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[202]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[652]);                   /*  /=-SS           */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[115],VV[4],VVtemp[137],VV[28],VVtemp[203],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[117])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[204]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[653]);                   /*  /=-PS           */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[117],VV[4],VVtemp[137],VV[28],VVtemp[205],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[119])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[206]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[654]);                   /*  /<-SS           */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[119],VV[4],VVtemp[137],VV[28],VVtemp[207],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[121])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[208]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[655]);                   /*  /<-PS           */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[121],VV[4],VVtemp[137],VV[28],VVtemp[209],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[123])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[210]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[656]);                   /*  /<=-SS          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[123],VV[4],VVtemp[137],VV[28],VVtemp[211],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[125])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[212]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[657]);                   /*  /<=-PS          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[125],VV[4],VVtemp[137],VV[28],VVtemp[213],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[127])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[214]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[658]);                   /*  />-SS           */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[127],VV[4],VVtemp[137],VV[28],VVtemp[215],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[129])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[216]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[659]);                   /*  />-PS           */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[129],VV[4],VVtemp[137],VV[28],VVtemp[217],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[131])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[218]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[660]);                   /*  />=-SS          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[131],VV[4],VVtemp[137],VV[28],VVtemp[219],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[133])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[220]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[661]);                   /*  />=-PS          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[133],VV[4],VVtemp[137],VV[28],VVtemp[221],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[135])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[222]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[662]);                   /*  CMPORD-SS       */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[135],VV[4],VVtemp[137],VV[28],VVtemp[223],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[137])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[224]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[663]);                   /*  CMPORD-PS       */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[137],VV[4],VVtemp[137],VV[28],VVtemp[225],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[139])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[226]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[664]);                   /*  CMPUNORD-SS     */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[139],VV[4],VVtemp[137],VV[28],VVtemp[227],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[141])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[228]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[665]);                   /*  CMPUNORD-PS     */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[141],VV[4],VVtemp[137],VV[28],VVtemp[229],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[143])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[230]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[666]);                   /*  =-SS?           */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[143],VV[4],VVtemp[137],VV[145],VVtemp[231],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[146])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[232]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[667]);                   /*  =-SSU?          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[146],VV[4],VVtemp[137],VV[145],VVtemp[233],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[148])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[234]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[668]);                   /*  <-SS?           */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[148],VV[4],VVtemp[137],VV[145],VVtemp[235],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[150])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[236]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[669]);                   /*  <-SSU?          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[150],VV[4],VVtemp[137],VV[145],VVtemp[237],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[152])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[238]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[670]);                   /*  <=-SS?          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[152],VV[4],VVtemp[137],VV[145],VVtemp[239],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[154])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[240]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[671]);                   /*  <=-SSU?         */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[154],VV[4],VVtemp[137],VV[145],VVtemp[241],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[156])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[242]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[672]);                   /*  >-SS?           */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[156],VV[4],VVtemp[137],VV[145],VVtemp[243],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[158])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[244]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[673]);                   /*  >-SSU?          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[158],VV[4],VVtemp[137],VV[145],VVtemp[245],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[160])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[246]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[674]);                   /*  >=-SS?          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[160],VV[4],VVtemp[137],VV[145],VVtemp[247],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[162])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[248]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[675]);                   /*  >=-SSU?         */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[162],VV[4],VVtemp[137],VV[145],VVtemp[249],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[164])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[250]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[676]);                   /*  /=-SS?          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[164],VV[4],VVtemp[137],VV[145],VVtemp[251],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[166])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[252]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[677]);                   /*  /=-SSU?         */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[166],VV[4],VVtemp[137],VV[145],VVtemp[253],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[168])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[254]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[678]);                   /*  UNPACKHI-PS     */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[168],VV[4],VVtemp[137],VV[28],VVtemp[255],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[170])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[256]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[679]);                   /*  UNPACKLO-PS     */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[170],VV[4],VVtemp[137],VV[28],VVtemp[257],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[172])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[258]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[680]);                   /*  MOVE-SS         */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[172],VV[4],VVtemp[137],VV[28],VVtemp[259],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[174])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[260]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[681]);                   /*  MOVEHL-PS       */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[174],VV[4],VVtemp[137],VV[28],VVtemp[261],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[176])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[262]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[682]);                   /*  MOVELH-PS       */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[176],VV[4],VVtemp[137],VV[28],VVtemp[263],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[178])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[264]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[683]);                   /*  MOVEMASK-PS     */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[178],VV[4],VVtemp[162],ECL_SYM("FIXNUM",1364),VVtemp[265],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[180])                      /*  EXPORT          */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC91shuffle_ps,Cnil,Cblock,2);
	si_put_sysprop(VV[180],ECL_SYM("COMPILER-MACRO",236),T0) /*  PUT-SYSPROP */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[266]) /*  PROCLAIM */;
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[180],VV[4],VVtemp[267],VV[28],VVtemp[268],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[183])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[269]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[686]);                   /*  CONVERT-PI32-TO-PS */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[183],VV[4],VVtemp[270],VV[28],VVtemp[271],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[185])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[272]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[687]);                   /*  CONVERT-PS-TO-PI32 */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[185],VV[4],VVtemp[162],VV[187],VVtemp[273],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[188])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[274]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[688]);                   /*  TRUNCATE-PS-TO-PI32 */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[188],VV[4],VVtemp[162],VV[187],VVtemp[275],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[190])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[276]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[689]);                   /*  CONVERT-SI32-TO-SS */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[190],VV[4],VVtemp[277],VV[28],VVtemp[278],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[192])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[279]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[690]);                   /*  CONVERT-SS-TO-SI32 */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[192],VV[4],VVtemp[162],ECL_SYM("FIXNUM",1364),VVtemp[280],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[194])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[281]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[691]);                   /*  TRUNCATE-SS-TO-SI32 */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[194],VV[4],VVtemp[162],ECL_SYM("FIXNUM",1364),VVtemp[282],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[196])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[283]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[692]);                   /*  CONVERT-SI64-TO-SS */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[196],VV[4],VVtemp[284],VV[28],VVtemp[285],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[198])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[286]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[693]);                   /*  CONVERT-SS-TO-SI64 */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[198],VV[4],VVtemp[162],ECL_SYM("INT64-T",1370),VVtemp[287],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[200])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[288]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[694]);                   /*  TRUNCATE-SS-TO-SI64 */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[200],VV[4],VVtemp[162],ECL_SYM("INT64-T",1370),VVtemp[289],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[202])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[290]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[695]);                   /*  SET-SD          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[202],VV[4],VVtemp[63],VV[204],VVtemp[291],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[205])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[292]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[696]);                   /*  SET1-PD         */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[205],VV[4],VVtemp[63],VV[204],VVtemp[293],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[207])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[294]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[697]);                   /*  SET-PD          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[207],VV[4],VVtemp[295],VV[204],VVtemp[296],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[209])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[297]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[698]);                   /*  SETR-PD         */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[209],VV[4],VVtemp[295],VV[204],VVtemp[298],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[211])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[299]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[699]);                   /*  SETZERO-PD      */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[211],VV[4],Cnil,VV[204],VVtemp[300],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[213])                      /*  EXPORT          */;
	si_putprop(VV[213],VVtemp[301],VV[1])     /*  PUTPROP         */;
	si_putprop(VV[213],VVtemp[41],VV[2])      /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[302]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[700]);                   /*  MEM-REF-SD      */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[213],VV[4],VVtemp[4],VV[204],VVtemp[303],VV[5],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[213],VV[4],VVtemp[6],VV[204],VVtemp[304]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[213],VV[4],VVtemp[8],VV[204],VVtemp[305]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[213],VV[6],VVtemp[10],VV[204],VVtemp[306]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[213],VV[6],VVtemp[12],VV[204],VVtemp[307]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[213],VV[6],VVtemp[14],VV[204],VVtemp[308]) /*  DEF-INLINE */;
	cl_export(1,VV[215])                      /*  EXPORT          */;
	si_putprop(VV[215],VVtemp[309],VV[1])     /*  PUTPROP         */;
	si_putprop(VV[215],VVtemp[41],VV[2])      /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[310]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[701]);                   /*  MEM-REF-PD      */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[215],VV[4],VVtemp[4],VV[204],VVtemp[311],VV[5],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[215],VV[4],VVtemp[6],VV[204],VVtemp[312]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[215],VV[4],VVtemp[8],VV[204],VVtemp[313]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[215],VV[6],VVtemp[10],VV[204],VVtemp[314]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[215],VV[6],VVtemp[12],VV[204],VVtemp[315]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[215],VV[6],VVtemp[14],VV[204],VVtemp[316]) /*  DEF-INLINE */;
	cl_export(1,VV[217])                      /*  EXPORT          */;
	si_putprop(VV[217],VVtemp[317],VV[1])     /*  PUTPROP         */;
	si_putprop(VV[217],VVtemp[41],VV[2])      /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[318]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[702]);                   /*  MEM-REF-APD     */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[217],VV[4],VVtemp[4],VV[204],VVtemp[319],VV[5],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[217],VV[4],VVtemp[6],VV[204],VVtemp[320]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[217],VV[4],VVtemp[8],VV[204],VVtemp[321]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[217],VV[6],VVtemp[10],VV[204],VVtemp[322]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[217],VV[6],VVtemp[12],VV[204],VVtemp[323]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[217],VV[6],VVtemp[14],VV[204],VVtemp[324]) /*  DEF-INLINE */;
	cl_export(1,VV[219])                      /*  EXPORT          */;
	si_putprop(VV[219],VVtemp[325],VV[1])     /*  PUTPROP         */;
	si_putprop(VV[219],VVtemp[41],VV[2])      /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[326]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[703]);                   /*  LOADH-PD        */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[219],VV[4],VVtemp[327],VV[204],VVtemp[328],VV[5],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[219],VV[4],VVtemp[329],VV[204],VVtemp[330]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[219],VV[4],VVtemp[331],VV[204],VVtemp[332]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[219],VV[6],VVtemp[333],VV[204],VVtemp[334]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[219],VV[6],VVtemp[335],VV[204],VVtemp[336]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[219],VV[6],VVtemp[337],VV[204],VVtemp[338]) /*  DEF-INLINE */;
	cl_export(1,VV[221])                      /*  EXPORT          */;
	si_putprop(VV[221],VVtemp[339],VV[1])     /*  PUTPROP         */;
	si_putprop(VV[221],VVtemp[41],VV[2])      /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[340]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[704]);                   /*  LOADL-PD        */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[221],VV[4],VVtemp[327],VV[204],VVtemp[341],VV[5],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[221],VV[4],VVtemp[329],VV[204],VVtemp[342]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[221],VV[4],VVtemp[331],VV[204],VVtemp[343]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[221],VV[6],VVtemp[333],VV[204],VVtemp[344]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[221],VV[6],VVtemp[335],VV[204],VVtemp[345]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[221],VV[6],VVtemp[337],VV[204],VVtemp[346]) /*  DEF-INLINE */;
	si_putprop(VV[223],VVtemp[347],VV[1])     /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[348]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[705]);                   /*  MEM-SET-SD      */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[223],VV[4],VVtemp[349],VV[204],VVtemp[350],VV[5],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[223],VV[4],VVtemp[351],VV[204],VVtemp[352]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[223],VV[4],VVtemp[353],VV[204],VVtemp[354]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[223],VV[6],VVtemp[355],VV[204],VVtemp[356]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[223],VV[6],VVtemp[357],VV[204],VVtemp[358]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[223],VV[6],VVtemp[359],VV[204],VVtemp[360]) /*  DEF-INLINE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC112mem_ref_sd,Cnil,Cblock);
	si_do_defsetf(VV[213],T0)                 /*  DO-DEFSETF      */;
	si_putprop(VV[225],VVtemp[361],VV[1])     /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[362]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[706]);                   /*  MEM-SET-PD      */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[225],VV[4],VVtemp[349],VV[204],VVtemp[363],VV[5],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[225],VV[4],VVtemp[351],VV[204],VVtemp[364]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[225],VV[4],VVtemp[353],VV[204],VVtemp[365]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[225],VV[6],VVtemp[355],VV[204],VVtemp[366]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[225],VV[6],VVtemp[357],VV[204],VVtemp[367]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[225],VV[6],VVtemp[359],VV[204],VVtemp[368]) /*  DEF-INLINE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC114mem_ref_pd,Cnil,Cblock);
	si_do_defsetf(VV[215],T0)                 /*  DO-DEFSETF      */;
	si_putprop(VV[227],VVtemp[369],VV[1])     /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[370]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[707]);                   /*  MEM-SET-APD     */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[227],VV[4],VVtemp[349],VV[204],VVtemp[371],VV[5],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[227],VV[4],VVtemp[351],VV[204],VVtemp[372]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[227],VV[4],VVtemp[353],VV[204],VVtemp[373]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[227],VV[6],VVtemp[355],VV[204],VVtemp[374]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[227],VV[6],VVtemp[357],VV[204],VVtemp[375]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[227],VV[6],VVtemp[359],VV[204],VVtemp[376]) /*  DEF-INLINE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC116mem_ref_apd,Cnil,Cblock);
	si_do_defsetf(VV[217],T0)                 /*  DO-DEFSETF      */;
	cl_export(1,VV[229])                      /*  EXPORT          */;
	si_putprop(VV[229],VVtemp[377],VV[1])     /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[378]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[708]);                   /*  STOREH-PD       */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[229],VV[4],VVtemp[349],VV[204],VVtemp[379],VV[5],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[229],VV[4],VVtemp[351],VV[204],VVtemp[380]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[229],VV[4],VVtemp[353],VV[204],VVtemp[381]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[229],VV[6],VVtemp[355],VV[204],VVtemp[382]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[229],VV[6],VVtemp[357],VV[204],VVtemp[383]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[229],VV[6],VVtemp[359],VV[204],VVtemp[384]) /*  DEF-INLINE */;
	cl_export(1,VV[231])                      /*  EXPORT          */;
	si_putprop(VV[231],VVtemp[385],VV[1])     /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[386]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[709]);                   /*  STOREL-PD       */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[231],VV[4],VVtemp[349],VV[204],VVtemp[387],VV[5],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[231],VV[4],VVtemp[351],VV[204],VVtemp[388]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[231],VV[4],VVtemp[353],VV[204],VVtemp[389]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[231],VV[6],VVtemp[355],VV[204],VVtemp[390]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[231],VV[6],VVtemp[357],VV[204],VVtemp[391]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[231],VV[6],VVtemp[359],VV[204],VVtemp[392]) /*  DEF-INLINE */;
	cl_export(1,VV[233])                      /*  EXPORT          */;
	si_putprop(VV[233],VVtemp[393],VV[1])     /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[394]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[710]);                   /*  STREAM-PD       */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[233],VV[4],VVtemp[349],VV[204],VVtemp[395],VV[5],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[233],VV[4],VVtemp[351],VV[204],VVtemp[396]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[233],VV[4],VVtemp[353],VV[204],VVtemp[397]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[233],VV[6],VVtemp[355],VV[204],VVtemp[398]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[233],VV[6],VVtemp[357],VV[204],VVtemp[399]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[233],VV[6],VVtemp[359],VV[204],VVtemp[400]) /*  DEF-INLINE */;
	cl_export(1,VV[235])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[401]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[711]);                   /*  ADD-SD          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[235],VV[4],VVtemp[402],VV[204],VVtemp[403],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[237])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[404]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[712]);                   /*  ADD-PD          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[237],VV[4],VVtemp[402],VV[204],VVtemp[405],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[239])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[406]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[713]);                   /*  SUB-SD          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[239],VV[4],VVtemp[402],VV[204],VVtemp[407],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[241])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[408]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[714]);                   /*  SUB-PD          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[241],VV[4],VVtemp[402],VV[204],VVtemp[409],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[243])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[410]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[715]);                   /*  MUL-SD          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[243],VV[4],VVtemp[402],VV[204],VVtemp[411],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[245])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[412]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[716]);                   /*  MUL-PD          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[245],VV[4],VVtemp[402],VV[204],VVtemp[413],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[247])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[414]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[717]);                   /*  DIV-SD          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[247],VV[4],VVtemp[402],VV[204],VVtemp[415],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[249])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[416]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[718]);                   /*  DIV-PD          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[249],VV[4],VVtemp[402],VV[204],VVtemp[417],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[251])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[418]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[719]);                   /*  MIN-SD          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[251],VV[4],VVtemp[402],VV[204],VVtemp[419],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[253])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[420]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[720]);                   /*  MIN-PD          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[253],VV[4],VVtemp[402],VV[204],VVtemp[421],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[255])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[422]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[721]);                   /*  MAX-SD          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[255],VV[4],VVtemp[402],VV[204],VVtemp[423],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[257])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[424]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[722]);                   /*  MAX-PD          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[257],VV[4],VVtemp[402],VV[204],VVtemp[425],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[259])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[426]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[723]);                   /*  SQRT-SD         */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[259],VV[4],VVtemp[402],VV[204],VVtemp[427],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[261])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[428]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[724]);                   /*  SQRT-PD         */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[261],VV[4],VVtemp[429],VV[204],VVtemp[430],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[263])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[431]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[725]);                   /*  AND-PD          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[263],VV[4],VVtemp[402],VV[204],VVtemp[432],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[265])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[433]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[726]);                   /*  ANDNOT-PD       */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[265],VV[4],VVtemp[402],VV[204],VVtemp[434],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[267])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[435]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[727]);                   /*  OR-PD           */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[267],VV[4],VVtemp[402],VV[204],VVtemp[436],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[269])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[437]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[728]);                   /*  XOR-PD          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[269],VV[4],VVtemp[402],VV[204],VVtemp[438],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[271])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[439]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[729]);                   /*  =-SD            */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[271],VV[4],VVtemp[402],VV[204],VVtemp[440],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[273])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[441]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[730]);                   /*  =-PD            */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[273],VV[4],VVtemp[402],VV[204],VVtemp[442],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[275])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[443]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[731]);                   /*  <-SD            */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[275],VV[4],VVtemp[402],VV[204],VVtemp[444],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[277])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[445]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[732]);                   /*  <-PD            */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[277],VV[4],VVtemp[402],VV[204],VVtemp[446],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[279])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[447]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[733]);                   /*  <=-SD           */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[279],VV[4],VVtemp[402],VV[204],VVtemp[448],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[281])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[449]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[734]);                   /*  <=-PD           */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[281],VV[4],VVtemp[402],VV[204],VVtemp[450],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[283])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[451]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[735]);                   /*  >-SD            */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[283],VV[4],VVtemp[402],VV[204],VVtemp[452],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[285])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[453]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[736]);                   /*  >-PD            */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[285],VV[4],VVtemp[402],VV[204],VVtemp[454],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[287])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[455]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[737]);                   /*  >=-SD           */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[287],VV[4],VVtemp[402],VV[204],VVtemp[456],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[289])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[457]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[738]);                   /*  >=-PD           */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[289],VV[4],VVtemp[402],VV[204],VVtemp[458],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[291])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[459]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[739]);                   /*  /=-SD           */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[291],VV[4],VVtemp[402],VV[204],VVtemp[460],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[293])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[461]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[740]);                   /*  /=-PD           */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[293],VV[4],VVtemp[402],VV[204],VVtemp[462],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[295])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[463]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[741]);                   /*  /<-SD           */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[295],VV[4],VVtemp[402],VV[204],VVtemp[464],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[297])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[465]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[742]);                   /*  /<-PD           */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[297],VV[4],VVtemp[402],VV[204],VVtemp[466],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[299])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[467]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[743]);                   /*  /<=-SD          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[299],VV[4],VVtemp[402],VV[204],VVtemp[468],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[301])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[469]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[744]);                   /*  /<=-PD          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[301],VV[4],VVtemp[402],VV[204],VVtemp[470],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[303])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[471]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[745]);                   /*  />-SD           */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[303],VV[4],VVtemp[402],VV[204],VVtemp[472],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[305])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[473]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[746]);                   /*  />-PD           */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[305],VV[4],VVtemp[402],VV[204],VVtemp[474],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[307])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[475]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[747]);                   /*  />=-SD          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[307],VV[4],VVtemp[402],VV[204],VVtemp[476],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[309])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[477]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[748]);                   /*  />=-PD          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[309],VV[4],VVtemp[402],VV[204],VVtemp[478],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[311])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[479]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[749]);                   /*  CMPORD-SD       */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[311],VV[4],VVtemp[402],VV[204],VVtemp[480],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[313])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[481]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[750]);                   /*  CMPORD-PD       */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[313],VV[4],VVtemp[402],VV[204],VVtemp[482],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[315])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[483]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[751]);                   /*  CMPUNORD-SD     */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[315],VV[4],VVtemp[402],VV[204],VVtemp[484],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[317])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[485]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[752]);                   /*  CMPUNORD-PD     */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[317],VV[4],VVtemp[402],VV[204],VVtemp[486],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[319])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[487]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[753]);                   /*  =-SD?           */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[319],VV[4],VVtemp[402],VV[145],VVtemp[488],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[321])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[489]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[754]);                   /*  =-SDU?          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[321],VV[4],VVtemp[402],VV[145],VVtemp[490],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[323])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[491]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[755]);                   /*  <-SD?           */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[323],VV[4],VVtemp[402],VV[145],VVtemp[492],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[325])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[493]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[756]);                   /*  <-SDU?          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[325],VV[4],VVtemp[402],VV[145],VVtemp[494],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[327])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[495]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[757]);                   /*  <=-SD?          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[327],VV[4],VVtemp[402],VV[145],VVtemp[496],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[329])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[497]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[758]);                   /*  <=-SDU?         */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[329],VV[4],VVtemp[402],VV[145],VVtemp[498],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[331])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[499]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[759]);                   /*  >-SD?           */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[331],VV[4],VVtemp[402],VV[145],VVtemp[500],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[333])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[501]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[760]);                   /*  >-SDU?          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[333],VV[4],VVtemp[402],VV[145],VVtemp[502],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[335])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[503]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[761]);                   /*  >=-SD?          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[335],VV[4],VVtemp[402],VV[145],VVtemp[504],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[337])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[505]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[762]);                   /*  >=-SDU?         */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[337],VV[4],VVtemp[402],VV[145],VVtemp[506],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[339])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[507]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[763]);                   /*  /=-SD?          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[339],VV[4],VVtemp[402],VV[145],VVtemp[508],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[341])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[509]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[764]);                   /*  /=-SDU?         */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[341],VV[4],VVtemp[402],VV[145],VVtemp[510],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[343])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[511]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[765]);                   /*  UNPACKHI-PD     */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[343],VV[4],VVtemp[402],VV[204],VVtemp[512],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[345])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[513]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[766]);                   /*  UNPACKLO-PD     */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[345],VV[4],VVtemp[402],VV[204],VVtemp[514],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[347])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[515]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[767]);                   /*  MOVE-SD         */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[347],VV[4],VVtemp[402],VV[204],VVtemp[516],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[349])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[517]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[768]);                   /*  MOVEMASK-PD     */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[349],VV[4],VVtemp[429],ECL_SYM("FIXNUM",1364),VVtemp[518],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[351])                      /*  EXPORT          */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC178shuffle_pd,Cnil,Cblock,2);
	si_put_sysprop(VV[351],ECL_SYM("COMPILER-MACRO",236),T0) /*  PUT-SYSPROP */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[519]) /*  PROCLAIM */;
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[351],VV[4],VVtemp[520],VV[204],VVtemp[521],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[353])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[522]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[769]);                   /*  CONVERT-PS-TO-PD */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[353],VV[4],VVtemp[162],VV[204],VVtemp[523],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[355])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[524]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[770]);                   /*  CONVERT-PD-TO-PS */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[355],VV[4],VVtemp[429],VV[28],VVtemp[525],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[357])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[526]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[771]);                   /*  CONVERT-SS-TO-SD */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[357],VV[4],VVtemp[527],VV[204],VVtemp[528],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[359])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[529]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[772]);                   /*  CONVERT-SD-TO-SS */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[359],VV[4],VVtemp[530],VV[28],VVtemp[531],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[361])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[532]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[773]);                   /*  CONVERT-PI32-TO-PD */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[361],VV[4],VVtemp[270],VV[204],VVtemp[533],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[363])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[534]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[774]);                   /*  CONVERT-PD-TO-PI32 */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[363],VV[4],VVtemp[429],VV[187],VVtemp[535],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[365])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[536]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[775]);                   /*  TRUNCATE-PD-TO-PI32 */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[365],VV[4],VVtemp[429],VV[187],VVtemp[537],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[367])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[538]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[776]);                   /*  CONVERT-SI32-TO-SD */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[367],VV[4],VVtemp[539],VV[204],VVtemp[540],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[369])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[541]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[777]);                   /*  CONVERT-SD-TO-SI32 */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[369],VV[4],VVtemp[429],ECL_SYM("FIXNUM",1364),VVtemp[542],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[371])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[543]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[778]);                   /*  TRUNCATE-SD-TO-SI32 */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[371],VV[4],VVtemp[429],ECL_SYM("FIXNUM",1364),VVtemp[544],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[373])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[545]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[779]);                   /*  CONVERT-SI64-TO-SD */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[373],VV[4],VVtemp[546],VV[204],VVtemp[547],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[375])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[548]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[780]);                   /*  CONVERT-SD-TO-SI64 */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[375],VV[4],VVtemp[429],ECL_SYM("INT64-T",1370),VVtemp[549],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[377])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[550]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[781]);                   /*  TRUNCATE-SD-TO-SI64 */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[377],VV[4],VVtemp[429],ECL_SYM("INT64-T",1370),VVtemp[551],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[379])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[552]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[782]);                   /*  SET1-PI8        */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[379],VV[4],VVtemp[52],VV[187],VVtemp[553],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[381])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[554]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[783]);                   /*  SET1-PI16       */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[381],VV[4],VVtemp[52],VV[187],VVtemp[555],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[383])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[556]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[784]);                   /*  SET1-PI32       */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[383],VV[4],VVtemp[52],VV[187],VVtemp[557],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[385])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[558]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[785]);                   /*  SET1-PI64       */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[385],VV[4],VVtemp[559],VV[187],VVtemp[560],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[387])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[561]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[786]);                   /*  SET1-PU32       */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[387],VV[4],VVtemp[52],VV[187],VVtemp[557],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[389])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[562]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[787]);                   /*  SET1-PU64       */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[389],VV[4],VVtemp[563],VV[187],VVtemp[560],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[391])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[564]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[788]);                   /*  SET-PI8         */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[391],VV[4],VVtemp[565],VV[187],VVtemp[566],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[393])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[567]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[789]);                   /*  SET-PI16        */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[393],VV[4],VVtemp[568],VV[187],VVtemp[569],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[395])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[570]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[790]);                   /*  SET-PI32        */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[395],VV[4],VVtemp[571],VV[187],VVtemp[572],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[397])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[573]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[791]);                   /*  SET-PI64        */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[397],VV[4],VVtemp[574],VV[187],VVtemp[575],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[399])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[576]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[792]);                   /*  SET-PU32        */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[399],VV[4],VVtemp[571],VV[187],VVtemp[572],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[401])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[577]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[793]);                   /*  SET-PU64        */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[401],VV[4],VVtemp[578],VV[187],VVtemp[575],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[403])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[579]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[794]);                   /*  SETR-PI8        */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[403],VV[4],VVtemp[565],VV[187],VVtemp[580],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[405])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[581]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[795]);                   /*  SETR-PI16       */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[405],VV[4],VVtemp[568],VV[187],VVtemp[582],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[407])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[583]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[796]);                   /*  SETR-PI32       */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[407],VV[4],VVtemp[571],VV[187],VVtemp[584],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[409])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[585]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[797]);                   /*  SETR-PI64       */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[409],VV[4],VVtemp[574],VV[187],VVtemp[586],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[411])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[587]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[798]);                   /*  SETR-PU32       */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[411],VV[4],VVtemp[571],VV[187],VVtemp[584],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[413])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[588]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[799]);                   /*  SETR-PU64       */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[413],VV[4],VVtemp[578],VV[187],VVtemp[586],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[415])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[589]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[800]);                   /*  SETZERO-PI      */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[415],VV[4],Cnil,VV[187],VVtemp[590],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[417])                      /*  EXPORT          */;
	si_putprop(VV[417],VVtemp[591],VV[1])     /*  PUTPROP         */;
	si_putprop(VV[417],VVtemp[41],VV[2])      /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[592]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[801]);                   /*  MEM-REF-PI      */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[417],VV[4],VVtemp[4],VV[187],VVtemp[593],VV[5],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[417],VV[4],VVtemp[6],VV[187],VVtemp[594]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[417],VV[4],VVtemp[8],VV[187],VVtemp[595]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[417],VV[6],VVtemp[10],VV[187],VVtemp[596]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[417],VV[6],VVtemp[12],VV[187],VVtemp[597]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[417],VV[6],VVtemp[14],VV[187],VVtemp[598]) /*  DEF-INLINE */;
	cl_export(1,VV[419])                      /*  EXPORT          */;
	si_putprop(VV[419],VVtemp[599],VV[1])     /*  PUTPROP         */;
	si_putprop(VV[419],VVtemp[41],VV[2])      /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[600]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[802]);                   /*  MEM-REF-API     */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[419],VV[4],VVtemp[4],VV[187],VVtemp[601],VV[5],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[419],VV[4],VVtemp[6],VV[187],VVtemp[602]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[419],VV[4],VVtemp[8],VV[187],VVtemp[603]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[419],VV[6],VVtemp[10],VV[187],VVtemp[604]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[419],VV[6],VVtemp[12],VV[187],VVtemp[605]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[419],VV[6],VVtemp[14],VV[187],VVtemp[606]) /*  DEF-INLINE */;
	cl_export(1,VV[421])                      /*  EXPORT          */;
	si_putprop(VV[421],VVtemp[607],VV[1])     /*  PUTPROP         */;
	si_putprop(VV[421],VVtemp[41],VV[2])      /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[608]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[803]);                   /*  MEM-REF-SI64    */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[421],VV[4],VVtemp[4],VV[187],VVtemp[609],VV[5],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[421],VV[4],VVtemp[6],VV[187],VVtemp[610]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[421],VV[4],VVtemp[8],VV[187],VVtemp[611]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[421],VV[6],VVtemp[10],VV[187],VVtemp[612]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[421],VV[6],VVtemp[12],VV[187],VVtemp[613]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[421],VV[6],VVtemp[14],VV[187],VVtemp[614]) /*  DEF-INLINE */;
	si_putprop(VV[423],VVtemp[615],VV[1])     /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[616]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[804]);                   /*  MEM-SET-PI      */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[423],VV[4],VVtemp[617],VV[187],VVtemp[618],VV[5],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[423],VV[4],VVtemp[619],VV[187],VVtemp[620]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[423],VV[4],VVtemp[621],VV[187],VVtemp[622]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[423],VV[6],VVtemp[623],VV[187],VVtemp[624]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[423],VV[6],VVtemp[625],VV[187],VVtemp[626]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[423],VV[6],VVtemp[627],VV[187],VVtemp[628]) /*  DEF-INLINE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC215mem_ref_pi,Cnil,Cblock);
	si_do_defsetf(VV[417],T0)                 /*  DO-DEFSETF      */;
	si_putprop(VV[425],VVtemp[629],VV[1])     /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[630]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[805]);                   /*  MEM-SET-API     */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[425],VV[4],VVtemp[617],VV[187],VVtemp[631],VV[5],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[425],VV[4],VVtemp[619],VV[187],VVtemp[632]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[425],VV[4],VVtemp[621],VV[187],VVtemp[633]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[425],VV[6],VVtemp[623],VV[187],VVtemp[634]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[425],VV[6],VVtemp[625],VV[187],VVtemp[635]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[425],VV[6],VVtemp[627],VV[187],VVtemp[636]) /*  DEF-INLINE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC217mem_ref_api,Cnil,Cblock);
	si_do_defsetf(VV[419],T0)                 /*  DO-DEFSETF      */;
	si_putprop(VV[427],VVtemp[637],VV[1])     /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[638]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[806]);                   /*  MEM-SET-SI64    */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[427],VV[4],VVtemp[617],VV[187],VVtemp[639],VV[5],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[427],VV[4],VVtemp[619],VV[187],VVtemp[640]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[427],VV[4],VVtemp[621],VV[187],VVtemp[641]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[427],VV[6],VVtemp[623],VV[187],VVtemp[642]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[427],VV[6],VVtemp[625],VV[187],VVtemp[643]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[427],VV[6],VVtemp[627],VV[187],VVtemp[644]) /*  DEF-INLINE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC219mem_ref_si64,Cnil,Cblock);
	si_do_defsetf(VV[421],T0)                 /*  DO-DEFSETF      */;
	cl_export(1,VV[429])                      /*  EXPORT          */;
	si_putprop(VV[429],VVtemp[645],VV[1])     /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[646]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[807]);                   /*  STREAM-PI       */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[429],VV[4],VVtemp[617],VV[187],VVtemp[647],VV[5],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[429],VV[4],VVtemp[619],VV[187],VVtemp[648]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[429],VV[4],VVtemp[621],VV[187],VVtemp[649]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[429],VV[6],VVtemp[623],VV[187],VVtemp[650]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[429],VV[6],VVtemp[625],VV[187],VVtemp[651]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[429],VV[6],VVtemp[627],VV[187],VVtemp[652]) /*  DEF-INLINE */;
	cl_export(1,VV[431])                      /*  EXPORT          */;
	si_putprop(VV[431],VVtemp[653],VV[1])     /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[654]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[808]);                   /*  MASKMOVEU-PI    */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[431],VV[4],VVtemp[655],ECL_SYM("OBJECT",1275),VVtemp[656],VV[5],Ct) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[431],VV[4],VVtemp[657],ECL_SYM("OBJECT",1275),VVtemp[658]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[431],VV[4],VVtemp[659],ECL_SYM("OBJECT",1275),VVtemp[660]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[431],VV[6],VVtemp[661],ECL_SYM("OBJECT",1275),VVtemp[662]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[431],VV[6],VVtemp[663],ECL_SYM("OBJECT",1275),VVtemp[664]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[431],VV[6],VVtemp[665],ECL_SYM("OBJECT",1275),VVtemp[666]) /*  DEF-INLINE */;
	cl_export(1,VV[433])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[667]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[809]);                   /*  ADD-PI8         */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[433],VV[4],VVtemp[668],VV[187],VVtemp[669],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[435])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[670]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[810]);                   /*  ADD-PI16        */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[435],VV[4],VVtemp[668],VV[187],VVtemp[671],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[437])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[672]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[811]);                   /*  ADD-PI32        */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[437],VV[4],VVtemp[668],VV[187],VVtemp[673],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[439])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[674]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[812]);                   /*  ADD-PI64        */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[439],VV[4],VVtemp[668],VV[187],VVtemp[675],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[441])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[676]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[813]);                   /*  ADDS-PI8        */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[441],VV[4],VVtemp[668],VV[187],VVtemp[677],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[443])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[678]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[814]);                   /*  ADDS-PI16       */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[443],VV[4],VVtemp[668],VV[187],VVtemp[679],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[445])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[680]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[815]);                   /*  ADDS-PU8        */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[445],VV[4],VVtemp[668],VV[187],VVtemp[681],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[447])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[682]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[816]);                   /*  ADDS-PU16       */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[447],VV[4],VVtemp[668],VV[187],VVtemp[683],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[449])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[684]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[817]);                   /*  AVG-PU8         */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[449],VV[4],VVtemp[668],VV[187],VVtemp[685],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[451])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[686]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[818]);                   /*  AVG-PU16        */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[451],VV[4],VVtemp[668],VV[187],VVtemp[687],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[453])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[688]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[819]);                   /*  MADD-PI16       */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[453],VV[4],VVtemp[668],VV[187],VVtemp[689],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[455])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[690]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[820]);                   /*  MAX-PU8         */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[455],VV[4],VVtemp[668],VV[187],VVtemp[691],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[457])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[692]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[821]);                   /*  MAX-PI16        */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[457],VV[4],VVtemp[668],VV[187],VVtemp[693],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[459])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[694]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[822]);                   /*  MIN-PU8         */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[459],VV[4],VVtemp[668],VV[187],VVtemp[695],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[461])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[696]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[823]);                   /*  MIN-PI16        */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[461],VV[4],VVtemp[668],VV[187],VVtemp[697],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[463])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[698]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[824]);                   /*  MULHI-PI16      */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[463],VV[4],VVtemp[668],VV[187],VVtemp[699],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[465])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[700]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[825]);                   /*  MULHI-PU16      */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[465],VV[4],VVtemp[668],VV[187],VVtemp[701],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[467])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[702]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[826]);                   /*  MULLO-PI16      */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[467],VV[4],VVtemp[668],VV[187],VVtemp[703],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[469])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[704]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[827]);                   /*  MUL-PU32        */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[469],VV[4],VVtemp[668],VV[187],VVtemp[705],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[471])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[706]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[828]);                   /*  SAD-PU8         */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[471],VV[4],VVtemp[668],VV[187],VVtemp[707],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[473])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[708]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[829]);                   /*  SUB-PI8         */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[473],VV[4],VVtemp[668],VV[187],VVtemp[709],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[475])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[710]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[830]);                   /*  SUB-PI16        */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[475],VV[4],VVtemp[668],VV[187],VVtemp[711],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[477])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[712]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[831]);                   /*  SUB-PI32        */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[477],VV[4],VVtemp[668],VV[187],VVtemp[713],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[479])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[714]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[832]);                   /*  SUB-PI64        */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[479],VV[4],VVtemp[668],VV[187],VVtemp[715],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[481])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[716]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[833]);                   /*  SUBS-PI8        */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[481],VV[4],VVtemp[668],VV[187],VVtemp[717],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[483])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[718]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[834]);                   /*  SUBS-PI16       */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[483],VV[4],VVtemp[668],VV[187],VVtemp[719],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[485])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[720]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[835]);                   /*  SUBS-PU8        */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[485],VV[4],VVtemp[668],VV[187],VVtemp[721],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[487])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[722]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[836]);                   /*  SUBS-PU16       */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[487],VV[4],VVtemp[668],VV[187],VVtemp[723],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[489])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[724]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[837]);                   /*  AND-PI          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[489],VV[4],VVtemp[668],VV[187],VVtemp[725],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[491])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[726]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[838]);                   /*  ANDNOT-PI       */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[491],VV[4],VVtemp[668],VV[187],VVtemp[727],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[493])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[728]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[839]);                   /*  OR-PI           */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[493],VV[4],VVtemp[668],VV[187],VVtemp[729],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[495])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[730]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[840]);                   /*  XOR-PI          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[495],VV[4],VVtemp[668],VV[187],VVtemp[731],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[497])                      /*  EXPORT          */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC254slli_pi,Cnil,Cblock,2);
	si_put_sysprop(VV[497],ECL_SYM("COMPILER-MACRO",236),T0) /*  PUT-SYSPROP */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[732]) /*  PROCLAIM */;
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[497],VV[4],VVtemp[733],VV[187],VVtemp[734],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[498])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[735]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[841]);                   /*  SLLI-PI16       */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[498],VV[4],VVtemp[733],VV[187],VVtemp[736],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[500])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[737]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[842]);                   /*  SLLI-PI32       */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[500],VV[4],VVtemp[733],VV[187],VVtemp[738],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[502])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[739]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[843]);                   /*  SLLI-PI64       */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[502],VV[4],VVtemp[733],VV[187],VVtemp[740],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[504])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[741]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[844]);                   /*  SLL-PI16        */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[504],VV[4],VVtemp[668],VV[187],VVtemp[742],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[506])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[743]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[845]);                   /*  SLL-PI32        */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[506],VV[4],VVtemp[668],VV[187],VVtemp[744],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[508])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[745]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[846]);                   /*  SLL-PI64        */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[508],VV[4],VVtemp[668],VV[187],VVtemp[746],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[510])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[747]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[847]);                   /*  SRAI-PI16       */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[510],VV[4],VVtemp[733],VV[187],VVtemp[748],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[512])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[749]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[848]);                   /*  SRAI-PI32       */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[512],VV[4],VVtemp[733],VV[187],VVtemp[750],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[514])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[751]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[849]);                   /*  SRA-PI16        */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[514],VV[4],VVtemp[668],VV[187],VVtemp[752],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[516])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[753]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[850]);                   /*  SRA-PI32        */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[516],VV[4],VVtemp[668],VV[187],VVtemp[754],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[518])                      /*  EXPORT          */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC265srli_pi,Cnil,Cblock,2);
	si_put_sysprop(VV[518],ECL_SYM("COMPILER-MACRO",236),T0) /*  PUT-SYSPROP */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[755]) /*  PROCLAIM */;
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[518],VV[4],VVtemp[733],VV[187],VVtemp[756],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[519])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[757]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[851]);                   /*  SRLI-PI16       */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[519],VV[4],VVtemp[733],VV[187],VVtemp[758],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[521])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[759]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[852]);                   /*  SRLI-PI32       */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[521],VV[4],VVtemp[733],VV[187],VVtemp[760],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[523])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[761]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[853]);                   /*  SRLI-PI64       */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[523],VV[4],VVtemp[733],VV[187],VVtemp[762],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[525])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[763]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[854]);                   /*  SRL-PI16        */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[525],VV[4],VVtemp[668],VV[187],VVtemp[764],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[527])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[765]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[855]);                   /*  SRL-PI32        */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[527],VV[4],VVtemp[668],VV[187],VVtemp[766],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[529])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[767]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[856]);                   /*  SRL-PI64        */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[529],VV[4],VVtemp[668],VV[187],VVtemp[768],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[531])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[769]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[857]);                   /*  =-PI8           */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[531],VV[4],VVtemp[668],VV[187],VVtemp[770],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[533])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[771]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[858]);                   /*  =-PI16          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[533],VV[4],VVtemp[668],VV[187],VVtemp[772],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[535])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[773]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[859]);                   /*  =-PI32          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[535],VV[4],VVtemp[668],VV[187],VVtemp[774],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[537])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[775]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[860]);                   /*  <-PI8           */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[537],VV[4],VVtemp[668],VV[187],VVtemp[776],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[539])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[777]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[861]);                   /*  <-PI16          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[539],VV[4],VVtemp[668],VV[187],VVtemp[778],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[541])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[779]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[862]);                   /*  <-PI32          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[541],VV[4],VVtemp[668],VV[187],VVtemp[780],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[543])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[781]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[863]);                   /*  >-PI8           */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[543],VV[4],VVtemp[668],VV[187],VVtemp[782],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[545])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[783]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[864]);                   /*  >-PI16          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[545],VV[4],VVtemp[668],VV[187],VVtemp[784],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[547])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[785]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[865]);                   /*  >-PI32          */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[547],VV[4],VVtemp[668],VV[187],VVtemp[786],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[549])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[787]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[866]);                   /*  PACKS-PI16      */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[549],VV[4],VVtemp[668],VV[187],VVtemp[788],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[551])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[789]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[867]);                   /*  PACKS-PI32      */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[551],VV[4],VVtemp[668],VV[187],VVtemp[790],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[553])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[791]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[868]);                   /*  PACKUS-PI16     */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[553],VV[4],VVtemp[668],VV[187],VVtemp[792],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[555])                      /*  EXPORT          */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC284extract_pi16,Cnil,Cblock,2);
	si_put_sysprop(VV[555],ECL_SYM("COMPILER-MACRO",236),T0) /*  PUT-SYSPROP */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[793]) /*  PROCLAIM */;
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[555],VV[4],VVtemp[733],ECL_SYM("FIXNUM",1364),VVtemp[794],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[556])                      /*  EXPORT          */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC285insert_pi16,Cnil,Cblock,2);
	si_put_sysprop(VV[556],ECL_SYM("COMPILER-MACRO",236),T0) /*  PUT-SYSPROP */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[795]) /*  PROCLAIM */;
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[556],VV[4],VVtemp[796],VV[187],VVtemp[797],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[557])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[798]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[869]);                   /*  MOVEMASK-PI8    */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[557],VV[4],VVtemp[270],ECL_SYM("FIXNUM",1364),VVtemp[799],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[559])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[800]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[870]);                   /*  UNPACKHI-PI8    */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[559],VV[4],VVtemp[668],VV[187],VVtemp[801],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[561])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[802]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[871]);                   /*  UNPACKHI-PI16   */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[561],VV[4],VVtemp[668],VV[187],VVtemp[803],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[563])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[804]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[872]);                   /*  UNPACKHI-PI32   */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[563],VV[4],VVtemp[668],VV[187],VVtemp[805],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[565])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[806]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[873]);                   /*  UNPACKHI-PI64   */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[565],VV[4],VVtemp[668],VV[187],VVtemp[807],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[567])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[808]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[874]);                   /*  UNPACKLO-PI8    */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[567],VV[4],VVtemp[668],VV[187],VVtemp[809],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[569])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[810]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[875]);                   /*  UNPACKLO-PI16   */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[569],VV[4],VVtemp[668],VV[187],VVtemp[811],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[571])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[812]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[876]);                   /*  UNPACKLO-PI32   */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[571],VV[4],VVtemp[668],VV[187],VVtemp[813],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[573])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[814]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[877]);                   /*  UNPACKLO-PI64   */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[573],VV[4],VVtemp[668],VV[187],VVtemp[815],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[575])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[816]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[878]);                   /*  MOVE-PI64       */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[575],VV[4],VVtemp[270],VV[187],VVtemp[817],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[577])                      /*  EXPORT          */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC296shuffle_pi32,Cnil,Cblock,2);
	si_put_sysprop(VV[577],ECL_SYM("COMPILER-MACRO",236),T0) /*  PUT-SYSPROP */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[818]) /*  PROCLAIM */;
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[577],VV[4],VVtemp[733],VV[187],VVtemp[819],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[578])                      /*  EXPORT          */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC297shufflelo_pi16,Cnil,Cblock,2);
	si_put_sysprop(VV[578],ECL_SYM("COMPILER-MACRO",236),T0) /*  PUT-SYSPROP */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[820]) /*  PROCLAIM */;
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[578],VV[4],VVtemp[733],VV[187],VVtemp[821],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[579])                      /*  EXPORT          */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC298shufflehi_pi16,Cnil,Cblock,2);
	si_put_sysprop(VV[579],ECL_SYM("COMPILER-MACRO",236),T0) /*  PUT-SYSPROP */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[822]) /*  PROCLAIM */;
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[579],VV[4],VVtemp[733],VV[187],VVtemp[823],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[580])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[824]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[879]);                   /*  CONVERT-SI32-TO-PI */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[580],VV[4],VVtemp[52],VV[187],VVtemp[825],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[582])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[826]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[880]);                   /*  CONVERT-SU32-TO-PI */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[582],VV[4],VVtemp[52],VV[187],VVtemp[825],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[584])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[827]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[881]);                   /*  CONVERT-SI64-TO-PI */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[584],VV[4],VVtemp[559],VV[187],VVtemp[828],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[586])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[829]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[882]);                   /*  CONVERT-SU64-TO-PI */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[586],VV[4],VVtemp[563],VV[187],VVtemp[828],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[588])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[830]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[883]);                   /*  CONVERT-PI-TO-SI32 */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[588],VV[4],VVtemp[270],ECL_SYM("FIXNUM",1364),VVtemp[831],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[590])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[832]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[884]);                   /*  CONVERT-PI-TO-SU32 */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[590],VV[4],VVtemp[270],ECL_SYM("FIXNUM",1364),VVtemp[831],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[592])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[833]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[885]);                   /*  CONVERT-PI-TO-SI64 */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[592],VV[4],VVtemp[270],ECL_SYM("INT64-T",1370),VVtemp[834],VV[5],Ct) /*  DEF-INLINE */;
	cl_export(1,VV[594])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[835]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[886]);                   /*  CONVERT-PI-TO-SU64 */
	ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[594],VV[4],VVtemp[270],ECL_SYM("UINT64-T",1382),VVtemp[834],VV[5],Ct) /*  DEF-INLINE */;
}
